<?php
session_start();
include('../config.php');
include('includes/auth.php');

// Fetch all servers
function getAllServers($pdo) {
    $query = "SELECT * FROM servers";
    $stmt = $pdo->prepare($query);
    $stmt->execute();
    return $stmt->fetchAll(PDO::FETCH_ASSOC);
}

// Get all servers
$servers = getAllServers($pdo);

// Determine the first enabled server
$selectedServer = null;
foreach ($servers as $server) {
    if ($server['enabled'] == 1) {
        $selectedServer = $server;
        break;
    }
}

// If no enabled server, show an error
if (!$selectedServer) {
    echo "<div class='alert alert-danger'>لا توجد خوادم WHM مفعلة.</div>";
    exit;
}

$whmHost = $selectedServer['whm_host'];
$whmPanelUrl = "https://$whmHost:2087";
?>
<!DOCTYPE html>
<html>
<head>
    <title>الوصول إلى WHM</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <nav>
        <?php include 'nav2.php'; ?>
    </nav>
    <div class="container mt-4">
        <div class="page-header">
            <h2>الوصول إلى WHM</h2>
        </div>
        <div class="alert alert-info">
            يمكنك الوصول إلى WHM عبر الرابط التالي:
        </div>
        <a href="<?php echo htmlspecialchars($whmPanelUrl, ENT_QUOTES, 'UTF-8'); ?>" target="_blank" class="btn btn-success">
            الوصول إلى لوحة WHM
        </a>
        <a href="manage_server.php" class="btn btn-primary mt-3">العودة إلى إدارة الخوادم</a>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
