<?php
include('../config.php');
include('includes/auth.php');

session_start();

if ($_SESSION['role'] != 'admin') {
    header('Location: ../client/dashboard.php');
    exit();
}

// Handle add company
if (isset($_POST['add_company'])) {
    $companyName = $_POST['company_name'];
    $stmt = $pdo->prepare("INSERT INTO companies (name) VALUES (?)");
    if ($stmt->execute([$companyName])) {
        header('Location: manage_companies.php');
        exit();
    } else {
        $error = "Error adding company.";
    }
}
?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <title>إضافة شركة جديدة</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        .form-container {
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <nav>
        <?php include 'nav2.php'; ?>
    </nav>
    <div class="container mt-4">
        <div class="page-header">
            <h2>إضافة شركة جديدة</h2>
        </div>

        <?php if (isset($error)): ?>
            <div class="alert alert-danger">
                <?php echo htmlspecialchars($error, ENT_QUOTES, 'UTF-8'); ?>
            </div>
        <?php endif; ?>

        <div class="form-container">
            <form action="add_company.php" method="POST">
                <div class="form-group">
                    <label for="company_name">اسم الشركة</label>
                    <input type="text" class="form-control" name="company_name" placeholder="اسم الشركة" required>
                </div>
                <button type="submit" name="add_company" class="btn btn-success btn-block">إضافة الشركة</button>
            </form>
        </div>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
