<?php
// Include necessary files and start session
include('../config.php');
include('includes/auth.php');
session_start();

// Redirect if not admin
if ($_SESSION['role'] !== 'admin') {
    header('Location: ../client/dashboard.php');
    exit();
}

// Function to generate a random code in the format xxxx-xxxx-xxxx
function generateGiftCardCode() {
    return strtoupper(bin2hex(random_bytes(2)) . '-' . bin2hex(random_bytes(2)) . '-' . bin2hex(random_bytes(2)));
}

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $balance = $_POST['balance'];
    $code = generateGiftCardCode();

    // Insert new gift card into database
    $stmt = $pdo->prepare("INSERT INTO giftcards (code, balance) VALUES (?, ?)");
    $stmt->execute([$code, $balance]);

    header('Location: manage_giftcards.php');
    exit();
}
?>

<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>إضافة بطاقة هدايا جديدة</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
    </style>
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container mt-4">
        <div class="page-header">
            <h2>إضافة بطاقة هدايا جديدة</h2>
        </div>
        <form method="POST">
            <div class="form-group">
                <label for="balance">الرصيد</label>
                <select name="balance" id="balance" class="form-control" required>
                    <option value="20.00">$20</option>
                    <option value="50.00">$50</option>
                    <option value="70.00">$70</option>
                </select>
            </div>
            <button type="submit" class="btn btn-primary">إضافة</button>
        </form>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
