<?php
session_start();
include('../config.php');
include('includes/auth.php');

// Update or insert server credentials
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = $_POST['name'];
    $whmUsername = $_POST['whm_username'];
    $whmApiToken = $_POST['whm_api_token'];
    $whmHost = $_POST['whm_host'];
    $nameserver1 = $_POST['nameserver_1'];
    $nameserver2 = $_POST['nameserver_2'];
    $nameserver3 = $_POST['nameserver_3'];
    $nameserver4 = $_POST['nameserver_4'];
    $enabled = isset($_POST['enabled']) ? 1 : 0;

    // Insert new server
    $query = "INSERT INTO servers (name, whm_username, whm_api_token, whm_host, nameserver_1, nameserver_2, nameserver_3, nameserver_4, enabled) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$name, $whmUsername, $whmApiToken, $whmHost, $nameserver1, $nameserver2, $nameserver3, $nameserver4, $enabled]);

    echo "<div class='alert alert-success'>تم إضافة الخادم بنجاح.</div>";
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>إضافة خادم جديد</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <nav>
        <?php include 'nav2.php'; ?>
    </nav>
    <div class="container mt-4">
        <div class="page-header">
            <h2>إضافة خادم جديد</h2>
        </div>
        <form method="post" action="">
            <div class="form-group">
                <label for="name">اسم الخادم</label>
                <input type="text" class="form-control" id="name" name="name" required>
            </div>
            <div class="form-group">
                <label for="whm_username">اسم مستخدم WHM</label>
                <input type="text" class="form-control" id="whm_username" name="whm_username" required>
            </div>
            <div class="form-group">
                <label for="whm_api_token">رمز API لـ WHM</label>
                <input type="text" class="form-control" id="whm_api_token" name="whm_api_token" required>
            </div>
            <div class="form-group">
                <label for="whm_host">مضيف WHM</label>
                <input type="text" class="form-control" id="whm_host" name="whm_host" required>
            </div>
            <div class="form-group">
                <label for="nameserver_1">Nameserver 1</label>
                <input type="text" class="form-control" id="nameserver_1" name="nameserver_1" required>
            </div>
            <div class="form-group">
                <label for="nameserver_2">Nameserver 2</label>
                <input type="text" class="form-control" id="nameserver_2" name="nameserver_2">
            </div>
            <div class="form-group">
                <label for="nameserver_3">Nameserver 3</label>
                <input type="text" class="form-control" id="nameserver_3" name="nameserver_3">
            </div>
            <div class="form-group">
                <label for="nameserver_4">Nameserver 4</label>
                <input type="text" class="form-control" id="nameserver_4" name="nameserver_4">
            </div>
            <div class="form-group form-check">
                <input type="checkbox" class="form-check-input" id="enabled" name="enabled" checked>
                <label class="form-check-label" for="enabled">تمكين</label>
            </div>
            <button type="submit" class="btn btn-primary">إضافة الخادم</button>
        </form>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
