<?php
session_start();
include('../config.php');
include('includes/auth.php');

// Fetch form data
$serverId = $_POST['server_id'] ?? null;
$name = $_POST['name'] ?? '';
$disk = $_POST['disk'] ?? '';
$bandwidth = $_POST['bandwidth'] ?? '';
$maxaddondomains = $_POST['maxaddondomains'] ?? '';
$maxftp = $_POST['maxftp'] ?? '';
$maxsql = $_POST['maxsql'] ?? '';
$maxemail = $_POST['maxemail'] ?? '';
$maxsubdomain = $_POST['maxsubdomain'] ?? '';
$maxparked = $_POST['maxparked'] ?? '';

if (!$serverId) {
    die("Server ID is required.");
}

// Fetch WHM credentials for the selected server
$credentials = getWhmCredentials($pdo, $serverId);
$whmUsername = $credentials['whm_username'] ?? '';
$whmApiToken = $credentials['whm_api_token'] ?? '';
$whmHost = $credentials['whm_host'] ?? '';

// API URL to create the package
$url = "https://$whmHost:2087/json-api/addpkg?api.version=1";

// Data to send
$data = array(
    'name' => $name,
    'quota' => $disk,
    'bwlimit' => $bandwidth,
    'maxaddon' => $maxaddondomains,
    'maxftp' => $maxftp,
    'maxsql' => $maxsql,
    'maxpop' => $maxemail,
    'maxsub' => $maxsubdomain,
    'maxpark' => $maxparked
);

// Function to make a POST request to the WHM API
function makeWhmApiPostRequest($url, $whmUsername, $whmApiToken, $data) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        "Authorization: whm $whmUsername:$whmApiToken"
    ));
    $response = curl_exec($ch);
    if (curl_errno($ch)) {
        echo 'cURL Error: ' . curl_error($ch);
        curl_close($ch);
        exit();
    }
    curl_close($ch);
    return json_decode($response, true);
}

// Send request to create the package
$response = makeWhmApiPostRequest($url, $whmUsername, $whmApiToken, $data);

header("Location: manage_plans.php");
?>
