<?php
include('../config.php');
session_start();

if (!isset($_GET['id'])) {
    header('Location: manage_categories.php');
    exit();
}

$category_id = $_GET['id'];

$stmt = $pdo->prepare("SELECT * FROM forum_categories WHERE id = ?");
$stmt->execute([$category_id]);
$category = $stmt->fetch();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = $_POST['name'];
    $description = $_POST['description'];

    $stmt = $pdo->prepare("UPDATE forum_categories SET name = ?, description = ? WHERE id = ?");
    $stmt->execute([$name, $description, $category_id]);

    header('Location: forum_management.php');
    exit();
}
?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <title>تعديل الفئة</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container mt-5">
        <h2>تعديل الفئة</h2>
        <form action="edit_category.php?id=<?php echo $category_id; ?>" method="POST">
            <div class="form-group">
                <label for="name">الاسم:</label>
                <input type="text" id="name" name="name" class="form-control" value="<?php echo htmlspecialchars($category['name'], ENT_QUOTES); ?>" required>
            </div>
            <div class="form-group">
                <label for="description">الوصف:</label>
                <textarea id="description" name="description" class="form-control" required><?php echo htmlspecialchars($category['description'], ENT_QUOTES); ?></textarea>
            </div>
            <button type="submit" class="btn btn-primary">تعديل الفئة</button>
        </form>
    </div>
</body>
</html>
