<?php
include('../config.php');
include('includes/auth.php');
session_start();

if (!isset($_GET['id'])) {
    header('Location: manage_groups.php');
    exit();
}

$id = $_GET['id'];
$stmt = $pdo->prepare("SELECT * FROM `groups` WHERE id = ?");
$stmt->execute([$id]);
$group = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$group) {
    header('Location: manage_groups.php');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = $_POST['name'];

    $stmt = $pdo->prepare("UPDATE `groups` SET name = ? WHERE id = ?");
    $stmt->execute([$name, $id]);

    header('Location: manage_groups.php');
    exit();
}
?>

<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تعديل المجموعة</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
    </style>
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container mt-4">
        <h2>تعديل المجموعة</h2>
        <form method="POST">
            <div class="form-group">
                <label for="name">اسم المجموعة</label>
                <input type="text" name="name" id="name" class="form-control" value="<?php echo htmlspecialchars($group['name'], ENT_QUOTES, 'UTF-8'); ?>" required>
            </div>
           
            <button type="submit" class="btn btn-primary">تحديث</button>
        </form>
    </div>
</body>
</html>
