<?php
include('../config.php');
include('includes/auth.php');

$id = $_GET['id'];

// Fetch the category details
$query = "SELECT * FROM categories WHERE id = ?";
$stmt = $pdo->prepare($query);
$stmt->execute([$id]);
$category = $stmt->fetch(PDO::FETCH_ASSOC);

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = $_POST['name'];

    // Update the category
    $query = "UPDATE categories SET name = ? WHERE id = ?";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$name, $id]);

    header('Location: manage_categories.php');
}
?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تعديل الفئة</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        .form-container {
            margin-top: 50px;
        }
    </style>
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container form-container">
        <div class="page-header">
            <h2>تعديل الفئة</h2>
        </div>
        <form method="POST">
            <div class="form-group">
                <label for="name">الاسم</label>
                <input type="text" name="name" id="name" class="form-control" value="<?php echo htmlspecialchars($category['name'], ENT_QUOTES, 'UTF-8'); ?>" required>
            </div>
            <button type="submit" class="btn btn-primary">تحديث</button>
        </form>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
