<?php
include('../config.php');
session_start();

if ($_SESSION['role'] != 'admin') {
    header('Location: ../client/dashboard.php');
    exit();
}

$questionId = $_GET['id'];

$stmt = $pdo->prepare("SELECT * FROM q_and_a WHERE id = ?");
$stmt->execute([$questionId]);
$question = $stmt->fetch();

?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <title>تعديل الأسئلة والأجوبة</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container mt-4">
        <h2>تعديل الأسئلة والأجوبة</h2>
        <div class="mb-4">
            <h4>تعديل السؤال</h4>
            <form action="manage_q_and_a.php" method="POST">
                <input type="hidden" name="question_id" value="<?php echo htmlspecialchars($question['id'], ENT_QUOTES, 'UTF-8'); ?>">
                <div class="form-group">
                    <label for="question">السؤال</label>
                    <input type="text" class="form-control" name="question" value="<?php echo htmlspecialchars($question['question'], ENT_QUOTES, 'UTF-8'); ?>" required>
                </div>
                <div class="form-group">
                    <label for="answer">الإجابة</label>
                    <textarea class="form-control" name="answer"><?php echo htmlspecialchars($question['answer'], ENT_QUOTES, 'UTF-8'); ?></textarea>
                </div>
                <button type="submit" name="save_question" class="btn btn-primary">حفظ</button>
            </form>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
