<?php
include('../config.php');
session_start();

if (!isset($_GET['id'])) {
    header('Location: manage_topics.php');
    exit();
}

$topic_id = $_GET['id'];

$stmt = $pdo->prepare("SELECT * FROM forum_topics WHERE id = ?");
$stmt->execute([$topic_id]);
$topic = $stmt->fetch();

$categoriesStmt = $pdo->prepare("SELECT * FROM forum_categories");
$categoriesStmt->execute();
$categories = $categoriesStmt->fetchAll();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $title = $_POST['title'];
    $category_id = $_POST['category'];

    $stmt = $pdo->prepare("UPDATE forum_topics SET title = ?, category_id = ? WHERE id = ?");
    $stmt->execute([$title, $category_id, $topic_id]);

    header('Location: forum_management.php');
    exit();
}
?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <title>تعديل الموضوع</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container mt-5">
        <h2>تعديل الموضوع</h2>
        <form action="edit_topic.php?id=<?php echo $topic_id; ?>" method="POST">
            <div class="form-group">
                <label for="title">العنوان:</label>
                <input type="text" id="title" name="title" class="form-control" value="<?php echo htmlspecialchars($topic['title'], ENT_QUOTES); ?>" required>
            </div>
            <div class="form-group">
                <label for="category">الفئة:</label>
                <select id="category" name="category" class="form-control" required>
                    <?php foreach ($categories as $category): ?>
                        <option value="<?php echo $category['id']; ?>" <?php if ($category['id'] == $topic['category_id']) echo 'selected'; ?>><?php echo $category['name']; ?></option>
                    <?php endforeach; ?>
                </select>
            </div>
            <button type="submit" class="btn btn-primary">تعديل الموضوع</button>
        </form>
    </div>
</body>
</html>
