<?php
include('../config.php');

// Get the server ID from the request
$server_id = isset($_GET['server_id']) ? intval($_GET['server_id']) : 0;

if ($server_id) {
    // Fetch server details
    $query = "SELECT * FROM servers WHERE id = ?";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$server_id]);
    $server = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($server) {
        // Fetch WHM credentials
        $whmUsername = $server['whm_username'];
        $whmApiToken = $server['whm_api_token'];
        $whmHost = $server['whm_host'];

        // WHM API URL to list packages
        $listPkgsUrl = "https://$whmHost:2087/json-api/listpkgs?api.version=1";

        // Function to make API requests
        function makeWhmApiRequest($url, $whmUsername, $whmApiToken) {
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                "Authorization: whm $whmUsername:$whmApiToken"
            ));
            $response = curl_exec($ch);
            if (curl_errno($ch)) {
                return array('error' => curl_error($ch));
            }
            curl_close($ch);
            return json_decode($response, true);
        }

        // Fetch packages from the server
        $result = makeWhmApiRequest($listPkgsUrl, $whmUsername, $whmApiToken);

        if (!isset($result['error']) && !isset($result['cpanelresult']['error'])) {
            $packages = isset($result['data']['pkg']) ? $result['data']['pkg'] : [];
            foreach ($packages as $package) {
                echo '<option value="' . htmlspecialchars($package['name'], ENT_QUOTES, 'UTF-8') . '">' . htmlspecialchars($package['name'], ENT_QUOTES, 'UTF-8') . '</option>';
            }
        } else {
            echo '<option value="">لا توجد خطط متاحة</option>';
        }
    } else {
        echo '<option value="">الخادم غير موجود</option>';
    }
} else {
    echo '<option value="">يرجى اختيار خادم</option>';
}
?>
