<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include('../config.php');
session_start();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = $_POST['username'];
    $password = $_POST['password'];

    $stmt = $pdo->prepare("SELECT * FROM users WHERE username = ? AND role = 'admin'");
    $stmt->execute([$username]);
    $user = $stmt->fetch();

    if ($user && password_verify($password, $user['password'])) {
        $_SESSION['admin_id'] = $user['id'];
        $_SESSION['role'] = $user['role'];

        // Insert login history
        $ip_address = $_SERVER['REMOTE_ADDR'];
        $login_time = date('Y-m-d H:i:s');
        $stmt = $pdo->prepare("INSERT INTO admin_login_history (admin_id, ip_address, login_time) VALUES (?, ?, ?)");
        $stmt->execute([$user['id'], $ip_address, $login_time]);

        header('Location: dashboard.php');
        exit();
    } else {
        $error_message = "اسم المستخدم أو كلمة المرور غير صحيحة";
    }
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>تسجيل دخول المسؤول</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        .container {
            padding: 10px;
        }
        .profile-menu .dropdown-toggle {
            color: #fff;
            background-color: #17a2b8;
            border-radius: 30px;
            padding: 12px 24px;
            min-width: 180px;
        }

        .profile-menu .dropdown-menu {
            background-color: #2c2c2c;
            color: #fff;
            border-radius: 8px;
            width: 300px;
            padding: 20px;
        }

        .profile-menu .dropdown-menu a {
            color: #fff;
            padding: 10px 20px;
            display: block;
        }

        .profile-menu .dropdown-menu a:hover {
            background-color: #17a2b8;
        }

        .profile-name {
            font-size: 1.2rem;
            font-weight: bold;
            text-align: center;
            margin-bottom: 10px;
        }

        .profile-balance {
            padding: 10px;
            color: #fff;
            text-align: center;
            font-size: 1.2rem;
            margin-bottom: 15px;
        }

        .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
        }

        .navbar-brand img {
            margin-right: 10px;
        }

        .navbar-brand span {
            color: #fff;
            font-size: 20px;
        }

        .navbar-nav {
            text-align: center;
            flex-grow: 1;
            justify-content: center;
        }

        .navbar-nav .nav-item {
            margin: 0 15px;
        }

        .navbar-nav .nav-link {
            color: #FFF !important;
            font-size: 18px;
            padding: 10px 20px;
            background-color: #17a2b8;
            text-align: center;
            border-radius: 30px;
            transition: background-color 0.3s ease;
        }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .navbar-toggler {
            border: none;
        }

        .navbar-toggler-icon {
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
        }

        .cart-nav-item {
            margin-left: auto;
            display: flex;
            align-items: center;
        }

        .cart-nav-item .nav-link {
            padding: 10px 20px;
            background-color: transparent;
            color: #FFF !important;
            font-size: 20px;
            transition: transform 0.3s ease;
        }

        .cart-nav-item .nav-link:hover {
            transform: scale(1.1);
        }

        button:hover {
            background-color: #0f8a8a;
        }

        @media (max-width: 1200px) {
            .navbar-nav .nav-link {
                padding: 8px 16px;
                font-size: 16px;
            }
        }

        @media (max-width: 992px) {
            .navbar-nav {
                flex-direction: column;
                width: 100%;
            }

            .navbar-nav .nav-link {
                width: 100%;
            }
        }

        body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            min-height: 100vh;
            display: flex;
            flex-direction: column;
        }

        .form-container {
            background-color: #fff;
            padding: 40px;
            border-radius: 15px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            margin: 50px auto;
        }

        .form-container h2 {
            text-align: center;
            margin-bottom: 20px;
            font-size: 24px;
            font-weight: 700;
            color: #17a2b8;
        }

        .form-group {
            margin-bottom: 20px;
        }

        .form-group label {
            font-weight: bold;
            font-size: 16px;
            color: #333;
        }

        .form-control {
            padding: 12px 20px;
            border-radius: 30px;
            border: 1px solid #ccc;
            font-size: 16px;
        }

        .btn-block {
            background-color: #17a2b8;
            border: none;
            padding: 12px;
            border-radius: 30px;
            font-size: 16px;
            font-weight: bold;
            color: #fff;
            width: 100%;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        .btn-block:hover {
            background-color: #138f97;
        }

        .error-message {
            color: red;
            font-size: 14px;
            margin-bottom: 15px;
            text-align: center;
        }

        .footer {
            background-color: #2c2c2c;
            color: #FFF;
            padding: 40px 0;
            text-align: center;
            margin-top: auto;
        }

        .bottom-footer {
            background-color: #1a1a1a;
            padding: 15px 0;
            color: #bbb;
            text-align: center;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand" href="#">
                <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
                <span>لوحة التحكم</span>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="تبديل القائمة">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
            </div>
        </div>
    </nav>
    <div class="container">
        <div class="form-container">
            <h2>تسجيل دخول المسؤول</h2>
            <form action="login.php" method="POST">
                <?php if (isset($error_message)): ?>
                    <p class="error-message"><?php echo htmlspecialchars($error_message, ENT_QUOTES, 'UTF-8'); ?></p>
                <?php endif; ?>
                <div class="form-group">
                    <label for="username">اسم المستخدم</label>
                    <input type="text" class="form-control" name="username" placeholder="اسم المستخدم" required>
                </div>
                <div class="form-group">
                    <label for="password">كلمة المرور</label>
                    <input type="password" class="form-control" name="password" placeholder="كلمة المرور" required>
                </div>
                <button type="submit" class="btn btn-primary btn-block">تسجيل الدخول</button>
            </form>
        </div>
    </div>
    <?php include 'footer.php'; ?>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
