<?php
// admin/manage_orders.php
include('../config.php');
include('includes/auth.php');

$stmt = $pdo->prepare("SELECT * FROM orders");
$stmt->execute();
$orders = $stmt->fetchAll();

function getOrderDetails($pdo, $order_id) {
    $stmt = $pdo->prepare("SELECT * FROM order_details WHERE order_id = ?");
    $stmt->execute([$order_id]);
    return $stmt->fetchAll();
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>إدارة الطلبات</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
       
    </style>
</head>
<body>
    <nav>
        <?php include 'nav2.php'; ?>
    </nav>
    <div class="container mt-4">
        <div class="table-container">
            <div class="page-header">
            <h2>إدارة الطلبات</h2>
            </div>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>الرقم التسلسلي</th>
                        <th>رقم المستخدم</th>
                        <th>الحالة</th>
                        <th>المجموع</th>
                        <th>حالة الدفع</th>
                        <th>تاريخ الإنشاء</th>
                        <th>التفاصيل</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($orders as $order): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($order['id'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($order['user_id'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($order['status'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($order['total'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                            <td><?php echo htmlspecialchars($order['payment_status'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($order['created_at'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><a href="view_order.php?id=<?php echo $order['id']; ?>" class="btn btn-info btn-sm">عرض التفاصيل</a></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
