<?php
include('../config.php');
session_start();

include('includes/auth.php');

// Fetch Q&A questions
$stmt = $pdo->prepare("SELECT * FROM q_and_a ORDER BY created_at DESC");
$stmt->execute();
$questions = $stmt->fetchAll();

// Handle delete question
if (isset($_POST['delete_question'])) {
    $questionId = $_POST['question_id'];
    $stmt = $pdo->prepare("DELETE FROM q_and_a WHERE id = ?");
    $stmt->execute([$questionId]);
    header('Location: manage_q_and_a.php');
    exit();
}

// Handle add/edit question
if (isset($_POST['save_question'])) {
    $question = $_POST['question'];
    $answer = $_POST['answer'];
    $questionId = $_POST['question_id'];

    if ($questionId) {
        // Update existing question
        $stmt = $pdo->prepare("UPDATE q_and_a SET question = ?, answer = ? WHERE id = ?");
        $stmt->execute([$question, $answer, $questionId]);
    } else {
        // Add new question
        $stmt = $pdo->prepare("INSERT INTO q_and_a (question, answer) VALUES (?, ?)");
        $stmt->execute([$question, $answer]);
    }

    header('Location: manage_q_and_a.php');
    exit();
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>إدارة الأسئلة والأجوبة</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
     <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
        
        h2, h4 {
            margin-bottom: 20px;
        }
        .card {
            margin-bottom: 20px;
            border: none;
        }
        .card-body {
            padding: 20px;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="https://one.hostgoal.net/admin/dashboard.php">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <!-- "جديد +" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="newDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">جديد +</a>
                    <ul class="dropdown-menu" aria-labelledby="newDropdown">
                        <li><a class="dropdown-item" href="add_user.php">إضافة مستخدم</a></li>
                        <li><a class="dropdown-item" href="add_product.php">إضافة منتج</a></li>
                        <li><a class="dropdown-item" href="add_company.php">إضافة شركة</a></li>
                        <li><a class="dropdown-item" href="add_coupon.php">إضافة كوبون</a></li>
                        <li><a class="dropdown-item" href="add_giftcard.php">إضافة بطاقة هدايا</a></li>
                        <li><a class="dropdown-item" href="add_plan.php">إضافة خطة استضافة</a></li>
                    </ul>
                </li>
                <!-- "العملاء" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="clientsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">العملاء</a>
                    <ul class="dropdown-menu" aria-labelledby="clientsDropdown">
                        <li><a class="dropdown-item" href="manage_users.php">إدارة المستخدمين</a></li>
                        <li><a class="dropdown-item" href="manage_groups.php">إدارة المجموعات</a></li>
                        <li><a class="dropdown-item" href="manage_companies.php">إدارة الشركات</a></li>
                    </ul>
                </li>
                <!-- "الفواتير" link -->
                <li class="nav-item">
                    <a class="nav-link" href="invoices.php">الفواتير</a>
                </li>
                <!-- "المنتجات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="productsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">المنتجات</a>
                    <ul class="dropdown-menu" aria-labelledby="productsDropdown">
                        <li><a class="dropdown-item" href="manage_categories.php">إدارة الأقسام</a></li>
                        <li><a class="dropdown-item" href="manage_products.php">إدارة المنتجات</a></li>
                        <li><a class="dropdown-item" href="manage_domains.php">إدارة النطاقات</a></li>
                        <li><a class="dropdown-item" href="manage_ssl_requests.php">إدارة طلبات SSL</a></li>
                    </ul>
                </li>
                <!-- "الدعم" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="supportDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">الدعم</a>
                    <ul class="dropdown-menu" aria-labelledby="supportDropdown">
                        <li><a class="dropdown-item" href="forum_management.php">المنتدي</a></li>
                        <li><a class="dropdown-item" href="manage_q_and_a.php">إدارة Q&A</a></li>
                        <li><a class="dropdown-item" href="admin_tickets.php">إدارة التذاكر</a></li>
                    </ul>
                </li>
                <!-- "الأعدادات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="settingsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">الأعدادات</a>
                    <ul class="dropdown-menu" aria-labelledby="settingsDropdown">
                        <li><a class="dropdown-item" href="settings.php">العامة</a></li>
                        <li><a class="dropdown-item" href="manage_server.php">الخادم</a></li>
                        <li><a class="dropdown-item" href="manage_plans.php">إدارة خطط الاستضافات</a></li>
                        <li><a class="dropdown-item" href="manage_giftcards.php">بطاقات الهدايا</a></li>
                        <li><a class="dropdown-item" href="manage_coupons.php">كوبونات</a></li>
                        <li><a class="dropdown-item" href="manage_gateways.php">بوابات الدفع</a></li>
                    </ul>
                </li>
                <!-- "النشاطات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="activitiesDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">النشاطات</a>
                    <ul class="dropdown-menu" aria-labelledby="activitiesDropdown">
                        <li><a class="dropdown-item" href="login_history.php">سجل تسجيل الدخول العملاء</a></li>
                        <li><a class="dropdown-item" href="admin_login_history.php">سجل تسجيل الدخول المسئولين</a></li>
                        <li><a class="dropdown-item" href="email_history.php">سجل البريد الإلكتروني</a></li>
                        <li><a class="dropdown-item" href="password_resets_log.php">سجل إعادة تعيين كلمة المرور</a></li>
                    </ul>
                </li>
                <!-- Logout button -->
                 <li class="nav-item">
                        <a class="nav-link logout" href="logout.php">تسجيل خروج</a>
                    </li>
            </ul>
        </div>
    </div>
</nav>
    <div class="container mt-4">
        <div class="page-header">
            <h2>إدارة الأسئلة والأجوبة</h2>
        </div>

        <div class="mb-4">
            <h4>إضافة/تعديل السؤال</h4>
            <form action="manage_q_and_a.php" method="POST">
                <input type="hidden" name="question_id" value="">
                <div class="form-group">
                    <label for="question">السؤال</label>
                    <input type="text" class="form-control" name="question" required>
                </div>
                <div class="form-group">
                    <label for="answer">الإجابة</label>
                    <textarea class="form-control" name="answer"></textarea>
                </div>
                <button type="submit" name="save_question" class="btn btn-primary">حفظ</button>
            </form>
        </div>

        <div>
            <h4>جميع الأسئلة</h4>
            <?php foreach ($questions as $question): ?>
                <div class="card">
                    <div class="card-body">
                        <p class="card-text"><?php echo htmlspecialchars($question['question'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <?php if ($question['answer']): ?>
                            <p class="card-text"><strong>الإجابة:</strong> <?php echo htmlspecialchars($question['answer'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <?php endif; ?>
                        <form method="POST" style="display:inline-block;">
                            <input type="hidden" name="question_id" value="<?php echo htmlspecialchars($question['id'], ENT_QUOTES, 'UTF-8'); ?>">
                            <button type="submit" name="delete_question" class="btn btn-danger btn-sm">حذف</button>
                        </form>
                        <a href="edit_q_and_a.php?id=<?php echo htmlspecialchars($question['id'], ENT_QUOTES, 'UTF-8'); ?>" class="btn btn-primary btn-sm">تعديل</a>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
        <?php include 'footer.php'; ?>
        
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
