<?php
include('../config.php');
include('includes/auth.php');
require '../vendor/autoload.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $ticket_id = $_POST['ticket_id'];
    $admin_id = $_SESSION['admin_id'];
    $message = trim($_POST['message']);
    $image = $_FILES['image'] ?? null;

    // Fetch the ticket owner's email, username, and ticket subject
    $stmt = $pdo->prepare("
        SELECT u.email, u.username, t.subject 
        FROM tickets t 
        JOIN users u ON t.user_id = u.id 
        WHERE t.id = ?
    ");
    $stmt->execute([$ticket_id]);
    $ticketOwner = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($ticketOwner && !empty($message)) {
        try {
            // Insert the new message into the database
            $stmt = $pdo->prepare("
                INSERT INTO ticket_messages (ticket_id, user_id, message, created_at) 
                VALUES (?, ?, ?, NOW())
            ");
            $stmt->execute([$ticket_id, $admin_id, $message]);

            // Handle image upload if provided
            if ($image && $image['error'] === UPLOAD_ERR_OK) {
                $uploadDirectory = '/path/to/upload/';
                $imagePath = $uploadDirectory . basename($image['name']);
                move_uploaded_file($image['tmp_name'], $imagePath);

                // Update the message record with the image path
                $stmt = $pdo->prepare("
                    UPDATE ticket_messages 
                    SET image = ? 
                    WHERE id = ?
                ");
                $stmt->execute([$imagePath, $pdo->lastInsertId()]);
            }

            // Prepare and send email notification to the ticket owner
            $mail = new PHPMailer(true);
            $mail->isSMTP();
            $mail->Host = 'mail.hostgoal.net';
            $mail->SMTPAuth = true;
            $mail->Username = 'help@hostgoal.net';
            $mail->Password = '2719243214kK';
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
            $mail->Port = 465;

            $mail->setFrom('help@hostgoal.net', 'HostGoal Support');
            $mail->addAddress($ticketOwner['email']);
            $mail->isHTML(true);
            $mail->Subject = "New Reply to Your Ticket: " . htmlspecialchars($ticketOwner['subject'], ENT_QUOTES, 'UTF-8');
            $mail->Body = "
    <div style='font-family: Arial, sans-serif; color: #333; line-height: 1.6;'>
        <div style='background-color: #f7f7f7; padding: 20px; border-radius: 8px;'>
            <h2 style='color: #0056b3; text-align: center;'>New Reply to Your Ticket</h2>
            <p>Hello <strong>{$ticketOwner['username']}</strong>,</p>
            <p>Our support team has replied to your ticket titled: <strong>{$ticketOwner['subject']}</strong>.</p>
            <div style='border-left: 4px solid #007bff; padding-left: 15px; margin: 20px 0;'>
                <p style='color: #555; font-style: italic;'>\"".nl2br($message)."\"</p>
            </div>
            <p>To view or reply to this ticket, please click the button below:</p>
            <div style='text-align: center;'>
                <a href='https://one.hostgoal.net/client/client_ticket.php?id={$ticket_id}' style='background-color: #007bff; color: #ffffff; padding: 10px 20px; text-decoration: none; border-radius: 4px;'>View Ticket</a>
            </div>
            <p style='margin-top: 30px;'>Thank you,<br>HostGoal Support Team</p>
        </div>
        <p style='font-size: 12px; color: #777; text-align: center; margin-top: 20px;'>This is an automated message, please do not reply directly to this email.</p>
    </div>
";

            $mail->send();

            // Redirect back to the ticket page
            header("Location: admin_ticket.php?id=$ticket_id");
            exit();

        } catch (Exception $e) {
            die('Error: ' . $e->getMessage());
        }
    } else {
        die('Invalid request or empty message.');
    }
} else {
    die('Invalid request method.');
}
?>
