<?php
session_start();
include('../config.php');
include('includes/auth.php');

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Handle export request
    if (isset($_POST['export'])) {
        $backupFile = 'backup_' . date('YmdHis') . '.sql';
        $command = "mysqldump -h$host -u$user -p$pass $db > $backupFile";
        exec($command, $output, $result);

        if ($result === 0) {
            $_SESSION['notification'] = ['type' => 'success', 'message' => "تم تصدير قاعدة البيانات بنجاح. <a href='$backupFile' download>تحميل النسخة الاحتياطية</a>"];
        } else {
            $_SESSION['notification'] = ['type' => 'error', 'message' => "حدث خطأ أثناء تصدير قاعدة البيانات."];
        }
    }

    // Handle import request
    if (isset($_POST['import']) && isset($_FILES['import_file'])) {
        $importFile = $_FILES['import_file']['tmp_name'];
        $command = "mysql -h$host -u$user -p$pass $db < $importFile";
        exec($command, $output, $result);

        if ($result === 0) {
            $_SESSION['notification'] = ['type' => 'success', 'message' => "تم استيراد قاعدة البيانات بنجاح."];
        } else {
            $_SESSION['notification'] = ['type' => 'error', 'message' => "حدث خطأ أثناء استيراد قاعدة البيانات."];
        }
    }

    // Redirect to avoid form resubmission on page reload
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit();
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>إعدادات النظام - HostGoal</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
        .page-header {
            margin-bottom: 20px;
        }
        .export-import-section {
            border: 1px solid #ddd; 
            border-radius: 5px; 
            padding: 20px; 
            background-color: #f9f9f9;
            margin-bottom: 20px;
        }
        .btn-primary {
            background-color: #007bff;
            color: #fff;
            border: none;
        }
        /* Optional: Customize Toast styles */
        .toast-success {
            background-color: #28a745 !important; /* Green color */
            color: #fff !important;
        }
        .toast-error {
            background-color: #dc3545 !important; /* Red color */
            color: #fff !important;
        }
        /* Ensure toast is visible and not overlapping */
        .toast-container {
            position: fixed;
            top: 20px;
            right: 20px;
            z-index: 1050;
        }
        .toast-body {
            color: #fff; /* Ensure text is white */
        }
        /* Style links inside toast notifications */
        .toast-body a {
            color: #fff; /* White color for links to ensure visibility */
            text-decoration: underline;
        }
        .toast-body a:hover {
            color: #ddd; /* Slightly lighter color on hover */
            text-decoration: underline;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="https://one.hostgoal.net/admin/dashboard.php">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">

                
                <!-- "جديد +" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="newDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">جديد +</a>
                    <ul class="dropdown-menu" aria-labelledby="newDropdown">
                        <li><a class="dropdown-item" href="add_user.php">إضافة مستخدم</a></li>
                        <li><a class="dropdown-item" href="add_product.php">إضافة منتج</a></li>
                        <li><a class="dropdown-item" href="add_company.php">إضافة شركة</a></li>
                        <li><a class="dropdown-item" href="add_coupon.php">إضافة كوبون</a></li>
                        <li><a class="dropdown-item" href="add_giftcard.php">إضافة بطاقة هدايا</a></li>
                        <li><a class="dropdown-item" href="add_plan.php">إضافة خطة استضافة</a></li>
                    </ul>
                </li>

                <!-- "العملاء" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="clientsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">العملاء</a>
                    <ul class="dropdown-menu" aria-labelledby="clientsDropdown">
                        <li><a class="dropdown-item" href="manage_users.php">إدارة المستخدمين</a></li>
                        <li><a class="dropdown-item" href="manage_groups.php">إدارة المجموعات</a></li>
                        <li><a class="dropdown-item" href="manage_companies.php">إدارة الشركات</a></li>
                    </ul>
                </li>

                <!-- "الفواتير" link -->
                <li class="nav-item">
                    <a class="nav-link" href="invoices.php">الفواتير</a>
                </li>

                <!-- "المنتجات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="productsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">المنتجات</a>
                    <ul class="dropdown-menu" aria-labelledby="productsDropdown">
                        <li><a class="dropdown-item" href="manage_categories.php">إدارة الأقسام</a></li>
                        <li><a class="dropdown-item" href="manage_products.php">إدارة المنتجات</a></li>
                        <li><a class="dropdown-item" href="manage_ssl_requests.php">إدارة طلبات SSL</a></li>
                    </ul>
                </li>

                <!-- "اسعار النطاقات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="domainsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">اسعار النطاقات</a>
                    <ul class="dropdown-menu" aria-labelledby="domainsDropdown">
                        <li><a class="dropdown-item" href="manage_domains.php">إدارة اسعار النطاقات</a></li>
                    </ul>
                </li>

                <!-- "الدعم" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="supportDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">الدعم</a>
                    <ul class="dropdown-menu" aria-labelledby="supportDropdown">
                        <li><a class="dropdown-item" href="forum_management.php">المنتدي</a></li>
                        <li><a class="dropdown-item" href="manage_q_and_a.php">إدارة Q&A</a></li>
                        <li><a class="dropdown-item" href="admin_tickets.php">إدارة التذاكر</a></li>
                    </ul>
                </li>

                <!-- "الأعدادات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="settingsDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">الأعدادات</a>
                    <ul class="dropdown-menu" aria-labelledby="settingsDropdown">
                        <li><a class="dropdown-item" href="settings.php">العامة</a></li>
                        <li><a class="dropdown-item" href="manage_server.php">الخادم</a></li>
                        <li><a class="dropdown-item" href="manage_plans.php">إدارة خطط الاستضافات</a></li>
                        <li><a class="dropdown-item" href="manage_giftcards.php">بطاقات الهدايا</a></li>
                        <li><a class="dropdown-item" href="manage_coupons.php">كوبونات</a></li>
                        <li><a class="dropdown-item" href="manage_gateways.php">بوابات الدفع</a></li>
                    </ul>
                </li>

                <!-- "النشاطات" dropdown -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="activitiesDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">النشاطات</a>
                    <ul class="dropdown-menu" aria-labelledby="activitiesDropdown">
                        <li><a class="dropdown-item" href="login_history.php">سجل تسجيل الدخول العملاء</a></li>
                        <li><a class="dropdown-item" href="admin_login_history.php">سجل تسجيل الدخول المسئولين</a></li>
                        <li><a class="dropdown-item" href="email_history.php">سجل البريد الإلكتروني</a></li>
                        <li><a class="dropdown-item" href="password_resets_log.php">سجل إعادة تعيين كلمة المرور</a></li>
                    </ul>
                </li>

                <!-- Logout button -->
                 <li class="nav-item">
                        <a class="nav-link logout" href="logout.php">تسجيل خروج</a>
                    </li>
            </ul>

            <!-- Profile Menu -->
           
        </div>
    </div>
</nav>
    <!-- Toast Notifications -->
    <div aria-live="polite" aria-atomic="true" class="toast-container">
        <?php
        if (isset($_SESSION['notification'])) {
            $type = $_SESSION['notification']['type'];
            $message = $_SESSION['notification']['message'];
            $toastClass = $type === 'success' ? 'toast-success' : 'toast-error';
            echo "<div class='toast align-items-center $toastClass' role='alert' aria-live='assertive' aria-atomic='true'>
                <div class='d-flex'>
                    <div class='toast-body'>
                        $message
                    </div>
                    <button type='button' class='btn-close btn-close-white' data-bs-dismiss='toast' aria-label='Close'></button>
                </div>
            </div>";
            unset($_SESSION['notification']);
        }
        ?>
    </div>

    <div class="container mt-4">
        <div class="page-header">
            <h2>إعدادات النظام</h2>
        </div>

        <!-- Export Database -->
        <div class="export-import-section">
            <h4>تصدير قاعدة البيانات</h4>
            <form method="post" action="">
                <button type="submit" name="export" class="btn btn-primary">تصدير قاعدة البيانات</button>
            </form>
        </div>

        <!-- Import Database -->
        <div class="export-import-section">
            <h4>استيراد قاعدة البيانات</h4>
            <form method="post" action="" enctype="multipart/form-data">
                <div class="form-group">
                    <label for="import_file">اختر ملف النسخة الاحتياطية</label>
                    <input type="file" class="form-control" id="import_file" name="import_file" required>
                </div>
                <button type="submit" name="import" class="btn btn-primary">استيراد قاعدة البيانات</button>
            </form>
        </div>
    </div>

    <?php include 'footer.php'; ?>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
        var toastElements = document.querySelectorAll('.toast');
        toastElements.forEach(function(toastEl) {
            var toast = new bootstrap.Toast(toastEl, {
                autohide: true,
                delay: 5000
            });
            toast.show();
        });
    });
    </script>
</body>
</html>
