<?php
session_start();
include('../config.php');

// Check if server ID is provided
if (isset($_POST['id'])) {
    $serverId = $_POST['id'];
    
    // Fetch server details
    $query = "SELECT * FROM servers WHERE id = ?";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$serverId]);
    $server = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($server) {
        $whmHost = $server['whm_host'];
        $whmUsername = $server['whm_username'];
        $whmApiToken = $server['whm_api_token'];
        $testConnectionUrl = "https://$whmHost:2087/json-api/listpkgs?api.version=1";

        // Test connection
        $testResult = makeWhmApiRequest($testConnectionUrl, $whmUsername, $whmApiToken);
        if (isset($testResult['error'])) {
            echo '<div class="alert alert-danger">خطأ: ' . htmlspecialchars($testResult['error'], ENT_QUOTES, 'UTF-8') . '</div>';
        } else {
            echo '<div class="alert alert-success">اتصال ناجح!</div>';
        }
    } else {
        echo '<div class="alert alert-danger">الخادم غير موجود.</div>';
    }
} else {
    echo '<div class="alert alert-danger">معرف الخادم مفقود.</div>';
}

// Function to make API requests
function makeWhmApiRequest($url, $whmUsername, $whmApiToken) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        "Authorization: whm $whmUsername:$whmApiToken"
    ));
    $response = curl_exec($ch);
    if (curl_errno($ch)) {
        return array('error' => curl_error($ch));
    }
    curl_close($ch);
    return json_decode($response, true);
}
?>
