<?php
session_start();
include('../config.php');
include('includes/auth.php');

// Fetch form data
$serverId = isset($_POST['server_id']) ? $_POST['server_id'] : '';
$name = isset($_POST['name']) ? $_POST['name'] : '';
$disk = isset($_POST['disk']) ? $_POST['disk'] : '';
$bandwidth = isset($_POST['bandwidth']) ? $_POST['bandwidth'] : '';
$maxaddondomains = isset($_POST['maxaddondomains']) ? $_POST['maxaddondomains'] : '';
$maxftp = isset($_POST['maxftp']) ? $_POST['maxftp'] : '';
$maxsql = isset($_POST['maxsql']) ? $_POST['maxsql'] : '';
$maxemail = isset($_POST['maxemail']) ? $_POST['maxemail'] : '';
$maxsubdomain = isset($_POST['maxsubdomain']) ? $_POST['maxsubdomain'] : '';
$maxparked = isset($_POST['maxparked']) ? $_POST['maxparked'] : '';

// Fetch WHM credentials for the specific server
function getWhmCredentials($pdo, $serverId) {
    $query = "SELECT * FROM servers WHERE id = ?";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$serverId]);
    return $stmt->fetch(PDO::FETCH_ASSOC);
}

// Fetch credentials for the selected server
$credentials = getWhmCredentials($pdo, $serverId);
$whmUsername = $credentials['whm_username'] ?? '';
$whmApiToken = $credentials['whm_api_token'] ?? '';
$whmHost = $credentials['whm_host'] ?? '';

// API URL to update the package
$url = "https://$whmHost:2087/json-api/editpkg?api.version=1";

// Data to send
$data = array(
    'name' => $name,
    'quota' => $disk,
    'bwlimit' => $bandwidth,
    'maxaddon' => $maxaddondomains,
    'maxftp' => $maxftp,
    'maxsql' => $maxsql,
    'maxpop' => $maxemail,
    'maxsub' => $maxsubdomain,
    'maxpark' => $maxparked
);

// Function to make a POST request to the WHM API
function makeWhmApiPostRequest($url, $whmUsername, $whmApiToken, $data) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        "Authorization: whm $whmUsername:$whmApiToken"
    ));
    $response = curl_exec($ch);
    if (curl_errno($ch)) {
        echo 'cURL Error: ' . curl_error($ch);
        curl_close($ch);
        exit();
    }
    curl_close($ch);
    return json_decode($response, true);
}

// Send request to update the package
$response = makeWhmApiPostRequest($url, $whmUsername, $whmApiToken, $data);

header("Location: manage_plans.php?server_id=" . urlencode($serverId));

?>
