<?php
include('../config.php');
include('includes/auth.php');
session_start();

// Fetch all users and groups from the database
function fetchUsers($pdo) {
    $stmt = $pdo->query("SELECT * FROM `users`");
    return $stmt->fetchAll(PDO::FETCH_ASSOC);
}

function fetchGroups($pdo) {
    $stmt = $pdo->query("SELECT * FROM `groups`");
    return $stmt->fetchAll(PDO::FETCH_ASSOC);
}

$users = fetchUsers($pdo);
$groups = fetchGroups($pdo);
?>

<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>إعدادات المستخدمين والمجموعات</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
        
        .btn-save {
            background-color: #2ecc71;
            color: white;
        }
        .btn-cancel {
            background-color: #e74c3c;
            color: white;
        }
        .table-custom {
            margin-top: 20px;
        }
        .modal-header, .modal-footer {
            border: none;
        }
    </style>
</head>
<body>
    <?php include 'nav2.php'; ?>
    <div class="container mt-4">
        <div class="page-header">
            <h2>إعدادات المستخدمين والمجموعات</h2>
            <a href="manage_groups.php" class="btn btn-primary">إدارة المجموعات</a>
        </div>

        <!-- Users Table -->
        <div class="table-responsive table-custom">
            <h3>المستخدمين</h3>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th scope="col">الرقم</th>
                        <th scope="col">اسم المستخدم</th>
                        <th scope="col">البريد الإلكتروني</th>
                        <th scope="col">المجموعة</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($users as $user): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($user['id'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($user['username'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($user['email'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td>
                                <select class="form-control">
                                    <?php foreach ($groups as $group): ?>
                                        <option value="<?php echo $group['id']; ?>" 
                                            <?php echo ($user['group_id'] == $group['id']) ? 'selected' : ''; ?>>
                                            <?php echo htmlspecialchars($group['name'], ENT_QUOTES, 'UTF-8'); ?>
                                        </option>
                                    <?php endforeach; ?>
                                </select>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
            <a href="save_user_group_settings.php" class="btn btn-save">حفظ التعديلات</a>
            <a href="manage_groups.php" class="btn btn-cancel">إلغاء</a>
        </div>
    </div>
</body>
</html>
