<?php
// admin/view_order.php
include('../config.php');
include('includes/auth.php');

$id = $_GET['id'];

$stmt = $pdo->prepare("SELECT * FROM orders WHERE id = ?");
$stmt->execute([$id]);
$order = $stmt->fetch();

$stmt = $pdo->prepare("SELECT * FROM order_details WHERE order_id = ?");
$stmt->execute([$id]);
$orderDetails = $stmt->fetchAll();
?>
<!DOCTYPE html>
<html>
<head>
    <title>View Order</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
            background-color: #f8f9fa;
        }
        .container {
            margin-top: 50px;
        }
        .table-container {
            background-color: #fff;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            margin-bottom: 30px;
        }
        h2 {
            margin-bottom: 20px;
            font-weight: 700;
        }
        .btn-sm {
            margin-left: 5px;
        }
    </style>
</head>
<body>
    <nav>
        <?php include 'nav2.php'; ?>
    </nav>
    <div class="container">
        <div class="table-container">
            <h2>Order Details</h2>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>User ID</th>
                        <th>Status</th>
                        <th>Total</th>
                        <th>Payment Status</th>
                        <th>Created At</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><?php echo htmlspecialchars($order['id'], ENT_QUOTES, 'UTF-8'); ?></td>
                        <td><?php echo htmlspecialchars($order['user_id'], ENT_QUOTES, 'UTF-8'); ?></td>
                        <td><?php echo htmlspecialchars($order['status'], ENT_QUOTES, 'UTF-8'); ?></td>
                        <td><?php echo htmlspecialchars($order['total'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                        <td><?php echo htmlspecialchars($order['payment_status'], ENT_QUOTES, 'UTF-8'); ?></td>
                        <td><?php echo htmlspecialchars($order['created_at'], ENT_QUOTES, 'UTF-8'); ?></td>
                    </tr>
                </tbody>
            </table>

            <h2 class="mt-4">Order Items</h2>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Order ID</th>
                        <th>Product ID</th>
                        <th>Quantity</th>
                        <th>Price</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($orderDetails as $detail): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($detail['id'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($detail['order_id'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($detail['product_id'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($detail['quantity'], ENT_QUOTES, 'UTF-8'); ?></td>
                            <td><?php echo htmlspecialchars($detail['price'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>

            <a href="manage_orders.php" class="btn btn-secondary mt-3">Back to Orders</a>
        </div>
    </div>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
