const translations = {
    en: {
        "home": "Home",
        "hosting": "Hosting",
        "domains": "Domains",
        "privacy-policy": "Privacy Policy",
        "about-us": "About Us",
        "contact-us": "Contact Us",
        "terms-conditions": "Terms and Conditions",
        "about-us-content": `We are a professional group of programmers, developers of websites, applications, software and server managers. We are proud of our selection.

        A leading technology company offering our services in (web hosting - hosting servers - technical support - web programming - web design - application programming - E-marketing - technical consulting and many other services).`,
        "footer-domains": "Domains",
        "footer-about-us": "About Us",
        "footer-privacy-policy": "Privacy Policy",
        "footer-terms-conditions": "Terms and Conditions",
        "footer-contact-us": "Contact Us",
        "partners": "Our Partners:",
        "phone": "Phone: 123-456-7890",
        "email": "Email: info@hostgoal.com"
    },
    ar: {
        "home": "الرئيسية",
        "hosting": "الاستضافة",
        "domains": "النطاقات",
        "privacy-policy": "سياسة الخصوصية",
        "about-us": "عن الشركة",
        "contact-us": "تواصل معنا",
        "terms-conditions": "الشروط والأحكام",
        "about-us-content": `نحن مجموعة محترفة من المبرمجين ومطوري المواقع والتطبيقات ومديري البرامج والخوادم. نحن فخورون باختياركم لنا.
        شركة تكنولوجية رائدة تقدم خدماتها في (المواقع - استضافة السيرفرات - الدعم الفني - برمجة المواقع - تصميم المواقع - برمجة التطبيقات - التسويق الالكتروني - الاستشارات الفنية والعديد من الخدمات الأخرى).`,
        "footer-domains": "النطاقات",
        "footer-about-us": "عن الشركة",
        "footer-privacy-policy": "سياسة الخصوصية",
        "footer-terms-conditions": "الشروط والأحكام",
        "footer-contact-us": "تواصل معنا",
        "partners": "شركاؤنا:",
        "phone": "الهاتف: 123-456-7890",
        "email": "البريد الإلكتروني: info@hostgoal.com"
    }
};

document.getElementById("language-selector").addEventListener("change", function() {
    const selectedLanguage = this.value;
    translatePage(selectedLanguage);
    document.body.dir = selectedLanguage === "ar" ? "rtl" : "ltr";
    document.body.classList.toggle('rtl', selectedLanguage === 'ar');
    document.body.classList.toggle('ltr', selectedLanguage === 'en');
    document.querySelector('nav').style.backgroundColor = 'gray'; // Set uniform background color for both languages
});

function translatePage(language) {
    const elements = document.querySelectorAll("[data-i18n]");
    elements.forEach(element => {
        const translationKey = element.dataset.i18n;
        const translation = translations[language][translationKey];
        if (typeof translation === "string") {
            element.textContent = translation;
        } else if (Array.isArray(translation)) {
            element.innerHTML = "";
            translation.forEach(item => {
                const li = document.createElement("li");
                li.textContent = item;
                element.appendChild(li);
            });
        }
    });
}

document.addEventListener("DOMContentLoaded", function() {
    const menuToggle = document.querySelector('.menu-toggle');
    const navLinks = document.querySelector('.nav-links');

    // Toggle the nav links when menuToggle is clicked
    menuToggle.addEventListener('click', function() {
        navLinks.classList.toggle('open');
    });
});

document.body.dir = "ltr";
document.body.classList.add('ltr');
translatePage("en");
