const translations = {
    en: {
        "privacy-policy": "Privacy Policy",
        "header-subtitle": "Your privacy is important to us.",
        "policy-content": `Introduction:
        We appreciate your interest and your concerns about the privacy of your data on the Internet. This policy has been prepared to help you understand the nature of the data we collect from you when you visit our website and how we deal with this personal data.

        Browsing:
        We did not design the site in order to collect your personal data from your computer while you are browsing. Rather, the data provided by you will only be used with your knowledge and of your full will.

        Internet Protocol (IP) address:
        Any time you visit any website, including our website, the host server will record your Internet Protocol (IP) address, the date and time of the visit, the type of internet browser you use, and the URL of any website that referred you to our website.

        Network scans:
        The scans that we conduct directly on the network enable us to collect specific data, such as the data required from you regarding your request submitted to us for one of the hosting offers, servers, domain registration, or design. It must be taken into account that the data provided is real data because we communicate with customers to confirm their identity. Then we activate their request with us and we will not be able to help any customer if they do not provide us with real data.

        Links to other websites on the Internet:
        Our site may contain links to other sites on the Internet, but these sites are related to our site, as we do not place external links to any site that is not related to our services.

        Services provided by you are located on the following link: https://hostgoal.net
        which is the link to our website in the domain registration and domain reseller service. Any other link on our website that is not related to the content of the website, please inform us and the matter will be verified immediately upon receipt of your message and we will respond to you directly.

        Disclosure of information:
        We will at all times maintain the privacy and confidentiality of all personal data we obtain. This information will only be disclosed if required to do so by any law or when we believe in good faith that such action will be required or desirable to comply with the law, or to defend or protect the proprietary rights of our site or its beneficiaries.

        Data necessary to execute the transactions requested by you:
        When we need any data about you, we will ask you to provide it voluntarily. This information will help us contact you and implement your requests wherever possible. The data provided by you will never be sold to any third party for the purpose of marketing it for its own benefit without obtaining your prior written consent unless this is done on the basis that it is part of collective data used for statistical purposes and research without including any data that can be used to identify you.

        Email us and contact us:
        All data provided by you will be treated as confidential. The forms that are submitted directly on the network require the submission of data that will help us improve our site. The data provided by you will be used to respond to all your inquiries, comments, or requests.

        Disclosure of information to any third party:
        We will not sell, trade, rent, or disclose any information to any third party outside this site. The information will only be disclosed if ordered to do so by any judicial or regulatory authority.

        Amendment to the privacy policy:
        We reserve the right to amend the terms and conditions of the confidentiality and information privacy policy if necessary and whenever appropriate. Modifications will be implemented on this page, so you should follow this page from time to time.`,
        "home": "Home",
        "hosting": "Hosting",
        "domains": "Domains",
        "about-us": "About Us",
        "contact-us": "Contact Us",
        "terms-conditions": "Terms and Conditions",
        "footer-domains": "Domains",
        "footer-about-us": "About Us",
        "footer-privacy-policy": "Privacy Policy",
        "footer-terms-conditions": "Terms and Conditions",
        "footer-contact-us": "Contact Us",
        "partners": "Our Partners:",
        "phone": "Phone: 123-456-7890",
        "email": "Email: info@hostgoal.com"
    },
    ar: {
        "privacy-policy": "سياسة الخصوصية",
        "header-subtitle": "خصوصيتك مهمة بالنسبة لنا.",
        "policy-content": `مقدمة:
        نقدرمخاوفكم وإهتمامكم بشأن خصوصية بياناتكم على شبكة الإنترنت. لقد تم إعداد هذه السياسة لمساعدتكم في تفهم طبيعة البيانات التي نقوم بتجميعها منكم عند زيارتكم لموقعنا على شبكة الانترنت وكيفية تعاملنا مع هذه البيانات الشخصية.

        التصفح:
        لم نقم بتصميم الموقع من أجل تجميع بياناتك الشخصية من جهاز الكمبيوتر الخاص بك أثناء تصفحك، وإنما سيتم فقط إستخدام البيانات المُقدمة من قبلك بمعرفتك وبكامل إرادتك.

        عنوان بروتوكول شبكة الإنترنت (IP):
        في أي وقت تزور فيه أي موقع على شبكة الإنترنت بما فيها موقعنا ، سيقوم السيرفر المضيف بتسجيل عنوان بروتوكول شبكة الإنترنت (IP) الخاص بك، تاريخ ووقت الزيارة ونوع متصفح الإنترنت الذي تستخدمه وعنوان الـ URL الخاص بأي موقع من مواقع الإنترنت التي قامت بإحالتك إلى موقعنا على الشبكة.

        عمليات المسح على الشبكة:
        إن عمليات المسح التي نقوم بها مباشرة على الشبكة تمكننا من تجميع بيانات محددة مثل البيانات المطلوبة منك بخصوص طلبك المقدم لدينا الخاص بأحد عروض الإستضافة أو السيرفرات أو تسجيل النطاقات أو التصميم ويجب الأخذ في الإعتبار أن تكون البيانات المُقدمة هي بيانات حقيقة لأننا نتواصل مع العملاء لتأكيد هويتهم ومن ثم نقوم بتفعيل طلبهم لدينا ولن نتمكن من مساعدة أى عميل في حالة عدم تزويدنا ببيانات حقيقة.

        الروابط بالمواقع الأخرى على شبكة الإنترنت:
        قد يحتوي موقعنا على روابط خاصة بمواقع أخرى على شبكة الإنترنت ولكن هذه المواقع ذات صلة بموقعنا حيث أننا لا نضع روابط خارجية لأى موقع غير مرتبط بخدماتنا.

        الخدمات التي نقدمها تكمن على الرابط التالي: https://hostgoal.net
        وهو رابط الموقع التابع لنا في خدمة تسجيل النطاقات وتسجيل ريسيلرات النطاقات. أى رابط آخر يوجد بموقعنا وليس له علاقة بمحتوى الموقع الرجاء إبلاغنا وسيتم التحقق من الأمر فور إستلام رسالتك وسنقوم بالرد عليك مباشرة.

        إفشاء المعلومات:
        سنحافظ في كافة الأوقات على خصوصية وسرية كافة البيانات الشخصية التي نتحصل عليها. ولن يتم إفشاء هذه المعلومات إلا إذا كان ذلك مطلوباً بموجب أي قانون أو عندما نعتقد بحسن نية أن مثل هذا الإجراء سيكون مطلوباً أو مرغوباً فيه للتماشي مع القانون، أو للدفاع عن أو حماية حقوق الملكية الخاصة بموقعنا أو الجهات المُستفيدة منه.

        البيانات اللازمة لتنفيذ المعاملات المطلوبة من قبلك:
        عندما نحتاج إلى أية بيانات خاصة بك، فإننا سنطلب منك تقديمها بكامل إرادتك. حيث ستساعدنا هذه المعلومات في الإتصال بك وتنفيذ طلباتك حيثما كان ذلك ممكنناً. لن يتم إطلاقاً بيع البيانات المقدمة من قبلك إلى أي طرف ثالث بغرض تسويقها لمصلحته الخاصة دون الحصول على موافقتك المُسبقة والمكتوبة ما لم يتم ذلك على أساس أنها ضمن بيانات جماعية تستخدم للأغراض الإحصائية والأبحاث دون إشتمالها على أية بيانات من الممكن إستخدامها للتعريف بك.

        مراسلتنا و الاتصال بنا:
        سيتم التعامل مع كافة البيانات المُقدمة من قبلك على أساس أنها سرية. تتطلب النماذج التي يتم تقديمها مباشرة على الشبكة تقديم البيانات التي ستساعدنا في تحسين موقعنا، سيتم إستخدام البيانات التي يتم تقديمها من قبلك في الرد على كافة إستفساراتك، ملاحظاتك، أو طلباتك.

        إفشاء المعلومات لأي طرف ثالث:
        لن نقوم ببيع، المتاجرة، تأجير، أو إفشاء أية معلومات لمصلحة أي طرف ثالث خارج هذا الموقع. وسيتم الكشف عن المعلومات فقط في حالة صدور أمر بذلك من قبل أي سلطة قضائية أو تنظيمية.

        التعديل على سياسة الخصوصية:
        نحتفظ بالحق في تعديل بنود وشروط سياسة سرية وخصوصية المعلومات إن لزم الأمر ومتى كان ذلك ملائماً. سيتم تنفيذ التعديلات في هذه الصفحة ، لذا يجب عليك متابعة هذه الصفحة بين فترة وأخرى.`,
        "home": "الرئيسية",
        "hosting": "الاستضافة",
        "domains": "النطاقات",
        "about-us": "عن الشركة",
        "contact-us": "تواصل معنا",
        "terms-conditions": "الشروط والأحكام",

        "footer-domains": "النطاقات",
        "footer-about-us": "عن الشركة",
        "footer-privacy-policy": "سياسة الخصوصية",
        "footer-terms-conditions": "الشروط والأحكام",
        "footer-contact-us": "تواصل معنا",
        "partners": "شركاؤنا:",
        "phone": "الهاتف: 123-456-7890",
        "email": "البريد الإلكتروني: info@hostgoal.com"
    }
};

document.getElementById("language-selector").addEventListener("change", function() {
    const selectedLanguage = this.value;
    translatePage(selectedLanguage);
    document.body.dir = selectedLanguage === "ar" ? "rtl" : "ltr";
    document.body.classList.toggle('rtl', selectedLanguage === 'ar');
    document.body.classList.toggle('ltr', selectedLanguage === 'en');
    document.querySelector('nav').style.backgroundColor = 'gray'; // Set uniform background color for both languages
});

function translatePage(language) {
    const elements = document.querySelectorAll("[data-i18n]");
    elements.forEach(element => {
        const translationKey = element.dataset.i18n;
        const translation = translations[language][translationKey];
        if (typeof translation === "string") {
            element.textContent = translation;
        } else if (Array.isArray(translation)) {
            element.innerHTML = "";
            translation.forEach(item => {
                const li = document.createElement("li");
                li.textContent = item;
                element.appendChild(li);
            });
        }
    });
}

document.addEventListener("DOMContentLoaded", function() {
    const menuToggle = document.querySelector('.menu-toggle');
    const navLinks = document.querySelector('.nav-links');

    // Toggle the nav links when menuToggle is clicked
    menuToggle.addEventListener('click', function() {
        navLinks.classList.toggle('open');
    });
});

document.body.dir = "ltr";
document.body.classList.add('ltr');
translatePage("en");
