const translations = {
    en: {
        "home": "Home",
        "domains": "Domains",
        "hosting": "Web Hosting",
        "security": "Web Security",
        "header-title": "Welcome to HostGoal",
        "header-subtitle": "Choose the best hosting plan for your needs",
        "business-title": "Business Plan",
        "business-price": "$2.75 / month",
        "business-features": [
            "Unlimited Storage",
            "Unlimited Bandwidth",
            "Unlimited Subdomains",
            "1 Hosted Domain",
            "100 Email Accounts",
            "5 MySQL Databases",
            "5GB VPN Traffic"
        ],
        "business-signup": "Sign Up Now",
        "corporate-title": "Corporate Plan",
        "corporate-price": "$3.75 / month",
        "corporate-features": [
            "Unlimited Storage",
            "Unlimited Bandwidth",
            "Unlimited Subdomains",
            "5 Hosted Domains",
            "500 Email Accounts",
            "Unlimited MySQL Databases",
            "15GB VPN Traffic"
        ],
        "corporate-signup": "Sign Up Now",
        "enterprise-title": "Enterprise Plan",
        "enterprise-price": "$8.33 / month",
        "enterprise-features": [
            "Unlimited Storage",
            "Unlimited Bandwidth",
            "Unlimited Subdomains",
            "Unlimited Hosted Domains",
            "Unlimited Email Accounts",
            "Unlimited MySQL Databases",
            "25GB VPN Traffic"
        ],
        "enterprise-signup": "Sign Up Now",
        "signin": "Sign In",
        "signup": "Sign Up",
        "about-us": "About Us",
        "privacy-policy": "Privacy Policy",
        "terms-conditions": "Terms and Conditions",
        "contact-us": "Contact Us",
        "footer-about-us": "About Us",
        "footer-privacy-policy": "Privacy Policy",
        "footer-terms-conditions": "Terms and Conditions",
        "footer-contact-us": "Contact Us",
        "partners": "Partners",
        "phone": "Phone",
        "email": "Email",
        "dashboard": "Dashboard",
        "logout": "Logout",
        "domain-title": "Find your domain with HostGoal",
        "search_button": "Search",
        "copy_rights": "© 2024 Hostgoal. All rights reserved.",
        "quick-links": "Quick Links"

    },
    ar: {
        "home": "الرئيسية",
        "domains": "النطاقات",
        "hosting": "الاستضافة",
        "security": "أمان الويب",
        "header-title": "مرحبا بكم في HostGoal",
        "header-subtitle": "اختر أفضل خطة استضافة تناسب احتياجاتك",
        "business-title": "خطة الأعمال",
        "business-price": "2.75 $ /شهريا",
        "business-features": [
            "غير محدود مساحة تخزين",
            "غير محدود حركة مرور شهرية",
            "غير محدود دومينات فرعية",
            "1 دومينات مستضافة",
            "100 حسابات بريد الكتروني",
            "5 MySQL قواعد بيانات",
            "5GB VPN حركة مرور"
        ],
        "business-signup": "أشترك الأن",
        "corporate-title": "خطة الشركات",
        "corporate-price": "3.75 $ /شهريا",
        "corporate-features": [
            "غير محدود مساحة تخزين",
            "غير محدود حركة مرور شهرية",
            "غير محدود دومينات فرعية",
            "5 دومينات مستضافة",
            "500 حسابات بريد الكتروني",
            "غير محدود MySQL قواعد بيانات",
            "15GB VPN حركة مرور"
        ],
        "corporate-signup": "أشترك الأن",
        "enterprise-title": "خطة المؤسسات",
        "enterprise-price": "8.33 $ /شهريا",
        "enterprise-features": [
            "غير محدود مساحة تخزين",
            "غير محدود حركة مرور شهرية",
            "غير محدود دومينات فرعية",
            "غير محدود دومينات مستضافة",
            "غير محدود حسابات بريد الكتروني",
            "غير محدود MySQL قواعد بيانات",
            "25GB VPN حركة مرور"
        ],
        "enterprise-signup": "أشترك الأن",
        "signin": "تسجيل الدخول",
        "signup": "اشترك الآن",
        "about-us": "عن الشركة",
        "privacy-policy": "سياسة الخصوصية",
        "terms-conditions": "الشروط والأحكام",
        "contact-us": "تواصل معنا",
        "footer-about-us": "عن الشركة",
        "footer-privacy-policy": "سياسة الخصوصية",
        "footer-terms-conditions": "الشروط والأحكام",
        "footer-contact-us": "تواصل معنا",
        "partners": "شركاؤنا",
        "phone": "الهاتف: 123-456-7890",
        "email": "البريد الإلكتروني: info@hostgoal.com",
        "dashboard": "لوحة التحكم",
        "logout": "تسجيل الخروج",
        "domain-title": "أبحث عن نطاقك مع هوست جول",
        "search_button": "إبحث",
        "copy_rights": "© 2024 هوست جول . جميع الحقوق محفوظة.",
        "quick-links": "روابط سريعة"
    }
};


document.getElementById("language-selector").addEventListener("change", function() {
    const selectedLanguage = this.value;
    translatePage(selectedLanguage);
    document.body.dir = selectedLanguage === "ar" ? "rtl" : "ltr";
    document.body.classList.toggle('rtl', selectedLanguage === 'ar');
    document.body.classList.toggle('ltr', selectedLanguage === 'en');
    document.querySelector('nav').style.backgroundColor = '#2c2c2c'; // Set uniform background color for both languages
});

function translatePage(language) {
    const elements = document.querySelectorAll("[data-i18n]");
    elements.forEach(element => {
        const translationKey = element.dataset.i18n;
        const translation = translations[language][translationKey];
        if (typeof translation === "string") {
            element.textContent = translation;
        } else if (Array.isArray(translation)) {
            element.innerHTML = "";
            translation.forEach(item => {
                const li = document.createElement("li");
                li.textContent = item;
                element.appendChild(li);
            });
        }
    });
}

// Initialize the translation on page load
document.addEventListener("DOMContentLoaded", () => {
    const selectedLanguage = document.getElementById("language-selector").value;
    translatePage(selectedLanguage);
});


document.addEventListener("DOMContentLoaded", function() {
    const menuToggle = document.querySelector('.menu-toggle');
    const navLinks = document.querySelector('.nav-links');

    // Toggle the nav links when menuToggle is clicked
    menuToggle.addEventListener('click', function() {
        navLinks.classList.toggle('open');
    });
});

document.body.dir = "rtl";
document.body.classList.add('rtl');
translatePage("ar");
