<!DOCTYPE html>
<html lang="ar">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>الفواتير</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
            background-color: #f4f7f9;
        }

        .container {
            margin-top: 50px;
        }
    </style>
</head>

<body>
    <!-- Including navigation -->
    <?php include 'nav.php'; ?>

    <div class="container">
        <div class="form-group">
            <label for="totalAmount">إجمالي الفاتورة</label>
            <input type="number" step="0.01" class="form-control" id="totalAmount" placeholder="أدخل إجمالي الفاتورة باليورو">
        </div>
        <div class="paypal-button-container" id="paypal-button-container"></div>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://www.paypal.com/sdk/js?client-id=AaCAfwjQzvzPQrp0KX8wnB-70DM0i2uHZk4IYPgYYx-Q1MkxrDZpLU-1K_8_-dd-9kPaQNxkvn8_YFUI&currency=USD"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            paypal.Buttons({
                createOrder: function (data, actions) {
                    let totalAmount = parseFloat(document.getElementById('totalAmount').value);
                    if (isNaN(totalAmount) || totalAmount <= 0) {
                        alert('يرجى إدخال إجمالي الفاتورة بشكل صحيح.');
                        return;
                    }
                    return actions.order.create({
                        purchase_units: [{
                            amount: {
                                value: totalAmount.toFixed(2) // Ensure the value is a string with two decimal places
                            }
                        }]
                    });
                },
                onApprove: function (data, actions) {
                    return actions.order.capture().then(function (details) {
                        alert('تم معالجة الدفع بنجاح من قبل ' + details.payer.name.given_name);
                    });
                },
                onError: function (err) {
                    console.error('PayPal Button Error:', err);
                    alert('حدث خطأ أثناء معالجة الدفع. الرجاء المحاولة مرة أخرى.');
                },
                disableFunding: 'credit,card'
            }).render('#paypal-button-container');
        });
    </script>

</body>

</html>
