<?php
// Include the API credentials
include('../config.php');

$authUsername = 'hostgoal'; // Replace with your store name
$authPassword = 'F4mSAY5dhre@fsm'; // Replace with your RSP password
$apiUrl = 'https://api.duoservers.com/'; // Replace with your API URL

// Function to make an API request
function makeApiRequest($authUsername, $authPassword, $apiUrl, $section, $command, $parameters = array()) {
    $query = http_build_query(array_merge([
        'auth_username' => $authUsername,
        'auth_password' => $authPassword,
        'section' => $section,
        'command' => $command
    ], $parameters));

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $apiUrl . '?' . $query);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HEADER, true);
    $response = curl_exec($ch);

    if (curl_errno($ch)) {
        echo 'cURL error: ' . curl_error($ch);
        curl_close($ch);
        return false;
    }

    $header_size = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
    $body = substr($response, $header_size);
    curl_close($ch);
    return $body;
}

// Function to extract SLD and TLD from a domain
function extractSldAndTld($domain) {
    $parts = explode('.', $domain);
    if (count($parts) > 1) {
        $tld = array_pop($parts);
        $sld = implode('.', $parts);
    } else {
        // No TLD provided, use default values later
        $sld = $domain;
        $tld = null;
    }
    return ['sld' => $sld, 'tld' => $tld];
}

// Function to check domain availability
function checkDomainAvailability($authUsername, $authPassword, $apiUrl, $sld, $tld) {
    $section = 'domains';
    $command = 'check';
    $parameters = [
        'name' => $sld,
        'tlds' => [$tld]
    ];

    $response = makeApiRequest($authUsername, $authPassword, $apiUrl, $section, $command, $parameters);

    if ($response !== false) {
        $xml = simplexml_load_string($response);
        if ($xml !== false) {
            $result = $xml->result;
            $status = (string)$result->{$tld};
            return $status;
        }
    }
    return '1'; // Domain not available
}

// Define default TLDs to check
$defaultTlds = ['com', 'net', 'org', 'info'];

// Process form submission
$domain = isset($_POST['domain']) ? $_POST['domain'] : '';

if ($domain) {
    $parts = extractSldAndTld($domain);
    $sld = $parts['sld'];
    $tld = $parts['tld'];

    // If no TLD provided, check with default TLDs
    $tldsToCheck = $tld ? [$tld] : $defaultTlds;
    $results = [];

    foreach ($tldsToCheck as $currentTld) {
        $status = checkDomainAvailability($authUsername, $authPassword, $apiUrl, $sld, $currentTld);
        $results[$currentTld] = $status == '0' ? 'available' : 'unavailable';
    }

    echo json_encode(['success' => true, 'results' => $results]);
} else {
    echo json_encode(['success' => false, 'message' => 'Domain not provided']);
}
?>
