<?php
include('../config.php');
session_start();

// Fetch categories and topics
$categoriesStmt = $pdo->prepare("SELECT * FROM categories");
$categoriesStmt->execute();
$categories = $categoriesStmt->fetchAll();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $title = $_POST['title'];
    $description = $_POST['description'];
    $content = $_POST['content'];
    $topic_id = $_POST['topic'];
    $user_id = $_SESSION['user_id'];

    $stmt = $pdo->prepare("INSERT INTO forum_posts (title, description, content, topic_id, user_id) VALUES (?, ?, ?, ?, ?)");
    $stmt->execute([$title, $description, $content, $topic_id, $user_id]);

    header('Location: forum.php');
    exit();
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>Add Post</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
<div class="container mt-5">
    <h2>Add Post</h2>
    <form action="add_post.php" method="POST">
        <div class="form-group">
            <label for="title">Title:</label>
            <input type="text" id="title" name="title" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="description">Description:</label>
            <textarea id="description" name="description" class="form-control" required></textarea>
        </div>
        <div class="form-group">
            <label for="content">Content:</label>
            <textarea id="content" name="content" class="form-control" required></textarea>
        </div>
        <div class="form-group">
            <label for="category">Category:</label>
            <select id="category" name="category" class="form-control" required>
                <option value="">Select Category</option>
                <?php foreach ($categories as $category): ?>
                    <option value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="form-group">
            <label for="topic">Topic:</label>
            <select id="topic" name="topic" class="form-control" required>
                <option value="">Select Topic</option>
            </select>
        </div>
        <button type="submit" class="btn btn-primary">Add Post</button>
    </form>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script>
    $(document).ready(function() {
        $('#category').change(function() {
            var categoryId = $(this).val();
            if (categoryId) {
                $.ajax({
                    type: 'POST',
                    url: 'fetch_topics.php',
                    data: 'category_id=' + categoryId,
                    success: function(html) {
                        $('#topic').html(html);
                    }
                });
            } else {
                $('#topic').html('<option value="">Select Category first</option>');
            }
        });
    });
</script>
</body>
</html>
