<?php
// client/add_to_cart.php
include('../config.php');
session_start();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $billingCycle = $_POST['billing_cycle'];
    $item = [];

    
    if (isset($_POST['domain'])) {
        $domain = $_POST['domain'];
        
        $domainParts = explode('.', $domain);
        $tld = array_pop($domainParts);
        $domainName = implode('.', $domainParts);

        $stmt = $pdo->prepare("SELECT * FROM domain_prices WHERE after_domain = ?");
        $stmt->execute([$tld]);
        $priceResult = $stmt->fetch();
        $registration_price = $priceResult ? $priceResult['registration_price'] : 'N/A';
        
        $price = ($billingCycle == '1') ? $registration_price : (($billingCycle == '2') ? $registration_price * 2 : $registration_price);
        $item = [
            'id' => 5,
            'name' => $domain,
            'description' => 'دومين (' . $domain . ')',
            'price' => $price,
            'billing_cycle2' => ' ' . $billingCycle . ' ',
            'billing_cycle' => 'سنوات ' . $billingCycle . ' ',
            'type' => 'domain'
        ];


    }
    else
    {
        if (isset($_POST['product_id'])) {
        $productId = $_POST['product_id'];
        
        // Check if the product is already bought by the user and active
        $stmt = $pdo->prepare("SELECT COUNT(*) FROM orders o
                               JOIN order_details od ON o.id = od.order_id
                               WHERE o.user_id = ? AND od.product_id = ?");
        $stmt->execute([$_SESSION['user_id'], $productId]);
        $alreadyBought = $stmt->fetchColumn() > 0;

        if ($alreadyBought) {
            // Display a message instead of redirecting
            $_SESSION['message'] = "This product is already purchased and active.";
            header('Location: cart.php'); // Redirect to the dashboard or any appropriate page
            exit();
        }
        
        // Fetch product details from the database
        $stmt = $pdo->prepare("SELECT * FROM products WHERE id = ?");
        $stmt->execute([$productId]);
        $product = $stmt->fetch();

        if ($product) {
            // Check if the product is a plan
            if ($product['type'] == 'hosting') {
                // Ensure only one plan is in the cart
                foreach ($_SESSION['cart'] as $cart_item) {
                    if ($cart_item['type'] == 'hosting') {
                        // Display a message instead of redirecting
                        $_SESSION['message'] = "You can only have one plan in your cart.";
                        header('Location: dashboard.php'); // Redirect to the dashboard or any appropriate page
                        exit();
                    }
                }
            }
            else if($product['type'] == 'domain'){
                foreach ($_SESSION['cart'] as $cart_item) {
                    if ($cart_item['type'] == 'domain') {
                        // Display a message instead of redirecting
                        $_SESSION['message'] = "You can only have one domain in your cart.";
                        header('Location: dashboard.php'); // Redirect to the dashboard or any appropriate page
                        exit();
                    }
                }
            }
            $price = ($billingCycle == 'monthly') ? $product['price_monthly'] : $product['price_yearly'];
            $item = [
                'id' => $product['id'],
                'name' => $product['name'],
                'description' => 'Plan',
                'price' => $price,
                'billing_cycle' => $billingCycle,
                'type' => $product['type']
            ];
        } else {
            echo "Product not found.";
            exit();
        }
    }
    }

    if (!empty($item)) {
        // Ensure quantity is always 1
        $item['quantity'] = 1;

        // Add item to cart session
        $_SESSION['cart'][$item['id']] = $item;
        
        // Redirect to the dashboard or any appropriate page
        header('Location: cart.php');
        exit();
    } else {
        echo "Invalid item.";
        exit();
    }
}
?>
