<?php 
session_start(); // Start the session

// Load the database configuration file 
include('../config.php');
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Include PHPMailer classes
require '../vendor/autoload.php'; // Ensure PHPMailer is autoloaded
header('Content-Type: application/json'); // Make sure the response is always JSON

function sendVerificationEmail($to, $firstName) {
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host       = 'mail.hostgoal.net'; 
        $mail->SMTPAuth   = true;
        $mail->Username   = 'help@hostgoal.net'; 
        $mail->Password   = '2719243214kK'; 
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465; 

        // Recipients
        $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
        $mail->addAddress($to);

        // Content
        $mail->isHTML(true);
         $mail->Subject = 'Welcome to HostGoal!';

        $mail->Body = "
        <html>
        <body>
            <h1>Hello $firstName,</h1>
            <p>Welcome to HostGoal! We're excited to have you on board.</p>
            <p>If you have any questions or need assistance, feel free to reach out to our support team.</p>
            <p>Best regards,<br>HostGoal Support Team</p>
        </body>
        </html>
        ";

        $mail->send();
    } catch (Exception $e) {
        error_log("Message could not be sent. Mailer Error: {$mail->ErrorInfo}");
    }
}

// Retrieve JSON from POST body 
$jsonStr = file_get_contents('php://input');
$jsonObj = json_decode($jsonStr);

error_log('Received JSON object: ' . print_r($jsonObj, true));


if (json_last_error() !== JSON_ERROR_NONE) {
    error_log('JSON decode error: ' . json_last_error_msg());
    echo json_encode(['error' => 'Invalid JSON format']);
    exit;
}

error_log('Incoming request: ' . $jsonStr);



if (!empty($jsonObj->request_type) && $jsonObj->request_type == 'user_auth') {
    $credential = !empty($jsonObj->credential) ? $jsonObj->credential : '';
    
    // سجل البيانات التي تم فك ترميزها
    error_log('Received request_type: ' . $jsonObj->request_type);
    error_log('Received credential: ' . $credential);

    $parts = explode(".", $credential);
if (count($parts) === 3) {
    $payload = json_decode(base64_decode($parts[1]));
    error_log('Decoded payload: ' . print_r($payload, true));
} else {
    error_log('Invalid JWT structure');
    echo json_encode(['error' => 'Invalid token structure.']);
    exit;
}


        if (!empty($payload)) { 
                error_log("OAuth Provider: $oauth_provider, OAuth UID: $oauth_uid, Email: $email");

            // The user's profile info 
            $oauth_provider = 'google'; 
            $oauth_uid = $payload->sub ?? ''; 
            $first_name = $payload->given_name ?? ''; 
            $last_name = $payload->family_name ?? ''; 
            $email = $payload->email ?? ''; 
            $picture = $payload->picture ?? ''; 

            // Additional fields to meet the new schema requirements
            $username = !empty($payload->email) ? explode('@', $payload->email)[0] : ''; // Derive username from email
            $new_email = $email;
            $password = ''; // Default or empty value
            $role = 'client'; // Default value
            $created_at = date('Y-m-d H:i:s');
            $last_ip =  $_SERVER['REMOTE_ADDR'];
            $company_id = ''; // Default or empty value
            $google_id = $oauth_uid;
            $country = ''; // Default or empty value
            $gender = $payload->gender ?? ''; 
            $phone = ''; // Default or empty value
            $verified = 1; // Default value
            $verification_token = ''; // Default or empty value
            $group_id = null; // Default or empty value

            // Proceed with the original logic, DO NOT MODIFY ANYTHING ELSE
            $query = "SELECT * FROM users WHERE oauth_provider = :oauth_provider AND oauth_uid = :oauth_uid"; 
            $stmt = $pdo->prepare($query); 
            $stmt->execute(['oauth_provider' => $oauth_provider, 'oauth_uid' => $oauth_uid]); 
            $user = $stmt->fetch(); 

            if ($user) {  
                // Update user data if already exists
                $query = "UPDATE users SET first_name = :first_name, last_name = :last_name, email = :email, picture = :picture, modified = NOW(), username = :username, new_email = :new_email, password = :password, role = :role, last_ip = :last_ip, company_id = :company_id, country = :country, gender = :gender, phone = :phone, verified = :verified, verification_token = :verification_token, group_id = :group_id WHERE oauth_provider = :oauth_provider AND oauth_uid = :oauth_uid"; 
                $stmt = $pdo->prepare($query); 
                $stmt->execute([
                    'first_name' => $first_name, 
                    'last_name' => $last_name, 
                    'email' => $email, 
                    'picture' => $picture, 
                    'username' => $username, 
                    'new_email' => $new_email, 
                    'password' => $password, 
                    'role' => $role, 
                    'last_ip' => $last_ip, 
                    'company_id' => $company_id, 
                    'country' => $country, 
                    'gender' => $gender, 
                    'phone' => $phone, 
                    'verified' => $verified, 
                    'verification_token' => $verification_token, 
                    'group_id' => $group_id, 
                    'oauth_provider' => $oauth_provider, 
                    'oauth_uid' => $oauth_uid
                ]); 
                $user_id = $user['id'];
            } else { 
                // Insert user data 
                $query = "INSERT INTO users (oauth_provider, oauth_uid, first_name, last_name, email, picture, created, modified, username, new_email, password, role, created_at, balance, last_ip, company_id, country, gender, phone, verified, verification_token, group_id) VALUES (:oauth_provider, :oauth_uid, :first_name, :last_name, :email, :picture, NOW(), NOW(), :username, :new_email, :password, :role, :created_at, :balance, :last_ip, :company_id, :country, :gender, :phone, :verified, :verification_token, :group_id)"; 
                $stmt = $pdo->prepare($query); 
                $stmt->execute([
                    'oauth_provider' => $oauth_provider, 
                    'oauth_uid' => $oauth_uid, 
                    'first_name' => $first_name, 
                    'last_name' => $last_name, 
                    'email' => $email, 
                    'picture' => $picture, 
                    'username' => $username, 
                    'new_email' => $new_email, 
                    'password' => $password, 
                    'role' => $role, 
                    'created_at' => $created_at, 
                    'balance' => $balance, 
                    'last_ip' => $last_ip, 
                    'company_id' => $company_id, 
                    'country' => $country, 
                    'gender' => $gender, 
                    'phone' => $phone, 
                    'verified' => $verified, 
                    'verification_token' => $verification_token, 
                    'group_id' => $group_id, 
                ]); 
                sendVerificationEmail($email, $first_name);
                $user_id = $pdo->lastInsertId();
            } 

            // Log the IP address of the user
            $stmt = $pdo->prepare("INSERT INTO login_history (user_id, ip_address) VALUES (?, ?)");
            $stmt->execute([$user_id, $last_ip]);

            // Set the session variables
            $_SESSION['user_id'] = $user_id;
            $_SESSION['role'] = $user['role'];

            // Determine redirect URL based on user role
            $redirect_url = ($user['role'] == 'admin') ? '../admin/dashboard.php' : 'index.php';

            // Respond with success and redirect URL
            echo json_encode([
                'status' => 1,
                'redirect_url' => $redirect_url
            ]);
        } else { 
            echo json_encode(['error' => 'Account data is not available!']); 
        } 
} else {
    error_log('Invalid request type or missing data');
    echo json_encode(['error' => 'Invalid request type or missing data']);
}
?>
