<?php
session_start();
include('../config.php');
include('includes/auth.php');
require_once __DIR__.'/../client/dna.php';

// Fetch user balance
$user_id = $_SESSION['user_id'];
$stmt = $pdo->prepare("SELECT balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$userBalance = $user['balance'] ?? 0;

// Fetch cart items from session
$cartItems = $_SESSION['cart'] ?? [];

// Check if cart is empty
$cartEmpty = empty($cartItems);

// Calculate total price
$totalPrice = 0;
foreach ($cartItems as $item) {
    $totalPrice += $item['price'] * $item['quantity'];
}
if (isset($_GET['logout'])) {
    session_destroy();
    header("Location: ../index.php");
    exit();
}
// Handle coupon application
$discount = 0;
$coupon_id = null;
$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;
// Handle item deletion from cart
if (isset($_POST['delete_item'])) {
    $itemId = $_POST['item_id'];
    unset($cartItems[$itemId]);
    $_SESSION['cart'] = $cartItems;
    header("Location: ".$_SERVER['PHP_SELF']); // Refresh the page after deletion
    exit();
}

if (isset($_POST['apply_coupon'])) {
    $couponCode = $_POST['coupon_code'];

    // Check if the coupon has already been used by this user
    $stmt = $pdo->prepare("SELECT uc.id FROM used_coupons uc
                           JOIN coupons c ON uc.coupon_id = c.id
                           WHERE uc.user_id = ? AND c.code = ?");
    $stmt->execute([$user_id, $couponCode]);
    $usedCoupon = $stmt->fetch();

    // Check if the coupon is valid
    $stmt = $pdo->prepare("SELECT id, discount, one_time_use FROM coupons WHERE code = ?");
    $stmt->execute([$couponCode]);
    $coupon = $stmt->fetch();

    if ($coupon) {
        if ($usedCoupon) {
            $error = "هذا الكوبون تم استخدامه بالفعل.";
        } elseif ($coupon['one_time_use']) {
            // Check if the coupon has been used by any user
            $stmt = $pdo->prepare("SELECT COUNT(*) FROM used_coupons WHERE coupon_id = ?");
            $stmt->execute([$coupon['id']]);
            $couponUsedCount = $stmt->fetchColumn();

            if ($couponUsedCount > 0) {
                $error = "هذا الكوبون تم استخدامه بالفعل.";
            } else {
                $discount = $coupon['discount'];
                $totalPrice = $totalPrice - ($totalPrice * ($discount / 100));
                $coupon_id = $coupon['id'];

                // Store discount and coupon id in session for later use
                $_SESSION['discount'] = $discount;
                $_SESSION['coupon_id'] = $coupon_id;
            }
        } else {
            $discount = $coupon['discount'];
            $totalPrice = $totalPrice - ($totalPrice * ($discount / 100));
            $coupon_id = $coupon['id'];

            // Store discount and coupon id in session for later use
            $_SESSION['discount'] = $discount;
            $_SESSION['coupon_id'] = $coupon_id;
        }
    } else {
        $error = "كود الكوبون غير صالح.";
    }
}

// Handle payment
if (isset($_POST['payment_method'])) {
    $paymentMethod = $_POST['payment_method'];

    // Adjust total price if discount applied
    if (isset($_SESSION['discount'])) {
        $discount = $_SESSION['discount'];
        $totalPrice = $totalPrice - ($totalPrice * ($discount / 100));
    }

    if ($paymentMethod == 'balance') {
        if ($userBalance >= $totalPrice) {
            // Deduct balance and mark as paid
            $newBalance = $userBalance - $totalPrice;
            $stmt = $pdo->prepare("UPDATE users SET balance = ? WHERE id = ?");
            $stmt->execute([$newBalance, $user_id]);

            // Insert order into orders table
            $stmt = $pdo->prepare("INSERT INTO orders (user_id, total_price, status) VALUES (?, ?, 'paid')");
            $stmt->execute([$user_id, $totalPrice]);
            $order_id = $pdo->lastInsertId();

            // Insert order details into order_details table
            foreach ($cartItems as $item) {
                $stmt = $pdo->prepare("INSERT INTO order_details (order_id, product_id, quantity, price) VALUES (?, ?, ?, ?)");
                $stmt->execute([$order_id, $item['id'], $item['quantity'], $item['price']]);

                // Check if the item is a domain
                if ($item['type'] == 'domain') {
                    
                    $username = 'hostgoal';
                    $password = '2719243214kK!';

                    $dna = new \DomainNameApi\DomainNameAPI_PHPLibrary($username, $password);

                    $contact = array(
                        "FirstName"        => 'Bunyamin',
                        "LastName"         => 'Mutlu',
                        "Company"          => '',
                        "EMail"            => 'bun.mutlu@gmail.com',
                        "AddressLine1"     => 'adres 1 adres 1 adres 1 ',
                        "AddressLine2"     => 'test test',
                        "AddressLine3"     => '',
                        "City"             => 'Kocaeli',
                        "Country"          => 'TR',
                        "Fax"              => '2626060026',
                        "FaxCountryCode"   => '90',
                        "Phone"            => '5555555555',
                        "PhoneCountryCode" => '90',
                        "Type"             => 'Contact',
                        "ZipCode"          => '41829',
                        "State"            => 'GEBZE'
                    );

                    $domain = $item['name'];
                    $billingCycle = $item['billing_cycle2']; // assuming '1' represents the billing cycle you want

                    $response = $dna->RegisterWithContactInfo($domain, 1, [
                        'Administrative' => $contact,
                        'Billing'        => $contact,
                        'Technical'      => $contact,
                        'Registrant'     => $contact
                    ], [
                        "dns1.hostgoal.net",
                        "dns2.hostgoal.net"
                    ], true, false);

                    // Directly use the response data
                    if ($response['result'] === 'OK') {
                        $data = $response['data'];
                        $domainName = $data['DomainName'];
                        $authCode = $data['AuthCode'];
                        $lockStatus = $data['LockStatus'];
                        $privacyProtectionStatus = $data['PrivacyProtectionStatus'];
                        $nameServers = $data['NameServers'];
                        $expirationDate = $data['Dates']['Expiration'];

                        // Prepare data for insertion
                        $nameserver1 = $nameServers[0] ?? '';
                        $nameserver2 = $nameServers[1] ?? '';
                        $protection = $privacyProtectionStatus ? '1' : '0';
                        $epp_code = $authCode;

                        // Insert data into the `user_products` table
                        $stmt = $pdo->prepare("INSERT INTO user_products (user_id, product_id, purchase_date, expire_date, order_id, domain_name, billing_cycle, epp_code) VALUES (?, ?, ?, ?, ?, ?, ?, NOW(), ?, ?, ?, ?, ?)");
                        $stmt->execute([
                            $user_id,
                            $item['id'],
                            $expirationDate,
                            $order_id,
                            $domainName,
                            $billingCycle,
                            $epp_code
                        ]);

                        header("Location: balance_success.php?order_id=" . $order_id);
                    } else {
                        echo "API request failed. Response: " . print_r($response, true);
                    }
                }
            }

            // Clear cart
            $_SESSION['cart'] = [];

            // Redirect to success page
        } else {
            $error = "رصيدك غير كافٍ لإكمال الدفع.";
        }
    } 
}



?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HostGoal - سلة المشتريات</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
       <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">

    <style>
     .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }
.container {
            padding: 10px;
        }
    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }

    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }
    /* General Styles */
    body, html {
        font-family: 'Cairo', sans-serif;
        background-color: #f9f9f9;
        margin: 0;
        padding: 0;
        display: flex;
        flex-direction: column;
        min-height: 100vh;
    }

    header {
        text-align: center;
        margin: 20px 0;
    }

    #header-title {
        font-size: 28px;
        color: #333;
    }

    /* Navbar */
    .navbar {
        background-color: #2c2c2c;
        padding: 10px 20px;
    }

    .navbar-brand {
        display: flex;
        align-items: center;
    }

    .navbar-brand img {
        margin-right: 10px;
    }

    .navbar-brand span {
        color: #fff;
        font-size: 20px;
    }

    .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

    .navbar-nav .nav-link:hover {
        background-color: #0f8a8a;
    }

    .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }

    /* Cart Section */
    #checkout {
    width: 90%;
    max-width: 800px;
    margin: 20px auto;
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

    .table-responsive {
    width: 100%;
    overflow-x: auto;
}

/* Table Styles */
table.styled-table {
    width: 100%;
    border-collapse: collapse;
    text-align: left;
    margin-bottom: 20px;
}

.styled-table thead tr {
    background-color: #17a2b8;
    color: #fff;
}

.styled-table th, .styled-table td {
    padding: 12px 15px;
    border-bottom: 1px solid #f1f1f1;
}

.styled-table tbody tr:hover {
    background-color: #f2f2f2;
}

.total-price {
    font-size: 20px;
    text-align: right;
    margin-bottom: 20px;
}

.error {
    color: #dc3545;
    text-align: center;
    margin-bottom: 20px;
    font-size: 18px;
}

form {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

input[type="text"] {
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin-right: 10px;
    width: 250px;
}

button {
    padding: 10px 20px;
    background-color: #17a2b8;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #0f8a8a;
}

.delete-btn {
    background-color: transparent;
    border: none;
    color: #dc3545;
    cursor: pointer;
    font-size: 18px;
}


    .payment-button {
        text-align: center;
    }

    .payment-button button {
        margin: 0 10px;
    }

    .paypal-button-container {
        margin-top: 20px;
    }

    /* Footer */
    .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }

    /* Responsive Adjustments */
    @media (max-width: 767px) {
    .navbar-nav .nav-link {
        padding: 8px 12px;
        font-size: 16px;
    }

    .cart-nav-item .nav-link {
        padding: 8px 12px;
        font-size: 18px;
    }

    table.styled-table th, table.styled-table td {
        font-size: 14px;
        padding: 10px 12px;
    }

    .total-price {
        font-size: 18px;
    }

    form {
        flex-direction: column;
    }

    input[type="text"] {
        margin-right: 0;
        margin-bottom: 10px;
    }
}
    </style>
</head>
<body>

<!-- Navbar -->
<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        الدعم
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($balance, 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                                        <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>

                </ul>
            </div>
        </div>
    </div>
</nav>

<header>
    <h1 id="header-title">سلة المشتريات</h1>
</header>

<section id="checkout">
    <?php if (isset($error)): ?>
        <div class="error"><?php echo htmlspecialchars($error, ENT_QUOTES, 'UTF-8'); ?></div>
    <?php endif; ?>

    <div class="table-responsive">
        <table class="styled-table">
            <thead>
                <tr>
                    <th>المنتج</th>
                    <th>الوصف</th>
                    <th>دورة الفوترة</th>
                    <th>السعر</th>
                    <th>الكمية</th>
                    <th>الإجمالي</th>
                    <th>العمليات</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($cartItems as $itemId => $item): ?>
                <tr>
                    <td><?php echo htmlspecialchars($item['name'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['description'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['billing_cycle'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['price'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                    <td><?php echo htmlspecialchars($item['quantity'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['price'] * $item['quantity'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                    <td>
                        <form method="post" style="display:inline;">
                            <input type="hidden" name="item_id" value="<?php echo htmlspecialchars($itemId, ENT_QUOTES, 'UTF-8'); ?>">
                            <button type="submit" name="delete_item" class="delete-btn"><i class="fas fa-trash"></i></button>
                        </form>    
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>

    <div class="total-price">
        <strong>الإجمالي: </strong><?php echo htmlspecialchars($totalPrice, ENT_QUOTES, 'UTF-8'); ?> $
    </div>
<?php if ($cartEmpty): ?>
        <p class="error">سلة المشتريات فارغة</p>
    <?php else: ?>
        <form method="post">
            <input type="text" name="coupon_code" placeholder="أدخل كود الكوبون" required>
            <button type="submit" name="apply_coupon">تطبيق الكوبون</button>
        </form>
        <div class="payment-button">
            <form method="post">
                <input type="hidden" name="payment_method" value="balance">
                <button type="submit">الدفع باستخدام الرصيد</button>
            </form>
            <div id="paypal-button-container" class="paypal-button-container"></div>
        </div>
    <?php endif; ?></section>


<!-- Footer -->
    <?php include 'footer.php'; ?>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
<!-- PayPal Script -->
<script>
$(document).ready(function () {
    // Check if the cart is empty
    var cartItems = <?php echo json_encode($cartItems); ?>;

    if (cartItems.length === 0) {
        console.log("Cart is empty, no PayPal buttons will be rendered.");
        return;  // Exit if the cart is empty
    }

    paypal.Buttons({
        createOrder: function (data, actions) {
            var totalPrice = <?php echo json_encode(number_format($totalPrice, 2, '.', '')); ?>;
            return actions.order.create({
                purchase_units: [{
                    amount: {
                        value: totalPrice
                    }
                }]
            });
        },
        onApprove: function (data, actions) {
            return actions.order.capture().then(function (details) {
                console.log('PayPal payment details:', details); // Log PayPal payment details

                Swal.fire({
                    title: 'تمت المعاملة بنجاح!',
                    text: 'تم الدفع بواسطة ' + details.payer.name.given_name,
                    icon: 'success',
                    showCancelButton: false,
                    confirmButtonText: 'استمر',
                    confirmButtonColor: '#17a2b8'
                }).then((result) => {
                    if (result.isConfirmed) {
                        // Show loading overlay
                        Swal.fire({
                            title: 'جاري التحميل...',
                            text: 'من فضلك انتظر، يتم إتمام العملية',
                            allowOutsideClick: false,
                            didOpen: () => {
                                Swal.showLoading();
                            }
                        });

                        // Send the total price and order ID via POST to the PHP backend
                        $.post('payment_success.php', {
                            total_price: details.purchase_units[0].amount.value,  // Use the PayPal transaction value
                            orderID: details.id
                        })
                        .done(function(response) {
                            console.log('Server response:', response); // Log the server response
                            window.location.href = 'invoice.php';
                        })
                        .fail(function(xhr, status, error) {
                            console.error('Server error:', xhr.responseText); // Log the error details
                            Swal.fire('خطأ', 'حدث خطأ أثناء المعاملة.', 'error');
                        });
                    }
                });
            }).catch(function (error) {
                console.error('Capture error:', error); // Log any capture errors
                Swal.fire('خطأ', 'حدث خطأ أثناء المعاملة.', 'error');
            });
        },
        onCancel: function (data) {
            Swal.fire('تم الإلغاء', 'لقد قمت بإلغاء المعاملة.', 'info');
        },
        onError: function (err) {
            Swal.fire('خطأ', 'حدث خطأ أثناء المعاملة.', 'error');
            console.error('An error occurred:', err); // Log PayPal errors
        }
    }).render('#paypal-button-container');
});

</script>
        <script src="https://www.paypal.com/sdk/js?client-id=AaCAfwjQzvzPQrp0KX8wnB-70DM0i2uHZk4IYPgYYx-Q1MkxrDZpLU-1K_8_-dd-9kPaQNxkvn8_YFUI&currency=USD"></script>

</body>
</html>
