<?php
require_once __DIR__.'/../client/dna.php';
include('../config.php'); // Include database configuration

$username = 'hostgoal';
$password = '2719243214kK!';

$dna = new \DomainNameApi\DomainNameAPI_PHPLibrary($username, $password);

// Retrieve POST data
$domain = isset($_POST['domain']) ? $_POST['domain'] : '';
$billing_cycle = isset($_POST['billing_cycle']) ? (int)$_POST['billing_cycle'] : 1;

// Validate domain format (allow domains without TLD for further processing)
if (empty($domain) || !preg_match('/^[a-zA-Z0-9.-]+$/', $domain)) {
    echo json_encode(['html' => 'تنسيق النطاق غير صحيح.', 'available' => false]);
    exit;
}

// Check if the domain has a TLD
if (!strpos($domain, '.')) {
    // No TLD provided, check against default TLDs
    $TLDs = ['com', 'net', 'org'];
    $domainName = $domain;
} else {
    // Extract the TLD if provided
    $domainParts = explode('.', $domain);
    $tld = array_pop($domainParts);
    $domainName = implode('.', $domainParts);
    $TLDs = [$tld];
}

// Prepare to check availability for each TLD
$Period = $billing_cycle;

$output = '<table class="table table-bordered">';
$output .= '<thead><tr><th>النطاق</th><th>الحالة</th><th>السعر</th><th>دورة الفوترة</th></tr></thead>';
$output .= '<tbody>';

$domainAvailable = false; // Track availability

foreach ($TLDs as $tld) {
    $domains = [$domainName];
    $result = $dna->CheckAvailability($domains, [$tld], $Period, 'create');

    if (!$result || !isset($result[0]['Status'])) {
        echo json_encode(['html' => 'حدث خطأ أثناء التحقق من النطاق.', 'available' => false]);
        exit;
    }

    $status = $result[0]['Status'] === 'available' ? 'متاح' : 'غير متاح';
    
    if ($status === 'متاح') {
        $domainAvailable = true;
    }

    $domainTld = $tld;
    $stmt = $pdo->prepare("SELECT registration_price FROM domain_prices WHERE after_domain = ?");
    $stmt->execute([$domainTld]);
    $priceResult = $stmt->fetch();

    $price = $priceResult ? $priceResult['registration_price'] : 'N/A';
    $currency = 'USD';

    $price = is_numeric($price) ? number_format($price, 2) : $price;
    $renewalCycles = [
        1 => 'كل سنة',
        2 => 'كل سنتين'
    ];

    // Determine the renewal cycle label
    $renewalCycle = isset($renewalCycles[$Period]) ? $renewalCycles[$Period] : 'غير محدد';
    if ($Period == 1) {
        $price = $price; // Adjust if necessary for different periods
    } else if ($Period == 2) {
        $price = $price * 2; // Adjust if necessary for different periods
    }

    $fullDomain = htmlspecialchars($domainName) . '.' . htmlspecialchars($domainTld);

    $output .= '<tr>';
$output .= '<td>' . $fullDomain . '</td>';
$output .= '<td>' . $status . '</td>';
$output .= '<td>' . $price . ' ' . $currency . '</td>';
$output .= '<td>' . $renewalCycle . '</td>';
if ($status === 'متاح') {
    $output .= '<td><button class="btn btn-success add-to-cart" data-domain="' . $fullDomain . '" data-price="' . $price . '" data-cycle="' . $Period . '">أضف إلى السلة</button></td>';
} else {
    $output .= '<td><button class="btn btn-secondary" disabled>غير متاح</button></td>';
}
$output .= '</tr>';
}

$output .= '</tbody></table>';

echo json_encode(['html' => $output, 'available' => $domainAvailable]);
?>
