<?php
session_start();
include('../config.php');

include('includes/auth.php');

// Fetch user balance
$user_id = $_SESSION['user_id'];
$stmt = $pdo->prepare("SELECT balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$userBalance = $user['balance'] ?? 0;

// Fetch cart items from session or database
$cartItems = $_SESSION['cart'] ?? [];

// Calculate total price

?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HostGoal - الدفع</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <script src="https://www.paypal.com/sdk/js?client-id=ARk_oSf0EtN4fiB5LRucpzAKp21O3Ca_lmA-2MHNzwQHRK2GE2ZMxU0vJ9JaUT4kDRS2jXjc9q04AnNN&currency=USD"></script>

    <style>
        body {
            font-family: 'Cairo', sans-serif;
        }
        header {
            text-align: center;
            margin: 20px 0;
        }
        #checkout {
            max-width: 800px;
            margin: 0 auto;
        }
        .styled-table {
            width: 100%;
            border-collapse: collapse;
            margin: 25px 0;
            font-size: 18px;
            text-align: left;
        }
        .styled-table th, .styled-table td {
            padding: 12px 15px;
        }
        .styled-table thead tr {
            background-color: #009879;
            color: #ffffff;
            text-align: left;
        }
        .styled-table tbody tr {
            border-bottom: 1px solid #dddddd;
        }
        .styled-table tbody tr:nth-of-type(even) {
            background-color: #f3f3f3;
        }
        .styled-table tbody tr:last-of-type {
            border-bottom: 2px solid #009879;
        }
        .total-price, .payment-button {
            text-align: right;
            margin: 20px 0;
        }
        .payment-button button {
            padding: 10px 20px;
            background-color: #009879;
            color: #fff;
            border: none;
            cursor: pointer;
        }
        .payment-button button:hover {
            background-color: #007a63;
        }
    </style>
</head>
<body>
    <?php include 'nav.php'; ?>
    <header>
        <h1 id="header-title" data-i18n="header-title">الدفع</h1>
    </header>
    <section id="checkout">
        <table class="styled-table">
            <thead>
                <tr>
                    <th>المنتج</th>
                    <th>الوصف</th>
                    <th>السعر</th>
                    <th>الكمية</th>
                    <th>الإجمالي</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($cartItems as $itemId => $item): ?>
                <tr>
                    <td><?php echo htmlspecialchars($item['name'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['description'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['price'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                    <td><?php echo htmlspecialchars($item['quantity'], ENT_QUOTES, 'UTF-8'); ?></td>
                    <td><?php echo htmlspecialchars($item['price'] * $item['quantity'], ENT_QUOTES, 'UTF-8'); ?> $</td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <div class="total-price">
            <p>المجموع الكلي: <?php echo htmlspecialchars($totalPrice, ENT_QUOTES, 'UTF-8'); ?> $</p>
        </div>
        <div id="paypal-button-container"></div>
    </section>
    <?php include 'footer.php'; ?>

    <script>
    paypal.Buttons({
        createOrder: function(data, actions) {
            return actions.order.create({
                purchase_units: [{
                    amount: {
                        value: '<?php echo $totalPrice; ?>'
                    }
                }]
            });
        },
        onApprove: function(data, actions) {
            return actions.order.capture().then(function(details) {
                alert('Transaction completed by ' + details.payer.name.given_name);
                window.location.href = 'payment_success.php?orderID=' + data.orderID;
            }).catch(function(error) {
                console.error('Capture error:', error);
                
            });
        },
        onCancel: function(data) {
            alert('Payment canceled');
        },
        onError: function(err) {
            console.error('An error occurred:', err);
            
        }
    }).render('#paypal-button-container');
    </script>

    <script src="scripts.js"></script>
</body>
</html>
