<?php
include('../config.php');
include('includes/auth.php'); // Ensure client authentication

if (!isset($_GET['id']) || !is_numeric($_GET['id'])) {
    die('Invalid Ticket ID');
}

$ticket_id = (int)$_GET['id'];
$user_id = $_SESSION['user_id'];

// Fetch ticket details
$query = "SELECT * FROM tickets WHERE id = :ticket_id AND user_id = :user_id";
$stmt = $pdo->prepare($query);
$stmt->execute([':ticket_id' => $ticket_id, ':user_id' => $user_id]);
$ticket = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$ticket) {
    die('Ticket not found or access denied');
}

// Fetch messages for the ticket
$query = "SELECT ticket_messages.*, users.username FROM ticket_messages
          JOIN users ON ticket_messages.user_id = users.id
          WHERE ticket_id = :ticket_id
          ORDER BY created_at ASC";
$stmt = $pdo->prepare($query);
$stmt->execute([':ticket_id' => $ticket_id]);
$messages = $stmt->fetchAll(PDO::FETCH_ASSOC);

$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تفاصيل تذكرتي</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
 <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">  
    <style>
        .container {
            padding: 10px;
        }
      body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            min-height: 100vh;
            display: flex;
            flex-direction: column;
        }
 .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
            color: white;
        }

        .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }

        .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
         .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .profile-container {
            margin: 50px auto;
            max-width: 600px;
            background-color: #fff;
            padding: 100px;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        .profile-container h2 {
            font-size: 24px;
            margin-bottom: 20px;
            color: #333;
        }

        .profile-picture {
            width: 120px;
            height: 120px;
            border-radius: 50%;
            object-fit: cover;
            margin-bottom: 20px;
        }

        .form-container .form-group {
            text-align: right;
            margin-bottom: 15px;
        }
 .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }
.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }

     
         .page-header {
            text-align: center;
            margin-bottom: 20px;
        }

        .ticket-details {
            background-color: #f1f1f1;
            padding: 15px;
            border-radius: 10px;
            margin-bottom: 20px;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
/* Container for ticket details */
.ticket-details-container {
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
}

.ticket-details-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    border-bottom: 1px solid #e0e0e0;
    padding-bottom: 10px;
}

.ticket-details-header h2 {
    font-size: 1.5rem;
    color: #333;
    margin: 0;
}

.ticket-status {
    padding: 5px 15px;
    border-radius: 20px;
    font-size: 0.9rem;
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
}

.ticket-status.open {
    background-color: #28a745;
}

.ticket-status.closed {
    background-color: #dc3545;
}

.ticket-info {
    margin-bottom: 20px;
}

.ticket-info p {
    font-size: 1rem;
    color: #555;
    margin: 5px 0;
}

.ticket-description {
    background-color: #f8f9fa;
    padding: 15px;
    border-radius: 10px;
    font-size: 1rem;
    color: #333;
    line-height: 1.6;
    word-wrap: break-word;
    margin-bottom: 20px;
}

.messages-container {
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

.message {
    padding: 10px 15px;
    margin-bottom: 10px;
    border-radius: 10px;
    background-color: #e9ecef;
    max-width: 70%;
    word-wrap: break-word;
    position: relative;
}

.message.client {
    background-color: #d4f1f4;
    margin-left: auto;
}

.message.admin {
    background-color: #f8d7da;
}

.message .info {
    font-size: 0.8rem;
    color: #555;
    margin-bottom: 5px;
}

.message img {
    max-width: 150px;
    height: auto;
    margin-top: 10px;
    border-radius: 5px;
}

#message-form {
    margin-top: 20px;
}

textarea.form-control {
    resize: none;
    border-radius: 10px;
}

button[type="submit"] {
    border-radius: 10px;
    width: 100%;
}

form.disabled textarea,
form.disabled input,
form.disabled button {
    background-color: #f1f1f1;
    pointer-events: none;
}

.disabled button {
    cursor: not-allowed;
}

        .ticket-details h4 {
            margin: 0;
        }

        .ticket-status {
            font-weight: bold;
            padding: 8px 12px;
            border-radius: 5px;
        }

        .ticket-status.open {
            background-color: #28a745;
            color: #fff;
        }

        .ticket-status.closed {
            background-color: #dc3545;
            color: #fff;
        }

         .messages {
            max-height: 400px;
            overflow-y: auto;
            margin-bottom: 20px;
        }

        .message {
            padding: 10px 15px;
            margin-bottom: 10px;
            border-radius: 10px;
            background-color: #e9ecef;
            max-width: 70%;
            word-wrap: break-word;
            position: relative;
        }

        .message.client {
            background-color: #d4f1f4;
            margin-left: auto;
        }

        .message.admin {
            background-color: #f8d7da;
        }

        .message .info {
            font-size: 0.8rem;
            color: #555;
            margin-bottom: 5px;
        }

        .message img {
            max-width: 150px;
            height: auto;
            margin-top: 10px;
            border-radius: 5px;
        }

        #message-form {
            margin-top: 20px;
        }

         textarea.form-control {
            resize: none;
            border-radius: 10px;
        }

        button[type="submit"] {
            border-radius: 10px;
            width: 100%;
        }

        
        form.disabled textarea,
        form.disabled input,
        form.disabled button {
            background-color: #f1f1f1;
            pointer-events: none;
        }

        .disabled button {
            cursor: not-allowed;
        }

        /* Media Queries */
        @media (max-width: 768px) {
            .container {
                padding: 15px;
            }

            .messages {
                max-height: 300px;
            }

            .message {
                max-width: 100%;
            }
        }
        .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }
    .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
button:hover {
    background-color: #0f8a8a;
}
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        الدعم
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($balance, 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                                        <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>

                </ul>
            </div>
        </div>
    </div>
</nav>
     <div class="container">
        <div class="page-header">
            <h2>تفاصيل تذكرتي - <?php echo htmlspecialchars($ticket['subject']); ?></h2>
        </div>
        <div class="ticket-details-container">
    <div class="ticket-details-header">
        <h2><?php echo htmlspecialchars($ticket['subject'], ENT_QUOTES, 'UTF-8'); ?></h2>
        <span class="ticket-status <?php echo $ticket['status'] == 'closed' ? 'closed' : 'open'; ?>">
            <?php echo htmlspecialchars($ticket['status'], ENT_QUOTES, 'UTF-8'); ?>
        </span>
    </div>
    <div class="ticket-info">
        <p>الفئة: <?php echo htmlspecialchars($ticket['category'], ENT_QUOTES, 'UTF-8'); ?></p>
        <p>الأولوية: <?php echo htmlspecialchars($ticket['priority'], ENT_QUOTES, 'UTF-8'); ?></p>
        <p>تاريخ الإنشاء: <?php echo htmlspecialchars($ticket['created_at'], ENT_QUOTES, 'UTF-8'); ?></p>
    </div>
    <div class="ticket-description">
        <?php echo htmlspecialchars($ticket['description'], ENT_QUOTES, 'UTF-8'); ?>
    </div>
</div>


        <div class="messages" id="chat-box">
            <?php foreach ($messages as $message): ?>
                <div class="message <?php echo ($message['user_id'] == $_SESSION['user_id']) ? 'client' : 'admin'; ?>">
                    <div class="info">
                        <strong><?php echo htmlspecialchars($message['username']); ?></strong> - <?php echo htmlspecialchars($message['created_at']); ?>
                    </div>
                    <p><?php echo htmlspecialchars($message['message']); ?></p>
                    <?php if ($message['image']): ?>
                        <img src="<?php echo htmlspecialchars($message['image']); ?>" alt="Image">
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        </div>

        <form action="send_message.php" method="POST" enctype="multipart/form-data" id="message-form" <?php echo ($ticket['status'] === 'closed') ? 'class="disabled"' : ''; ?>>
            <input type="hidden" name="ticket_id" value="<?php echo htmlspecialchars($ticket_id); ?>">
            <textarea name="message" class="form-control" rows="3" placeholder="أضف رسالة" <?php echo ($ticket['status'] === 'closed') ? 'disabled' : ''; ?>></textarea>
            <input type="file" name="image" class="form-control mt-2" <?php echo ($ticket['status'] === 'closed') ? 'disabled' : ''; ?>>
            <button type="submit" class="btn btn-primary mt-2" <?php echo ($ticket['status'] === 'closed') ? 'disabled' : ''; ?>>إرسال</button>
        </form>
    </div>

    <?php include 'footer.php'; ?>
 <script>
        // Scroll chat to the bottom on page load
        const chatBox = document.getElementById('chat-box');
        chatBox.scrollTop = chatBox.scrollHeight;
    </script>
 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script></body>
</html>
