<?php
include('../config.php');
include('includes/auth.php'); // Ensure client authentication

$user_id = $_SESSION['user_id'];

// Prepare SQL query to fetch tickets along with username
$query = "
    SELECT t.id, t.subject, t.description, t.status, t.priority, t.category, t.created_at, u.username 
    FROM tickets t
    JOIN users u ON t.user_id = u.id
    WHERE t.user_id = :user_id
";


$stmt = $pdo->prepare($query);
$stmt->execute([':user_id' => $user_id]);
$tickets = $stmt->fetchAll(PDO::FETCH_ASSOC);

$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تذاكري</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">

    <style>
    .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
button:hover {
    background-color: #0f8a8a;
}
    .container {
            padding: 10px;
        }
       body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

         .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
            color: white;
        }

        .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }

        .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
         .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .profile-container {
            margin: 50px auto;
            max-width: 600px;
            background-color: #fff;
            padding: 100px;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        .profile-container h2 {
            font-size: 24px;
            margin-bottom: 20px;
            color: #333;
        }

        .profile-picture {
            width: 120px;
            height: 120px;
            border-radius: 50%;
            object-fit: cover;
            margin-bottom: 20px;
        }

        .form-container .form-group {
            text-align: right;
            margin-bottom: 15px;
        }
 .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }
.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }
.cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
button:hover {
    background-color: #0f8a8a;
}
        .page-header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 20px;
        }
/* Ticket Card Design */
.ticket-card {
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.ticket-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.15);
}

.ticket-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

.ticket-header h2 {
    font-size: 1.2rem;
    color: #333;
    margin: 0;
}

.ticket-status {
    padding: 5px 15px;
    border-radius: 20px;
    font-size: 0.9rem;
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
}

.ticket-status.open {
    background-color: #28a745;
}

.ticket-status.closed {
    background-color: #dc3545;
}

.ticket-details {
    margin-top: 10px;
    font-size: 0.9rem;
    color: #555;
}

.ticket-details p {
    margin: 5px 0;
}

.ticket-footer {
    margin-top: 20px;
    text-align: right;
}

.btn-view {
    background-color: #3498db;
    color: white;
    padding: 10px 15px;
    border-radius: 5px;
    font-size: 0.9rem;
}

.btn-view:hover {
    background-color: #2980b9;
}

.btn-create {
    background-color: #17a2b8;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 1rem;
}

.btn-create:hover {
    background-color: #138496;
}

@media (max-width: 768px) {
    .ticket-card {
        padding: 15px;
    }

    .ticket-header h2 {
        font-size: 1rem;
    }

    .ticket-details p {
        font-size: 0.8rem;
    }

    .ticket-footer .btn-view {
        padding: 8px 12px;
        font-size: 0.8rem;
    }

    .btn-create {
        padding: 8px 15px;
        font-size: 0.9rem;
    }
}


        .status-open {
            background-color: #28a745;
        }

        .status-closed {
            background-color: #dc3545;
        }

        .ticket-details {
            margin-top: 10px;
            font-size: 0.9rem;
        }

        .ticket-footer {
            margin-top: 20px;
            text-align: right;
        }

        .btn-view {
            background-color: #3498db;
            color: white;
            padding: 10px 15px;
            border-radius: 5px;
            font-size: 0.9rem;
        }

        .btn-view:hover {
            background-color: #2980b9;
        }

        .btn-create {
            background-color: #17a2b8;
            color: white;
            padding: 10px 20px;
            border-radius: 5px;
            font-size: 1rem;
        }

        .btn-create:hover {
            background-color: #138496;
        }

        @media (max-width: 768px) {
            .ticket-card {
                padding: 15px;
            }

            .ticket-header h2 {
                font-size: 1rem;
            }

            .ticket-details p {
                font-size: 0.8rem;
            }

            .ticket-footer .btn-view {
                padding: 8px 12px;
                font-size: 0.8rem;
            }

            .btn-create {
                padding: 8px 15px;
                font-size: 0.9rem;
            }
        }
        .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        الدعم
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($balance, 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                                        <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>

                </ul>
            </div>
        </div>
    </div>
</nav>
<div class="container">
    <div class="page-header">
        <h2>تذاكري</h2>
        <a href="create_ticket.php" class="btn btn-create">فتح تذكرة جديدة</a>
    </div>

    <?php if (empty($tickets)): ?>
        <p>لا توجد تذاكر بعد.</p>
    <?php else: ?>
        <div class="row">
            <?php foreach ($tickets as $ticket): ?>
                <div class="col-md-6 col-lg-4">
                   <div class="ticket-card">
    <div class="ticket-header">
        <h2><?php echo htmlspecialchars($ticket['subject'], ENT_QUOTES, 'UTF-8'); ?></h2>
        <span class="ticket-status <?php echo $ticket['status'] == 'closed' ? 'closed' : 'open'; ?>">
            <?php echo htmlspecialchars($ticket['status'], ENT_QUOTES, 'UTF-8'); ?>
        </span>
    </div>
    <div class="ticket-details">
        <p>اسم المستخدم: <?php echo htmlspecialchars($ticket['username'], ENT_QUOTES, 'UTF-8'); ?></p>
        <p>تاريخ الإنشاء: <?php echo htmlspecialchars($ticket['created_at'], ENT_QUOTES, 'UTF-8'); ?></p>
        <p>الأولوية: <?php echo htmlspecialchars($ticket['priority'], ENT_QUOTES, 'UTF-8'); ?></p>
        <p>الفئة: <?php echo htmlspecialchars($ticket['category'], ENT_QUOTES, 'UTF-8'); ?></p>
        <p>الوصف: <?php echo htmlspecialchars(substr($ticket['description'], 0, 100), ENT_QUOTES, 'UTF-8'); ?>...</p>
    </div>
    <div class="ticket-footer">
        <a href="client_ticket.php?id=<?php echo htmlspecialchars($ticket['id'], ENT_QUOTES, 'UTF-8'); ?>" class="btn btn-view">عرض التذكرة</a>
    </div>
</div>

                </div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
</div>

<?php include 'footer.php'; ?>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
