<?php
include('../config.php');
include('includes/auth.php'); // Ensure client authentication
$user_id = $_SESSION['user_id'];

$error_message = '';
$success_message = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Retrieve form data
    $subject = isset($_POST['subject']) ? trim($_POST['subject']) : '';
    $description = isset($_POST['description']) ? trim($_POST['description']) : '';
    $category = isset($_POST['category']) ? $_POST['category'] : 'General';
    $priority = isset($_POST['priority']) ? $_POST['priority'] : 'Low';

    // Validate form data
    if (empty($subject) || empty($description)) {
        $error_message = "يجب ملء جميع الحقول.";
    } else {
        try {
            // Prepare SQL query to insert the new ticket
            $query = "INSERT INTO tickets (user_id, subject, description, category, priority, status, created_at) VALUES (?, ?, ?, ?, ?, 'Open', NOW())";
            $stmt = $pdo->prepare($query);
            $stmt->execute([$user_id, $subject, $description, $category, $priority]);

            $success_message = "تم إنشاء التذكرة بنجاح.";
            header('Location: client_tickets.php');
            exit();
        } catch (PDOException $e) {
            $error_message = "حدث خطأ أثناء إنشاء التذكرة: " . $e->getMessage();
        }
    }
}

$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>فتح تذكرة جديدة</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        .container {
            padding: 10px;
        }
       body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }
 .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
            color: white;
        }

        .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }

        .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
         .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .profile-container {
            margin: 50px auto;
            max-width: 600px;
            background-color: #fff;
            padding: 100px;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        .profile-container h2 {
            font-size: 24px;
            margin-bottom: 20px;
            color: #333;
        }

        .profile-picture {
            width: 120px;
            height: 120px;
            border-radius: 50%;
            object-fit: cover;
            margin-bottom: 20px;
        }

        .form-container .form-group {
            text-align: right;
            margin-bottom: 15px;
        }
 .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }
.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }
        

        .form-container {
            background-color: #fff;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            padding: 30px;
            max-width: 600px;
            margin: 0 auto;
        }

        .form-container h2 {
            font-size: 1.5rem;
            margin-bottom: 20px;
            font-weight: 700;
            color: #333;
        }

        .form-control {
            border-radius: 5px;
            padding: 10px;
        }

        .btn-submit {
            background-color: #28a745;
            color: white;
            padding: 12px 20px;
            border-radius: 5px;
            font-size: 1rem;
            width: 100%;
        }

        .btn-submit:hover {
            background-color: #218838;
        }

        .alert {
            margin-bottom: 20px;
            border-radius: 5px;
        }

        .alert-success {
            background-color: #d4edda;
            color: #155724;
        }

        .alert-danger {
            background-color: #f8d7da;
            color: #721c24;
        }

        @media (max-width: 768px) {
            .form-container {
                padding: 20px;
            }

            .form-container h2 {
                font-size: 1.2rem;
            }

            .btn-submit {
                font-size: 0.9rem;
                padding: 10px;
            }
        }
        .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }
    .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
button:hover {
    background-color: #0f8a8a;
}
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        الدعم
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($balance, 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                                        <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>

                </ul>
            </div>
        </div>
    </div>
</nav>
    <div class="container">
        <div class="form-container">
            <h2>فتح تذكرة جديدة</h2>
            <?php if (!empty($error_message)): ?>
                <div class="alert alert-danger">
                    <?php echo htmlspecialchars($error_message, ENT_QUOTES, 'UTF-8'); ?>
                </div>
            <?php elseif (!empty($success_message)): ?>
                <div class="alert alert-success">
                    <?php echo htmlspecialchars($success_message, ENT_QUOTES, 'UTF-8'); ?>
                </div>
            <?php endif; ?>
            <form action="create_ticket.php" method="POST">
    <div class="mb-3">
        <label for="subject" class="form-label">الموضوع</label>
        <input type="text" class="form-control" id="subject" name="subject" required>
    </div>
    <div class="mb-3">
        <label for="description" class="form-label">الوصف</label>
        <textarea class="form-control" id="description" name="description" rows="5" required></textarea>
    </div>
    <div class="mb-3">
        <label for="category" class="form-label">الفئة</label>
        <select class="form-control" id="category" name="category">
            <option value="Technical">تقني</option>
            <option value="Financial">مالي</option>
            <option value="General">عام</option>
        </select>
    </div>
    <div class="mb-3">
        <label for="priority" class="form-label">الأولوية</label>
        <select class="form-control" id="priority" name="priority">
            <option value="Low">منخفضة</option>
            <option value="Medium">متوسطة</option>
            <option value="High">عالية</option>
            <option value="Urgent">عاجلة</option>
        </select>
    </div>
    <button type="submit" class="btn btn-submit">إنشاء تذكرة</button>
</form>

        </div>
    </div>

    <?php include 'footer.php'; ?>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
