<?php
// client/dashboard.php
include('../config.php');
include('includes/auth.php');

session_start();

$user_id = $_SESSION['user_id'];
$notification = [
    'type' => '',
    'message' => ''
];
if (isset($_SESSION['user_id'])) {
    $user_id = $_SESSION['user_id'];

    // Fetch user data from the database
    $query = "SELECT username, balance FROM users WHERE id = ?";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$user_id]);
    $user = $stmt->fetch();

    if ($user) {
        $user_name = $user['username'];
        $user_balance = $user['balance'];
    }
}
if (!empty($_SESSION['notification'])) {
    // Store the notification in a local variable and clear it from the session
    $notification = $_SESSION['notification'];
    unset($_SESSION['notification']);  // Unset the notification session immediately after retrieving it
}
// Fetch user data
$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;

// Fetch user orders
$stmt = $pdo->prepare("SELECT * FROM orders WHERE user_id = ?");
$stmt->execute([$user_id]);
$orders = $stmt->fetchAll();

// Calculate total and paid orders
$totalOrders = count($orders);
$paidOrders = count(array_filter($orders, fn($order) => $order['status'] == 'paid'));
// Logout functionality
if (isset($_GET['logout'])) {
    session_destroy();
    header("Location: ../index.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لوحة التحكم - HostGoal</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
    .container {
            padding: 10px;
        }
    /* Profile Menu */
     .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }

    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }

    /* Navbar */
    .navbar {
        background-color: #2c2c2c;
        padding: 10px 20px;
    }

    .navbar-brand {
        display: flex;
        align-items: center;
    }

    .navbar-brand img {
        margin-right: 10px;
    }

    .navbar-brand span {
        color: #fff;
        font-size: 20px;
    }

    .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }

    .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

    .navbar-nav .nav-link:hover {
        background-color: #0f8a8a;
    }

    .navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }

    /* Cart */
    .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
button:hover {
    background-color: #0f8a8a;
}


    /* Responsive Navbar */
    @media (max-width: 1200px) {
        .navbar-nav .nav-link {
            padding: 8px 16px;
            font-size: 16px;
        }
    }

    @media (max-width: 992px) {
        .navbar-nav {
            flex-direction: column;
            width: 100%;
        }

        .navbar-nav .nav-link {
            width: 100%;
        }
    }

    /* Dashboard-specific styles */
    body, html {
        font-family: 'Cairo', sans-serif;
        background-color: #f9f9f9;
        margin: 0;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }

    .dashboard-container {
        padding: 19px;
        margin: 20px auto;
        max-width: 1200px;
        background-color: #fff;
        border-radius: 15px;
        box-shadow: 0 6px 15px rgba(0, 0, 0, 0.1);
        flex-grow: 1;
    }

    .welcome-message {
        text-align: center;
        margin-bottom: 30px;
    }

    .welcome-message h2 {
        font-size: 28px;
        color: #333;
    }

    .stats-box {
        display: flex;
        justify-content: space-between;
        text-align: center;
        margin-bottom: 40px;
        gap: 20px;
    }

    .stat {
        background-color: #f7f7f7;
        border-radius: 10px;
        padding: 20px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        flex: 1;
        text-align: center;
        transition: transform 0.3s ease;
    }

    .stat:hover {
        transform: translateY(-5px);
        background-color: #17a2b8;
        color: white;
    }

    .stat h3 {
        font-size: 24px;
        margin-bottom: 15px;
    }

    .stat p {
        font-size: 22px;
        font-weight: bold;
    }

    /* Orders Section */
    .orders-list {
        margin-top: 30px;
    }

    .orders-list h3 {
        margin-bottom: 20px;
        font-size: 24px;
        color: #333;
        text-align: center;
    }

    .order-card {
        background-color: #fff;
        border-radius: 10px;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        padding: 20px;
        margin-bottom: 20px;
        transition: transform 0.3s ease;
        border-left: 5px solid;
    }

    .order-card.paid {
        border-color: #28a745;
    }

    .order-card.unpaid {
        border-color: #dc3545;
    }

    .order-card:hover {
        transform: translateY(-5px);
    }

    .order-card h4 {
        font-size: 20px;
        margin-bottom: 10px;
        font-weight: bold;
    }

    .order-details {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .order-details p {
        margin: 0;
        font-size: 16px;
    }

    .order-details p.status-paid {
        color: #28a745;
        font-weight: bold;
    }

    .order-details p.status-unpaid {
        color: #dc3545;
        font-weight: bold;
    }

    .order-details a {
        padding: 8px 16px;
        background-color: #17a2b8;
        color: #fff;
        text-decoration: none;
        border-radius: 5px;
        transition: background-color 0.3s ease;
    }

    .order-details a:hover {
        background-color: #138496;
    }

    .order-card .order-details p:last-child {
        font-weight: bold;
    }

    /* Footer */
    .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }

    /* Responsive adjustments */
    @media (max-width: 767px) {
        .stat {
            width: 100%;
            margin-bottom: 20px;
        }

        .order-details {
            flex-direction: column;
            align-items: flex-start;
        }

        .order-details a {
            margin-top: 10px;
        }
    }
    </style>
</head>
<body>

<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        الدعم
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($balance, 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                    <li><a class="dropdown-item" href="?logout=true">تسجيل الخروج</a></li>
                </ul>
            </div>
        </div>
    </div>
</nav>

   <div class="dashboard-container">
    <div class="welcome-message">
        <h2>مرحباً <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>، في لوحة التحكم الخاصة بك</h2>
    </div>

    <div class="stats-box d-flex gap-3">
        <div class="stat">
            <h3>إجمالي الفواتير</h3>
            <p><?php echo htmlspecialchars($totalOrders, ENT_QUOTES, 'UTF-8'); ?></p>
        </div>
        <div class="stat">
            <h3>الفواتير المدفوعة</h3>
            <p><?php echo htmlspecialchars($paidOrders, ENT_QUOTES, 'UTF-8'); ?></p>
        </div>
        <div class="stat">
            <h3>الرصيد</h3>
            <p>$<?php echo number_format($balance, 2); ?></p>
        </div>
    </div>

    <div class="orders-list mt-4">
        <h3>الفواتير</h3>
        <?php foreach ($orders as $order): 
    // Fetch the product_id from the order_details table
    $stmt = $pdo->prepare("SELECT product_id FROM order_details WHERE order_id = ?");
    $stmt->execute([$order['id']]);
    $orderDetail = $stmt->fetch();

    if ($orderDetail) {
        // Fetch the product name using the product_id from the order_details
        $stmt = $pdo->prepare("SELECT name FROM products WHERE id = ?");
        $stmt->execute([$orderDetail['product_id']]);
        $product = $stmt->fetch();
    }
    ?>
            <div class="order-card <?php echo $order['status'] == 'paid' ? 'paid' : 'unpaid'; ?>">
        <h4>فاتورة #<?php echo htmlspecialchars($order['id'], ENT_QUOTES, 'UTF-8'); ?></h4>
        <div class="order-details">
            <p><?php echo $product ? htmlspecialchars($product['name'], ENT_QUOTES, 'UTF-8') : 'Unknown Product'; ?></p>
            <p>المبلغ: <strong>$<?php echo number_format($order['total_price'], 2); ?></strong></p>
            <p>تاريخ الإنشاء: <?php echo htmlspecialchars($order['created_at'], ENT_QUOTES, 'UTF-8'); ?></p>
            <a href="invoice.php?id=<?php echo htmlspecialchars($order['id'], ENT_QUOTES, 'UTF-8'); ?>" class="view-btn">عرض</a>
        </div>
    </div>
        <?php endforeach; ?>
    </div>
</div>

    <!-- Footer -->
    <?php include 'footer.php'; ?>

    <!-- Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
