<?php
session_start(); // Start the session

include('../config.php');
require '../vendor/autoload.php'; // Ensure PHPMailer is autoloaded

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

function sendPasswordResetEmail($to, $resetLink) {
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host       = 'mail.hostgoal.net'; // Set the SMTP server to send through
        $mail->SMTPAuth   = true;
        $mail->Username   = 'help@hostgoal.net'; // SMTP username
        $mail->Password   = '2719243214kK'; // SMTP password
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465; // TCP port to connect to

        // Recipients
        $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
        $mail->addAddress($to); // Add a recipient

        // Content
        $mail->isHTML(true); // Set email format to HTML
        $mail->Subject = 'طلب إعادة تعيين كلمة المرور';

$mail->Body = "
<!DOCTYPE html>
<html lang='ar'>
<head>
    <meta charset='UTF-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1.0'>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            color: #333;
            line-height: 1.6;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 600px;
            margin: 20px auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            color: #15B1B1;
            font-size: 24px;
            margin-bottom: 20px;
        }
        p {
            font-size: 16px;
            margin-bottom: 20px;
        }
        .button {
            display: inline-block;
            background-color: #15B1B1;
            color: #fff;
            padding: 10px 20px;
            text-decoration: none;
            border-radius: 5px;
            font-size: 16px;
            text-align: center;
            margin-bottom: 20px;
            transition: background-color 0.3s ease;
        }
        .button:hover {
            background-color: #15B1B1;
        }
        .footer {
            text-align: center;
            font-size: 14px;
            color: #777;
            margin-top: 30px;
        }
    </style>
</head>
<body>
    
    <div class='container'>
    
        <h1>طلب إعادة تعيين كلمة المرور</h1>
        <p>عزيزي المستخدم،</p>
        <p>لقد طلبت إعادة تعيين كلمة المرور الخاصة بك. يرجى النقر على الزر أدناه لإعادة تعيين كلمة المرور:</p>
        <a href='$resetLink' class='button'>إعادة تعيين كلمة المرور</a>
        <p>إذا لم تطلب إعادة تعيين كلمة المرور، يرجى تجاهل هذه الرسالة أو التواصل مع فريق الدعم الفني.</p>
        <p>شكراً لاهتمامك السريع بهذا الأمر.</p>
        <div class='footer'>
            مع تحيات،<br>
            فريق دعم HostGoal
        </div>
    </div>
</body>
</html>
";

        $mail->send();
    } catch (Exception $e) {
        echo "لم يتم إرسال الرسالة. خطأ في البريد: {$mail->ErrorInfo}";
    }
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $email = $_POST['email'];

    $stmt = $pdo->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->execute([$email]);
    $user = $stmt->fetch();

    unset($_SESSION['success_message']);
    unset($_SESSION['error_message']);

    if ($user) {
        if ($user['oauth_provider']) {
            $_SESSION['error_message'] = "هذا البريد الإلكتروني مرتبط بحساب على وسائل التواصل الاجتماعي. لا يمكن إعادة تعيين كلمة المرور.";
        } else {
            $token = bin2hex(random_bytes(50));
            $stmt = $pdo->prepare("INSERT INTO password_resets (email, token) VALUES (?, ?)");
            $stmt->execute([$email, $token]);

            $resetLink = "https://one.hostgoal.net/client/reset_password.php?token=$token";

            sendPasswordResetEmail($email, $resetLink);

            $_SESSION['success_message'] = "تم إرسال رابط إعادة تعيين كلمة المرور إلى بريدك الإلكتروني.";
        }
    } else {
        $_SESSION['error_message'] = "لم يتم العثور على حساب مرتبط بهذا البريد الإلكتروني.";
    }

    header("Location: forgot_password.php");
    exit();
}

$status_message = '';
$status_class = '';
if (isset($_SESSION['success_message'])) {
    $status_message = htmlspecialchars($_SESSION['success_message'], ENT_QUOTES, 'UTF-8');
    $status_class = 'success-message';
    unset($_SESSION['success_message']);
} elseif (isset($_SESSION['error_message'])) {
    $status_message = htmlspecialchars($_SESSION['error_message'], ENT_QUOTES, 'UTF-8');
    $status_class = 'error-message';
    unset($_SESSION['error_message']);
}
?>
