<?php
include('../config.php');
session_start();
$topicId = $_GET['topic_id'];

// Fetch topic details
$stmt = $pdo->prepare("SELECT * FROM forum_topics WHERE id = ?");
$stmt->execute([$topicId]);
$topic = $stmt->fetch();

// Fetch posts in the topic
$stmt = $pdo->prepare("SELECT forum_posts.*, users.username FROM forum_posts LEFT JOIN users ON forum_posts.user_id = users.id WHERE topic_id = ?");
$stmt->execute([$topicId]);
$posts = $stmt->fetchAll();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Forum - <?php echo htmlspecialchars($topic['title']); ?></title>
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <?php include 'nav.php'; ?>
    <div class="container">
        <h1><?php echo htmlspecialchars($topic['title']); ?></h1>
        <ul>
            <?php foreach ($posts as $post): ?>
            <li><strong><?php echo htmlspecialchars($post['username']); ?>:</strong> <?php echo htmlspecialchars($post['content']); ?></li>
            <?php endforeach; ?>
        </ul>
    </div>
</body>
</html>
