<?php
include('../config.php');
session_start();
$categoryId = $_GET['category_id'];

// Fetch category details
$stmt = $pdo->prepare("SELECT * FROM forum_categories WHERE id = ?");
$stmt->execute([$categoryId]);
$category = $stmt->fetch();

// Fetch topics in the category
$stmt = $pdo->prepare("SELECT * FROM forum_topics WHERE category_id = ?");
$stmt->execute([$categoryId]);
$topics = $stmt->fetchAll();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Forum - <?php echo htmlspecialchars($category['name']); ?></title>
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <?php include 'nav.php'; ?>
    <div class="container">
        <h1><?php echo htmlspecialchars($category['name']); ?></h1>
        <ul>
            <?php foreach ($topics as $topic): ?>
            <li><a href="forum_posts.php?topic_id=<?php echo $topic['id']; ?>"><?php echo htmlspecialchars($topic['title']); ?></a></li>
            <?php endforeach; ?>
        </ul>
    </div>
</body>
</html>
