<?php
include('../config.php');

$domain = $_POST['domain'];
$apiKey = "at_te9ue4pOq8jPKJIGCPuwWl6fjDDzb";
$url = "https://domain-availability.whoisxmlapi.com/api/v1?apiKey=$apiKey&domainName=$domain&credits=DA";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$data = curl_exec($ch);

if(curl_errno($ch)) {
    echo json_encode(['error' => curl_error($ch)]);
    curl_close($ch);
    exit;
}

curl_close($ch);

$json = json_decode($data, true);

if ($json === null) {
    echo json_encode(['error' => 'Failed to decode JSON response']);
    exit;
}

if (isset($json['DomainInfo']) && $json['DomainInfo']['domainAvailability'] == 'AVAILABLE') {
    // Extract the domain suffix
    $suffix = strrchr($domain, '.');

    // Fetch domain prices from the database
    $stmt = $pdo->prepare("SELECT * FROM domain_prices WHERE after_domain = ?");
    $stmt->execute([$suffix]);
    $domainPrice = $stmt->fetch();

    if ($domainPrice) {
        // Domain available, return data
        $result = [
            'domainAvailability' => 'Available',
            'price_monthly' => $domainPrice['price_monthly'],
            'price_yearly' => $domainPrice['price_yearly']
        ];
    } else {
        // Price not found for the suffix
        $result = [
            'domainAvailability' => 'Available',
            'price_monthly' => 'N/A',
            'price_yearly' => 'N/A'
        ];
    }
} else {
    // Domain not available, return data
    $result = ['domainAvailability' => 'Not Available'];
}

echo json_encode($result);
?>
