<?php
include('../config.php');

if (!isset($_POST['domain']) || empty($_POST['domain'])) {
    echo json_encode(['error' => 'Domain parameter missing']);
    exit;
}

$domain = $_POST['domain'];

// Fetch domain prices from the database
$stmt = $pdo->prepare("SELECT * FROM domain_prices WHERE after_domain = ?");
$stmt->execute([$domain]);
$domainPrice = $stmt->fetch();

if ($domainPrice) {
    // Domain available, return data
    $result = [
        'domainAvailability' => 'Available',
        'price_monthly' => $domainPrice['price_monthly'],
        'price_yearly' => $domainPrice['price_yearly']
    ];
} else {
    // Domain not available, return data
    $result = ['domainAvailability' => 'Not Available'];
}

echo json_encode($result);
?>
