<?php
// client/dashboard.php
include('../config.php');
include('includes/auth.php');

session_start();

if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}

$user_id = $_SESSION['user_id'];

// Fetch user orders
$stmt = $pdo->prepare("SELECT * FROM orders WHERE user_id = ?");
$stmt->execute([$user_id]);
$orders = $stmt->fetchAll();

$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;

// Fetch available products based on types
// Fetch available products based on types
$plansStmt = $pdo->prepare("SELECT * FROM products WHERE product_type = 'plan' AND visibility = 1");
$plansStmt->execute();
$plans = $plansStmt->fetchAll();

$hostingStmt = $pdo->prepare("SELECT * FROM products WHERE product_type = 'hosting' AND visibility = 1");
$hostingStmt->execute();
$hostings = $hostingStmt->fetchAll();

$sslStmt = $pdo->prepare("SELECT * FROM products WHERE product_type = 'ssl' AND visibility = 1");
$sslStmt->execute();
$ssls = $sslStmt->fetchAll();

// Calculate total orders
$totalOrders = count($orders);

// Calculate paid orders
$paidOrders = 0;
foreach ($orders as $order) {
    if ($order['payment_status'] == 'paid') {
        $paidOrders++;
    }
}
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <title>لوحة التحكم</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
     <style>
     .container {
            padding: 10px;
        }
         body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

        .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
            color: white;
        }

        .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }

        .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
         .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .profile-container {
            margin: 50px auto;
            max-width: 600px;
            background-color: #fff;
            padding: 100px;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        .profile-container h2 {
            font-size: 24px;
            margin-bottom: 20px;
            color: #333;
        }

        .profile-picture {
            width: 120px;
            height: 120px;
            border-radius: 50%;
            object-fit: cover;
            margin-bottom: 20px;
        }

        .form-container .form-group {
            text-align: right;
            margin-bottom: 15px;
        }
 .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }
.navbar-toggler {
        border: none;
    }
button:hover {
    background-color: #0f8a8a;
}
    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }
         .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }
/* Tabs */
    .nav-tabs .nav-link {
        font-size: 18px;
        background-color: #f8f9fa;
        border: 1px solid #dee2e6;
        margin-right: 5px;
        transition: background-color 0.3s ease;
    }

    .nav-tabs .nav-link.active {
        background-color: #17a2b8;
        color: white;
        border-color: #17a2b8;
    }

    /* Responsive Adjustments */
    @media (max-width: 768px) 

        .nav-tabs {
            justify-content: center;
        }

        .nav-tabs .nav-item {
            margin-bottom: 10px;
        }
    }
    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
         .domain-checker-section {
            margin-top: 50px;
            padding: 20px;
            background-color: #ffffff;
            border-radius: 10px;
            box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1);
            max-width: 700px;
            margin-left: auto;
            margin-right: auto;
            text-align: center;
        }

        .domain-checker {
            max-width: 100%;
            margin: 0 auto;
        }

        .domain-checker input[type="text"],
        .domain-checker select {
            width: 100%;
            margin-bottom: 15px;
            padding: 10px;
            border-radius: 5px;
            border: 1px solid #ddd;
        }

        .domain-checker button {
            margin-top: 10px;
            padding: 10px 15px;
            font-size: 16px;
            border-radius: 5px;
            background-color: #28a745;
            color: white;
            border: none;
            transition: background-color 0.3s ease;
        }

        .domain-checker button:hover {
            background-color: #218838;
        }

        .result {
            margin-top: 20px;
            padding: 20px;
            background-color: #f8f9fa;
            border: 1px solid #ddd;
            border-radius: 10px;
            display: none;
            opacity: 0;
            transition: opacity 0.5s ease;
        }

        .result.show {
            display: block;
            opacity: 1;
        }

        .result table {
            width: 100%;
            text-align: right;
        }

        .result th, .result td {
            padding: 10px;
            border-bottom: 1px solid #ddd;
        }

        .result td:last-child {
            text-align: center;
        }
        /* Loading Spinner */
        .loading-overlay {
            display: none;
            position: fixed;
            z-index: 9999;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.8);
            pointer-events: none;
        }
 @media (max-width: 768px) {
            .domain-checker input[type="text"],
            .domain-checker select {
                width: 100%;
            }
        }
        .loading-overlay .spinner-wrapper {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .custom-spinner {
            border: 8px solid rgba(0, 0, 0, 0.1);
            border-top: 8px solid #15B1B1;
            border-radius: 50%;
            width: 60px;
            height: 60px;
            animation: spin 1s linear infinite;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }

         .product-category {
            margin-top: 50px;
        }

        .product-category h2 {
            background-color: #007bff;
            color: white;
            padding: 15px;
            border-radius: 5px;
            text-align: center;
            margin-bottom: 30px;
        }

        .products {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 20px;
        }

        .product-card {
            border: 1px solid #ddd;
            border-radius: 10px;
            padding: 20px;
            background-color: white;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            text-align: center;
        }

        .product-card:hover {
            transform: translateY(-10px);
            box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
        }

        .product-card img {
            max-width: 100px;
            margin-bottom: 20px;
        }

        .product-card strong {
            font-size: 20px;
            color: #333;
            display: block;
            margin-bottom: 10px;
        }

        .product-card p {
            color: #666;
            margin-bottom: 20px;
        }

        .product-card form {
            margin-top: 20px;
        }

        .product-card form select,
        .product-card form button {
            width: 100%;
            margin-bottom: 10px;
            padding: 10px;
            font-size: 16px;
            border-radius: 5px;
        }

        .product-card form button {
            background-color: #28a745;
            color: white;
            border: none;
            transition: background-color 0.3s ease;
        }

        .product-card form button:hover {
            background-color: #218838;
        }
        .section-content {
            display: none;
        }
        .section-content.open {
            display: block;
        }
        
        @media (max-width: 768px) {
            .products {
                grid-template-columns: 1fr;
            }

            .product-card {
                margin: 0 auto 20px;
            }
        }
        .domain-checker-section {
            margin-top: 30px;
        }
        .domain-checker-section h2 {
            background-color: #6c757d;
            color: #fff;
            padding: 15px;
            border-radius: 5px;
        }
        .domain-checker-section .domain-checker {
            margin: 20px auto;
        }
        .domain-checker-section .result {
            margin: 20px auto;
        }
        @media (max-width: 768px) {
            .domain-checker input[type="text"],
            .domain-checker select {
                width: 100%;
            }
        }
        button:hover {
    background-color: #0f8a8a;
}
.add-to-cart {
    font-size: 14px;
    padding: 5px 10px;
    border-radius: 5px;
    background-color: #28a745;
    color: white;
    border: none;
    transition: background-color 0.3s ease;
}

.add-to-cart:hover {
    background-color: #218838;
}
 .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }
    </style>
</head>
<body>
    <div class="loading-overlay">
        <div class="spinner-wrapper">
            <div class="custom-spinner"></div>
        </div>
    </div>
    <!-- Rest of your HTML content -->

<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">الدعم</a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($user['username'], ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($user['username'], ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($user['balance'], 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                                        <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>
                </ul>
            </div>
        </div>
    </div>
</nav>
    <div class="container">
    <div class="product-category domain-checker-section">
        <h2>تحقق من النطاقات</h2>
        <div class="domain-checker">
            <form id="domain-form" class="form-inline justify-content-center">
                <input type="text" id="domain" name="domain" placeholder="أدخل النطاق" required>
                <option value="monthly">عدد سنوات</option>
                <select class="form-control" id="billing_cycle" name="billing_cycle">
                    <option value="1">1 سنة</option>
                </select>
                <button type="button" id="search-button" class="btn btn-primary">التحقق من التوفر</button>
            </form>
            <div id="result" class="result mt-3"></div>
        </div>
    </div>

    <div class="product-category">
        <h2>منتجات الاستضافة</h2>
        <div class="section-content">
            <div class="products">
                <?php foreach ($hostings as $hosting) : ?>
                    <div class="product-card">
                        <strong><?php echo htmlspecialchars($hosting['name'], ENT_QUOTES, 'UTF-8'); ?></strong>
                        <p><?php echo htmlspecialchars($hosting['description'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <p>سعر شهري: $<?php echo htmlspecialchars($hosting['price_monthly'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <p>سعر سنوي: $<?php echo htmlspecialchars($hosting['price_yearly'], ENT_QUOTES, 'UTF-8'); ?></p>

                        <?php if ($hosting['status'] == 0) : ?>
                            <p class="text-danger">غير متوفر حاليا</p>
                        <?php else : ?>
                            <form action="add_to_cart.php" method="POST">
                                <input type="hidden" name="product_id" value="<?php echo htmlspecialchars($hosting['id'], ENT_QUOTES, 'UTF-8'); ?>">
                                <input type="hidden" name="item_type" value="product">
                                <label for="billing_cycle">دورة الفوترة:</label>
                                <select name="billing_cycle">
                                    <option value="monthly">شهري</option>
                                    <option value="yearly">سنوي</option>
                                </select>
                                <button type="submit" class="btn btn-primary mt-2">أضف إلى السلة</button>
                            </form>
                        <?php endif; ?>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>

    <div class="product-category">
        <h2>شهادات SSL</h2>
        <div class="section-content">
            <div class="products">
                <?php foreach ($ssls as $ssl) : ?>
                    <div class="product-card">
                        <strong><?php echo htmlspecialchars($ssl['name'], ENT_QUOTES, 'UTF-8'); ?></strong>
                        <p><?php echo htmlspecialchars($ssl['description'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <p>سعر سنوي: $<?php echo htmlspecialchars($ssl['price_yearly'], ENT_QUOTES, 'UTF-8'); ?></p>

                        <?php if ($ssl['status'] == 0) : ?>
                            <p class="text-danger">غير متوفر حاليا</p>
                        <?php else : ?>
                            <form action="add_to_cart.php" method="POST">
                                <input type="hidden" name="product_id" value="<?php echo htmlspecialchars($ssl['id'], ENT_QUOTES, 'UTF-8'); ?>">
                                <input type="hidden" name="item_type" value="product">
                                <label for="billing_cycle">دورة الفوترة:</label>
                                <select name="billing_cycle">
                                    <option value="yearly">سنوي</option>
                                </select>
                                <button type="submit" class="btn btn-primary mt-2">أضف إلى السلة</button>
                            </form>
                        <?php endif; ?>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>

    
    
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>


    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script>
document.addEventListener("DOMContentLoaded", function() {
   const domainInput = document.getElementById('domain');
    const billingCycleSelect = document.getElementById('billing_cycle');
    const searchButton = document.getElementById('search-button');
    const resultDiv = document.getElementById('result');
    const loadingSpinner = document.querySelector('.loading-overlay');

    searchButton.addEventListener('click', function() {
        const domain = domainInput.value;
        const billingCycle = billingCycleSelect.value;

        if (domain) {
            loadingSpinner.style.display = 'block';
            fetch('check_domain.php', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                body: new URLSearchParams({
                    domain: domain,
                    billing_cycle: billingCycle
                })
            })
            .then(response => response.json())
            .then(data => {
                resultDiv.innerHTML = data.html;
                resultDiv.classList.add('show');
            })
            .catch(error => {
                console.error('Error:', error);
                resultDiv.innerHTML = 'حدث خطأ أثناء التحقق من النطاق.';
            })
            .finally(() => {
                loadingSpinner.style.display = 'none';
            });
        } else {
            resultDiv.innerHTML = 'يرجى إدخال نطاق.';
        }
    });

    resultDiv.addEventListener('click', function(e) {
        if (e.target && e.target.matches('button.add-to-cart')) {
            const domain = e.target.dataset.domain;
            const price = e.target.dataset.price;
            const billingCycle = e.target.dataset.cycle;

            fetch('add_to_cart.php', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                body: new URLSearchParams({
                    domain: domain,
                    billing_cycle: billingCycle,
                    price: price,
                    product_id: document.querySelector('input[name="product_id"]').value
                })
            })
            .then(response => response.text())
            .then(data => {
                alert('تمت إضافة النطاق إلى السلة بنجاح.');
            })
            .catch(error => {
                console.error('Error:', error);
                alert('حدث خطأ أثناء إضافة النطاق إلى السلة.');
            });
        }
    });

    // Toggle product categories
    document.querySelectorAll('.product-category h2').forEach(header => {
        header.addEventListener('click', function() {
            this.classList.toggle('active');
            this.nextElementSibling.classList.toggle('open');
        });
    });
});

</script>
        <?php include 'footer.php'; ?>

</body>
</html>