<?php
// client/order_details.php
include('../config.php');
include('includes/auth.php');

session_start();

if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}

if (!isset($_GET['order_id'])) {
    header('Location: dashboard.php');
    exit();
}

$order_id = $_GET['order_id'];

// Fetch order details
$stmt = $pdo->prepare("SELECT od.*, p.name, p.description FROM order_details od JOIN products p ON od.product_id = p.id WHERE od.order_id = ?");
$stmt->execute([$order_id]);
$order_details = $stmt->fetchAll();
?>
<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <title>Order Details</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
</head>
<body>
    <?php include 'nav2.php'; ?>

    <main>
        <h2>تفاصيل الطلب رقم <?php echo $order_id; ?></h2>
        <table>
            <thead>
                <tr>
                    <th>اسم المنتج</th>
                    <th>الوصف</th>
                    <th>الكمية</th>
                    <th>السعر</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($order_details as $detail): ?>
                    <tr>
                        <td><?php echo $detail['name']; ?></td>
                        <td><?php echo $detail['description']; ?></td>
                        <td><?php echo $detail['quantity']; ?></td>
                        <td><?php echo $detail['price']; ?> $</td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </main>

    <?php include 'footer.php'; ?>
</body>
</html>
