<?php
include('../config.php');
session_start();

include('includes/auth.php');

// Fetch Q&A questions
$stmt = $pdo->prepare("SELECT * FROM q_and_a ORDER BY created_at DESC");
$stmt->execute();
$questions = $stmt->fetchAll();

$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$_SESSION['user_id']]);
$user = $stmt->fetch();
$username = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Q&A</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }
        .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
            color: white;
        }
 .container {
            padding: 10px;
        }
        .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }

        .navbar-nav {
            text-align: center;
            flex-grow: 1;
            justify-content: center;
        }
 .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
        .navbar-nav .nav-item {
            margin: 0 15px;
        }

        .navbar-nav .nav-link {
            color: #FFF !important;
            font-size: 18px;
            padding: 10px 20px;
            background-color: #17a2b8;
            text-align: center;
            border-radius: 30px;
            transition: background-color 0.3s ease;
        }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .profile-menu .dropdown-toggle {
            color: #fff;
            background-color: #17a2b8;
            border-radius: 30px;
            padding: 12px 24px;
            min-width: 180px;
        }

        .profile-menu .dropdown-menu {
            background-color: #2c2c2c;
            color: #fff;
            border-radius: 8px;
            width: 300px;
            padding: 20px;
        }

        .profile-menu .dropdown-menu a {
            color: #fff;
            padding: 10px 20px;
            display: block;
        }

        .profile-menu .dropdown-menu a:hover {
            background-color: #17a2b8;
        }

        .profile-name {
            font-size: 1.2rem;
            font-weight: bold;
            text-align: center;
            margin-bottom: 10px;
        }

        .profile-balance {
            padding: 10px;
            color: #fff;
            text-align: center;
            font-size: 1.2rem;
            margin-bottom: 15px;
        }

        .page-header {
            text-align: center;
            margin-top: 30px;
            margin-bottom: 20px;
        }

        .card {
            border: none;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
        }

        .card-body {
            padding: 20px;
        }

        .card-text {
            font-size: 1rem;
            margin-bottom: 10px;
        }

        .text-muted {
            color: #888 !important;
        }

        @media (max-width: 768px) {
            .navbar-nav {
                flex-direction: column;
            }

            .navbar-nav .nav-link {
                width: 100%;
                margin-bottom: 10px;
            }

            .profile-menu .dropdown-toggle {
                min-width: 100%;
            }
        }

        .footer {
            background-color: #2c2c2c;
            color: #FFF;
            padding: 40px 0;
            text-align: center;
            margin-top: auto;
        }

        .bottom-footer {
            background-color: #1a1a1a;
            padding: 15px 0;
            color: #bbb;
            text-align: center;
        }
.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    </style>
</head>
<body>

<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#">
            <img src="../assets/images/logo.png" alt="HostGoal Logo">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        الدعم
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($username, ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($balance, 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                                        <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>

                </ul>
            </div>
        </div>
    </div>
</nav>

<div class="container">
    <div class="page-header">
        <h2>Q&A</h2>
    </div>

    <div>
        <h4 class="mb-4">جميع الأسئلة</h4>
        <?php foreach ($questions as $question): ?>
            <div class="card">
                <div class="card-body">
                    <p class="card-text"><?php echo htmlspecialchars($question['question'], ENT_QUOTES, 'UTF-8'); ?></p>
                    <?php if ($question['answer']): ?>
                        <p class="card-text"><strong>الإجابة:</strong> <?php echo htmlspecialchars($question['answer'], ENT_QUOTES, 'UTF-8'); ?></p>
                    <?php endif; ?>
                    <p class="card-text"><small class="text-muted">تاريخ السؤال: <?php echo $question['created_at']; ?></small></p>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>

<?php include 'footer.php'; ?>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
