<?php
// client/register.php
include('../config.php');
include('../vendor/autoload.php'); // Ensure PHPMailer is autoloaded

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

function logEmailAction($pdo, $receiverEmail, $ipAddress, $actionDescription) {
    $stmt = $pdo->prepare("INSERT INTO email_history (receiver_email, ip_address, action_description) VALUES (?, ?, ?)");
    $stmt->execute([$receiverEmail, $ipAddress, $actionDescription]);
}

function sendVerificationEmail($pdo, $to, $verificationLink) {
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host       = 'mail.hostgoal.net'; 
        $mail->SMTPAuth   = true;
        $mail->Username   = 'help@hostgoal.net'; 
        $mail->Password   = '2719243214kK'; 
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465; 

        // Recipients
        $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
        $mail->addAddress($to);

        // Content
        $mail->isHTML(true);
        $mail->Subject = 'Account Verification';

        $mail->Body = "
        <!DOCTYPE html>
        <html lang='en'>
        <head>
            <meta charset='UTF-8'>
            <meta name='viewport' content='width=device-width, initial-scale=1.0'>
            <style>
                body {
                    font-family: Arial, sans-serif;
                    background-color: #f4f4f4;
                    color: #333;
                    line-height: 1.6;
                    margin: 0;
                    padding: 0;
                }
                .container {
                    max-width: 600px;
                    margin: 20px auto;
                    background: #fff;
                    padding: 20px;
                    border-radius: 8px;
                    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
                }
                h1 {
                    color: #15B1B1;
                    font-size: 24px;
                    margin-bottom: 20px;
                }
                p {
                    font-size: 16px;
                    margin-bottom: 20px;
                }
                .button {
                    display: inline-block;
                    background-color: #15B1B1;
                    color: #fff;
                    padding: 10px 20px;
                    text-decoration: none;
                    border-radius: 5px;
                    font-size: 16px;
                    text-align: center;
                    margin-bottom: 20px;
                    transition: background-color 0.3s ease;
                }
                .button:hover {
                    background-color: #15B1B1;
                }
                .footer {
                    text-align: center;
                    font-size: 14px;
                    color: #777;
                    margin-top: 30px;
                }
            </style>
        </head>
        <body>
            <div class='container'>
                <h1>Account Verification</h1>
                <p>Dear Customer,</p>
                <p>Thank you for creating an account with us. To complete the registration process and activate your account, please verify your email address by clicking the button below:</p>
                <a href='$verificationLink' class='button'>Verify Your Account</a>
                <p>If you did not create this account or believe this email was sent in error, please contact our support team immediately.</p>
                <p>We appreciate your prompt action in confirming your account.</p>
                <div class='footer'>
                    Best regards,<br>
                    HostGoal Support Team
                </div>
            </div>
        </body>
        </html>
        ";

        $mail->send();

        // Log the email action
        $ipAddress = $_SERVER['REMOTE_ADDR'];
        $actionDescription = 'Sent account verification email';
        logEmailAction($pdo, $to, $ipAddress, $actionDescription);
    } catch (Exception $e) {
        echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
    }
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = $_POST['username'];
    $email = $_POST['email'];
    $password = password_hash($_POST['password'], PASSWORD_BCRYPT);
    $country = $_POST['country'];
    $gender = $_POST['gender'];
    $phone = $_POST['phone'];
    $firstName = $_POST['first_name'];
    $lastName = $_POST['last_name'];
    $token = bin2hex(random_bytes(50));

    // Check if the email is already used
    $stmt = $pdo->prepare("SELECT COUNT(*) FROM users WHERE email = ?");
    $stmt->execute([$email]);
    if ($stmt->fetchColumn() > 0) {
        $error_message = "Email is already used.";
    } else {
        // Check if phone number is already taken
        $stmt = $pdo->prepare("SELECT COUNT(*) FROM users WHERE phone = ?");
        $stmt->execute([$phone]);
        if ($stmt->fetchColumn() > 0) {
            $error_message = "Phone number is already taken.";
        } else {
            // Insert user into the database
            $stmt = $pdo->prepare("INSERT INTO users (username, email, password, country, gender, phone, first_name, last_name, verification_token) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
            $stmt->execute([$username, $email, $password, $country, $gender, $phone, $firstName, $lastName, $token]);

            $verificationLink = "http://one.hostgoal.net/client/verify.php?token=$token";
            sendVerificationEmail($pdo, $email, $verificationLink);

            header('Location: login.php');
            exit();
        }
    }
}
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>تسجيل حساب جديد</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>
        body {
            font-family: 'Cairo', sans-serif;
            background-color: #f8f9fa;
        }
        .container {
            max-width: 500px;
            margin-top: 50px;
        }
        .form-container {
            background-color: #fff;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .form-container h2 {
            margin-bottom: 20px;
            font-weight: 700;
        }
        .form-container .form-group input,
        .form-container .form-group select {
            margin-bottom: 15px;
        }
        .login-link {
            display: block;
            margin-top: 10px;
            text-align: center;
        }
        .error-message {
            color: red;
            font-weight: bold;
            margin-bottom: 15px;
        }
    </style>
</head>
<body>
    <nav>
        <?php include 'nav2.php'; ?>
    </nav>
    <div class="container">
        <div class="form-container">
            <h2>تسجيل حساب جديد</h2>
            <?php if (isset($error_message)): ?>
                <p class="error-message"><?php echo htmlspecialchars($error_message, ENT_QUOTES, 'UTF-8'); ?></p>
            <?php endif; ?>
            <form action="register.php" method="POST">
                <div class="form-group">
                    <label for="first_name">الاسم الأول</label>
                    <input type="text" class="form-control" name="first_name" placeholder="الاسم الأول" required>
                </div>
                <div class="form-group">
                    <label for="last_name">الاسم الأخير</label>
                    <input type="text" class="form-control" name="last_name" placeholder="الاسم الأخير" required>
                </div>
                <div class="form-group">
                    <label for="username">اسم المستخدم</label>
                    <input type="text" class="form-control" name="username" placeholder="اسم المستخدم" required>
                </div>
                <div class="form-group">
                    <label for="email">البريد الإلكتروني</label>
                    <input type="email" class="form-control" name="email" placeholder="البريد الإلكتروني" required>
                </div>
                <div class="form-group">
                    <label for="password">كلمة المرور</label>
                    <input type="password" class="form-control" name="password" placeholder="كلمة المرور" required>
                </div>
                <div class="form-group">
                    <label for="country">الدولة</label>
                    <select class="form-control" name="country" id="country" required>
                        <option value="">اختر دولتك</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="gender">الجنس</label>
                    <select class="form-control" name="gender" required>
                        <option value="">اختر جنسك</option>
                        <option value="male">ذكر</option>
                        <option value="female">أنثى</option>
                        <option value="other">آخر</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="phone">رقم الهاتف</label>
                    <input type="text" class="form-control" name="phone" placeholder="رقم الهاتف" required>
                </div>
                <button type="submit" class="btn btn-primary btn-block">تسجيل</button>
                <a href="login.php" class="login-link">لديك حساب؟ تسجيل الدخول هنا</a>
            </form>
        </div>
    </div>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const countrySelect = document.getElementById('country');

            // Fetch the list of countries from the API
            fetch('https://restcountries.com/v3.1/all?fields=translations')
                .then(response => response.json())
                .then(data => {
                    data.sort((a, b) => a.translations.ara.common.localeCompare(b.translations.ara.common)); // Sort countries alphabetically in Arabic
                    data.forEach(country => {
                        const option = document.createElement('option');
                        option.value = country.translations.ara.common;
                        option.textContent = country.translations.ara.common;
                        countrySelect.appendChild(option);
                    });
                })
                .catch(error => {
                    console.error('Error fetching countries:', error);
                    countrySelect.innerHTML = '<option value="">فشل في تحميل الدول</option>';
                });
        });
    </script>
    <footer class="footer mt-4">
        <?php include 'footer.php'; ?>
    </footer>
</body>
</html>
