<?php
session_start();
include('../config.php');

// Fetch user ID from session
$user_id = $_SESSION['user_id'];

// Check if the form was submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Retrieve form data
    $order_id = $_POST['order_id'];
    $product_id = $_POST['product_id'];
    $domain = $_POST['domain'];

    // Validate the input
    if (empty($order_id) || empty($product_id) || empty($domain)) {
        echo 'يرجى ملء جميع الحقول.';
        exit;
    }

    try {
        // Insert the SSL request into the database
        $stmt = $pdo->prepare("INSERT INTO ssl_requests (user_id, order_id, product_id, domain, status, request_date) VALUES (?, ?, ?, ?, 'Pending', NOW())");
        $stmt->execute([$user_id, $order_id, $product_id, $domain]);

        // Redirect to a confirmation page or display a success message
        echo 'تم تقديم طلب شهادة SSL بنجاح. ستتم معالجة الطلب في غضون 48 ساعة.';
    } catch (Exception $e) {
        // Handle errors
        echo 'حدث خطأ أثناء تقديم الطلب: ' . htmlspecialchars($e->getMessage(), ENT_QUOTES, 'UTF-8');
    }
} else {
    // Redirect to the services page if accessed directly
    header('Location: services.php');
    exit;
}
