<?php
include('../config.php');
include('includes/auth.php');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $ticket_id = (int) $_POST['ticket_id'];
    $user_id = $_SESSION['user_id'];
    $message = $_POST['message'];
    $image = $_FILES['image'];

    // Check if ticket is closed
    $stmt = $pdo->prepare("SELECT status FROM tickets WHERE id = :ticket_id AND user_id = :user_id");
    $stmt->execute([':ticket_id' => $ticket_id, ':user_id' => $user_id]);
    $ticket = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$ticket) {
        die('Ticket not found or access denied');
    }

    if ($ticket['status'] === 'Closed') {
        die('Cannot send messages to a closed ticket.');
    }

    // Handle file upload
    $image_path = '';
    if (isset($image) && $image['error'] == 0) {
        $target_dir = "../uploads/";
        $target_file = $target_dir . basename($image["name"]);
        if (move_uploaded_file($image["tmp_name"], $target_file)) {
            $image_path = $target_file;
        }
    }

    // Insert message
    $sql = "INSERT INTO ticket_messages (ticket_id, user_id, message, image) VALUES (:ticket_id, :user_id, :message, :image)";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([
        ':ticket_id' => $ticket_id,
        ':user_id' => $user_id,
        ':message' => $message,
        ':image' => $image_path
    ]);

    header("Location: client_ticket.php?id=$ticket_id");
    exit();
}
?>
