<?php
session_start();
include('../config.php');
require_once __DIR__.'/../client/dna.php';

// Fetch user ID from session
$user_id = $_SESSION['user_id'];

// Fetch user's domains and their order status
$stmt_domains = $pdo->prepare("SELECT p.id as product_id, p.name, p.description, p.internal_name, up.id as user_products_id,
                                       up.domain_name, up.billing_cycle, up.epp_code, up.order_id, o.status as order_status
                                FROM user_products up
                                JOIN products p ON up.product_id = p.id
                                JOIN orders o ON up.order_id = o.id
                                WHERE up.user_id = ? AND p.product_type = 'domain'");
$stmt_domains->execute([$user_id]);
$domains = $stmt_domains->fetchAll(PDO::FETCH_ASSOC);

// Initialize Domain API
$username = 'hostgoal';
$password = '2719243214kK!';
$dna = new \DomainNameApi\DomainNameAPI_PHPLibrary($username, $password);
$stmt = $pdo->prepare("SELECT username, balance FROM users WHERE id = ?");
$stmt->execute([$user_id]);
$user = $stmt->fetch();
$username1 = $user['username'] ?? '';
$balance = $user['balance'] ?? 0;
// Function to fetch and update domain details
function updateDomainStatus($domain, $dna, $pdo) {
    // Load domain details
    $domain_details = $dna->GetDetails($domain['domain_name']);
    if ($domain_details['result'] !== 'OK') {
        return;
    }

    // Calculate remaining days
    $remaining_days = $domain_details['data']['Dates']['RemainingDays'];

    // If domain has expired, update order status to unpaid and notify the user
    if ($remaining_days <= 0) {
        // Mark the order as unpaid
        $stmt = $pdo->prepare("UPDATE orders SET status = 'unpaid' WHERE id = ?");
        $stmt->execute([$domain['order_id']]);

        // Optionally, send email notification to the user about domain expiration
        $stmt = $pdo->prepare("SELECT email FROM users WHERE id = ?");
        $stmt->execute([$domain['user_id']]);
        $user = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($user) {
            $email = $user['email'];
    $subject = "Renewal Required: Domain " . $domain['domain_name'];
    $message = "Your domain " . $domain['domain_name'] . " has expired. Please renew it as soon as possible.";

    if ($user) {
        $email = $user['email'];
        $mail = new PHPMailer(true);

        try {
            $mail->isSMTP();
            $mail->Host       = 'mail.hostgoal.net'; 
            $mail->SMTPAuth   = true;
            $mail->Username   = 'help@hostgoal.net'; 
            $mail->Password   = '2719243214kK'; 
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
            $mail->Port       = 465; 

            $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
            $mail->addAddress($email);

            $mail->isHTML(true);
            $mail->Subject = "Domain Expiry Notice: " . $domain['domain_name'];
            $mail->Body    = "<p>Dear Customer,</p>
                              <p>Your domain <strong>{$domain['domain_name']}</strong> has expired. Please renew it to avoid any disruption.</p>
                              <p>Best regards,<br>Host Goal Support Team</p>";

            $mail->send();
        } catch (Exception $e) {
            // Log email failure or take appropriate action
        }
    }
        }
    }
}

// Loop through domains and update their status
foreach ($domains as &$domain) {
    updateDomainStatus($domain, $dna, $pdo);
}

// Fetch other products if needed (hosting, SSL, etc.)
// Example:
$stmt = $pdo->prepare("SELECT o.id, o.status as order_status, od.product_id, p.name, p.description, p.internal_name
                       FROM orders o
                       JOIN order_details od ON o.id = od.order_id
                       JOIN products p ON od.product_id = p.id
                       WHERE o.user_id = ? AND p.product_type = 'hosting'");
$stmt->execute([$user_id]);
$products = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Fetch SSL products
$stmt_ssl = $pdo->prepare("SELECT p.id as product_id, p.name, p.description, p.internal_name
                           FROM user_products up
                           JOIN products p ON up.product_id = p.id
                           WHERE up.user_id = ? AND p.product_type = 'ssl'");
$stmt_ssl->execute([$user_id]);
$ssl_products = $stmt_ssl->fetchAll(PDO::FETCH_ASSOC);

// Fetch cPanel accounts
$stmt_cpanel = $pdo->prepare("SELECT * FROM user_accounts WHERE user_id = ?");
$stmt_cpanel->execute([$user_id]);
$cpanel_accounts = $stmt_cpanel->fetchAll(PDO::FETCH_ASSOC);

// Fetch SSL requests
$stmt_ssl_requests = $pdo->prepare("SELECT * FROM ssl_requests WHERE user_id = ?");
$stmt_ssl_requests->execute([$user_id]);
$ssl_requests = $stmt_ssl_requests->fetchAll(PDO::FETCH_ASSOC);

function hasCreatedAccount($product_id, $user_id, $pdo) {
    $stmt = $pdo->prepare("SELECT COUNT(*) FROM user_accounts WHERE product_id = ? AND user_id = ?");
    $stmt->execute([$product_id, $user_id]);
    return $stmt->fetchColumn() > 0;
}


?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HostGoal - منتجاتي</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
    .container {
            padding: 10px;
        }
     .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }

    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }

    html, body {
    font-family: 'Cairo', sans-serif;
    background-color: #f9f9f9;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

    /* Navbar */
    .navbar {
        background-color: #2c2c2c;
        padding: 10px 20px;
    }

    .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }
    .navbar-brand span {
        color: #fff;
        font-size: 20px;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
.navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

    .navbar-nav .nav-link:hover {
        background-color: #0f8a8a;
    }


    .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }

    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
    /* Main Content */
    h1 {
        font-size: 36px;
        text-align: center;
        margin-bottom: 30px;
        color: #333;
    }

   /* Product Card Styling */
.product-card {
    background-color: #fff;
    padding: 20px;
    margin-bottom: 20px;
    border-radius: 12px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.product-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.15);
}

.product-header h3 {
    font-size: 22px;
    font-weight: 700;
    color: #17a2b8;
    margin-bottom: 10px;
    text-align: center;
}

.product-description p {
    font-size: 16px;
    color: #666;
    line-height: 1.6;
    text-align: center;
}

/* Responsive Design */
@media (max-width: 768px) {
    .product-card {
        padding: 15px;
    }

    .product-header h3 {
        font-size: 20px;
    }

    .product-description p {
        font-size: 14px;
    }
}

.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .submit-btn, .access-btn {
        background-color: #17a2b8;
        color: white;
        padding: 10px 15px;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        text-align: center;
        width: 100%;
        margin-top: 10px;
    }

    .submit-btn:hover, .access-btn:hover {
        background-color: #0f8a8a;
    }

    .text-danger {
        color: #dc3545 !important;
        font-weight: bold;
    }

    .service, .product-grid {
        margin-top: 30px;
    }

    .product-grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
        gap: 20px;
    }

    /* Tabs */
    .nav-tabs .nav-link {
        font-size: 18px;
        background-color: #f8f9fa;
        border: 1px solid #dee2e6;
        margin-right: 5px;
        transition: background-color 0.3s ease;
    }

    .nav-tabs .nav-link.active {
        background-color: #17a2b8;
        color: white;
        border-color: #17a2b8;
    }

    /* Responsive Adjustments */
    @media (max-width: 768px) {
        .product-card {
            text-align: center;
        }

        .nav-tabs {
            justify-content: center;
        }

        .nav-tabs .nav-item {
            margin-bottom: 10px;
        }
    }
.container {
    flex: 1;
}
button:hover {
    background-color: #0f8a8a;
}
    .footer {
    background-color: #2c2c2c;
    color: #FFF;
    padding: 40px 0;
    text-align: center;
    margin-top: auto;
}

.bottom-footer {
    background-color: #1a1a1a;
    padding: 15px 0;
    color: #bbb;
    text-align: center;
}
 .loading-overlay {
            display: none;
            position: fixed;
            z-index: 9999;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.8);
            pointer-events: none; /* Prevent interactions */
        }

        .loading-overlay.active {
            display: block;
            pointer-events: auto;
        }

        .spinner-wrapper {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .custom-spinner {
            border: 8px solid rgba(0, 0, 0, 0.1);
            border-top: 8px solid #15B1B1;
            border-radius: 50%;
            width: 60px;
            height: 60px;
            animation: spin 1s linear infinite;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
.non-interactable {
            pointer-events: none;
            user-select: none;
            opacity: 0.5;
        }
.alert-custom {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1050;
    display: none;
    background: linear-gradient(145deg, #e0f7fa, #a7e0eb);
    color: #004d66;
    padding: 15px 20px;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    font-size: 14px;
    font-weight: bold;
    min-width: 250px;
    opacity: 0;
    transform: translateY(-20px);
    transition: all 0.4s ease;
}

.alert-custom.show {
    display: block;
    opacity: 1;
    transform: translateY(0);
}

.alert-custom.success {
    background: linear-gradient(145deg, #b2f7c4, #76e2a4);
    color: #064d34;
}

.alert-custom.error {
    background: linear-gradient(145deg, #f7b2b2, #e27676);
    color: #660000;
}

.alert-custom .close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    background: transparent;
    border: none;
    font-size: 16px;
    color: inherit;
    cursor: pointer;
}

.alert-custom .close-btn:hover {
    color: #0f8a8a;
}

.alert-icon {
    font-size: 20px;
    margin-right: 8px;
}


        /* Responsive adjustments for smaller screens */
        @media (max-width: 576px) {
            .alert-custom {
                right: 10px;
                min-width: 200px;
                font-size: 13px;
                padding: 10px 15px;
            }

            .alert-custom .close-btn {
                font-size: 14px;
            }

            .alert-icon {
                font-size: 18px;
            }
        }
        /* Custom input and button styles */
.form-group label {
    font-weight: bold;
    color: #333;
}

.form-group input[type="text"] {
    width: 100%;
    padding: 10px;
    margin-top: 5px;
    border-radius: 5px;
    border: 1px solid #ced4da;
    box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.form-group input[type="text"]:focus {
    border-color: #17a2b8;
    box-shadow: 0 0 8px rgba(23, 162, 184, 0.25);
    outline: none;
}

.submit-btn {
    background-color: #17a2b8;
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    border: none;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.submit-btn:hover {
    background-color: #138496;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

/* Adjustments for better spacing and alignment */
.product-card {
    padding: 20px;
    margin-bottom: 20px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.form-group {
    margin-bottom: 15px;
}

h3 {
    color: #17a2b8;
}

    </style>
</head>
<body>
<div class="loading-overlay">
    <div class="spinner-wrapper">
        <div class="custom-spinner"></div>
    </div>
</div>


<script>
document.addEventListener('DOMContentLoaded', function() {
    const forms = document.querySelectorAll('form');
        const loadingSpinner = document.querySelector('.loading-overlay');

    forms.forEach(form => {
        form.addEventListener('submit', function(event) {
                            event.preventDefault(); // Prevent immediate submission
                loadingSpinner.classList.add('active');
                document.body.classList.add('non-interactable');

            // Show the loading overlay
 setTimeout(() => {
                    // Proceed with form submission after some time
                    event.target.submit();
                }, 1000); // Adjust the delay based on your needs
        });
    });
});
</script>
<!-- Navbar -->
<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="dashboard.php">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item"><a class="nav-link" href="new_order.php">أطلب</a></li>
                <li class="nav-item"><a class="nav-link" href="services.php">منتجاتي</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">طلباتك</a></li>
                <li class="nav-item"><a class="nav-link" href="invoice.php">الفواتير</a></li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">الدعم</a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="client_tickets.php">التذاكر</a></li>
                        <li><a class="dropdown-item" href="forum.php">المجتمع</a></li>
                        <li><a class="dropdown-item" href="q_and_a.php">Q&A</a></li>
                    </ul>
                </li>
            </ul>
            <li class="nav-item cart-nav-item">
                <a class="nav-link" href="/client/cart.php">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <div class="dropdown profile-menu">
                <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                    <i class="fas fa-user"></i> <?php echo htmlspecialchars($user['username'], ENT_QUOTES, 'UTF-8'); ?>
                </a>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <li class="profile-name"><?php echo htmlspecialchars($user['username'], ENT_QUOTES, 'UTF-8'); ?></li>
                    <li class="profile-balance">الرصيد: $<?php echo number_format($user['balance'], 2); ?></li>
                    <li><a class="dropdown-item" href="dashboard.php">لوحة التحكم</a></li>
                    <li><a class="dropdown-item" href="services.php">منتجاتي</a></li>
                    <li><a class="dropdown-item" href="profile.php">الإعدادات</a></li>
                    <li><a class="dropdown-item" href="logout.php">تسجيل الخروج</a></li>

                </ul>
            </div>
        </div>
    </div>
</nav>
<?php
// Display success or error messages from the session
if (isset($_SESSION['success'])) {
    echo "<div class='alert-custom success show' id='customAlert'>
            <span class='alert-icon'>&#10004;</span> 
            <span class='alert-message'>" . htmlspecialchars($_SESSION['success'], ENT_QUOTES, 'UTF-8') . "</span>
            <button class='close-btn' onclick='hideAlert()'>&#10005;</button>
          </div>";
    unset($_SESSION['success']);
}

if (isset($_SESSION['error'])) {
    echo "<div class='alert-custom error show' id='customAlert'>
            <span class='alert-icon'>&#10008;</span> 
            <span class='alert-message'>" . htmlspecialchars($_SESSION['error'], ENT_QUOTES, 'UTF-8') . "</span>
            <button class='close-btn' onclick='hideAlert()'>&#10005;</button>
          </div>";
    unset($_SESSION['error']);
}
?>


<script>
    function hideAlert() {
        const alertBox = document.getElementById('customAlert');
        if (alertBox) {
            alertBox.classList.remove('show');
            setTimeout(() => {
                alertBox.style.display = 'none';
            }, 400); // Allow time for fade-out transition
        }
    }

    // Automatically hide the alert after 5 seconds
    setTimeout(hideAlert, 5000);
</script>
<div class="container">
    <h1>منتجاتي</h1>
    
    <!-- Tab Navigation -->
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" id="hosting-tab" data-bs-toggle="tab" href="#hosting" role="tab" aria-controls="hosting" aria-selected="true">استضافة المواقع</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="domains-tab" data-bs-toggle="tab" href="#domains" role="tab" aria-controls="domains" aria-selected="false">النطاقات</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="ssl-tab" data-bs-toggle="tab" href="#ssl" role="tab" aria-controls="ssl" aria-selected="false">شهادات SSL</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="requests-tab" data-bs-toggle="tab" href="#requests" role="tab" aria-controls="requests" aria-selected="false">طلبات SSL</a>
        </li>
    </ul>

    <div class="tab-content" id="myTabContent">
        <!-- Hosting Products Tab -->
        <div class="tab-pane fade show active" id="hosting" role="tabpanel" aria-labelledby="hosting-tab">
            <div class="service">
                <?php foreach ($products as $product): ?>
                    <div class="product-card">
                        <div class="product-header">
        <h3><?php echo htmlspecialchars($product['name'], ENT_QUOTES, 'UTF-8'); ?></h3>
    </div>
    <div class="product-description">
        <p><?php echo nl2br(htmlspecialchars($product['description'], ENT_QUOTES, 'UTF-8')); ?></p>
    </div>

                        <?php if (!hasCreatedAccount($product['product_id'], $user_id, $pdo)): ?>
                            <form method="post" action="create_account.php">
                                <div class="form-group">
                                    <label for="domain">اسم النطاق</label>
                                    <input type="text" id="domain" name="domain" required>
                                </div>
                                <input type="hidden" name="order_id" value="<?php echo htmlspecialchars($product['order_id'], ENT_QUOTES, 'UTF-8'); ?>">
                                <input type="hidden" name="product_id" value="<?php echo htmlspecialchars($product['product_id'], ENT_QUOTES, 'UTF-8'); ?>">
                                <input type="hidden" name="internal_name" value="<?php echo htmlspecialchars($product['internal_name'], ENT_QUOTES, 'UTF-8'); ?>">
                                <button type="submit" class="submit-btn">إنشاء حساب</button>
                            </form>
                        <?php else: ?>
                            <p>تم إنشاء الحساب لهذه الخدمة.</p>
                            <?php foreach ($cpanel_accounts as $account): ?>
                                <div class="product-card">
                                    <h3>حساب cPanel: <?php echo htmlspecialchars($account['username'], ENT_QUOTES, 'UTF-8'); ?></h3>
                                    <p>النطاق: <?php echo htmlspecialchars($account['domain'], ENT_QUOTES, 'UTF-8'); ?></p>
                                    <p>تم أنشائه في : <?php echo htmlspecialchars($account['created_at'], ENT_QUOTES, 'UTF-8'); ?></p>

                                    <?php if ($account['status'] === 'suspended'): ?>
                                        <button class="btn btn-danger btn-sm" disabled>الحساب معلق</button>
                                    <?php else: ?>
                                        <a href="access_account.php?product_id=<?php echo htmlspecialchars($product['product_id'], ENT_QUOTES, 'UTF-8'); ?>" class="access-btn">الوصول إلى Cpanel</a>
                                        <a href="manage_host.php?product_id=<?php echo htmlspecialchars($product['product_id'], ENT_QUOTES, 'UTF-8'); ?>" class="access-btn">إدارة الاستضافة</a>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>

        <!-- Domains Tab -->
        <div class="tab-pane fade" id="domains" role="tabpanel" aria-labelledby="domains-tab">
            <div class="product-grid">
                <?php foreach ($domains as $domain): ?>
                    <div class="product-card">
                        <h3><?php echo htmlspecialchars($domain['name'], ENT_QUOTES, 'UTF-8'); ?></h3>
                        <p><?php echo htmlspecialchars($domain['description'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <div class="details">
                            <p><strong>اسم النطاق:</strong> <?php echo htmlspecialchars($domain['domain_name'], ENT_QUOTES, 'UTF-8'); ?></p>
                            <p><strong>دورة الفوترة:</strong> كل <?php echo htmlspecialchars($domain['billing_cycle']); ?> سنوات</p>
                            <?php if ($domain['order_status'] === 'unpaid'): ?>
                                <p class="text-danger">النطاق غير مدفوع. الرجاء زيارة الفواتير لتجديد.</p>
                                <a href="invoices.php" class="access-btn btn btn-warning">اذهب إلى الفواتير</a>
                            <?php endif; ?>
                            <a href="manage_domain.php?id=<?php echo htmlspecialchars($domain['user_products_id'], ENT_QUOTES, 'UTF-8'); ?>" class="access-btn">إدارة النطاق</a>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>

        <!-- SSL Products Tab -->
        <div class="tab-pane fade" id="ssl" role="tabpanel" aria-labelledby="ssl-tab">
            <div class="product-grid">
                <?php foreach ($ssl_products as $ssl_product): ?>
                    <div class="product-card">
                        <h3><?php echo htmlspecialchars($ssl_product['name'], ENT_QUOTES, 'UTF-8'); ?></h3>
                        <p><?php echo htmlspecialchars($ssl_product['description'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <div class="details">
                            <p>تاريخ الشراء: <?php echo $ssl_product['created_at'] ?? 'غير متوفر'; ?></p>
                        </div>
                        <?php $has_request = false; foreach ($ssl_requests as $request) { if ($request['product_id'] == $ssl_product['product_id']) { $has_request = true; break; } } ?>
                        <?php if (!$has_request): ?>
                            <form method="post" action="">
                                <div class="form-group">
                                    <label for="domain-<?php echo $ssl_product['product_id']; ?>">اسم النطاق</label>
                                    <input type="text" id="domain-<?php echo $ssl_product['product_id']; ?>" name="domain" required>
                                </div>
                                <input type="hidden" name="product_id" value="<?php echo htmlspecialchars($ssl_product['product_id'], ENT_QUOTES, 'UTF-8'); ?>">
                                <button type="submit" name="submit_ssl_request" class="submit-btn">طلب شهادة SSL</button>
                            </form>
                        <?php else: ?>
                            <p>تم تقديم طلب SSL مسبقاً لهذه الشهادة.</p>
                        <?php endif; ?>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>

        <!-- SSL Requests Tab -->
        <div class="tab-pane fade" id="requests" role="tabpanel" aria-labelledby="requests-tab">
            <div class="product-grid">
                <?php foreach ($ssl_requests as $ssl_request): ?>
                    <div class="product-card">
                        <h3>طلب SSL #<?php echo htmlspecialchars($ssl_request['request_id'], ENT_QUOTES, 'UTF-8'); ?></h3>
                        <p>النطاق: <?php echo htmlspecialchars($ssl_request['domain'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <p class="details">تاريخ الطلب: <?php echo htmlspecialchars($ssl_request['request_date'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <p class="status <?php echo htmlspecialchars($ssl_request['status'], ENT_QUOTES, 'UTF-8'); ?>">حالة الطلب: <?php echo htmlspecialchars($ssl_request['status'], ENT_QUOTES, 'UTF-8'); ?></p>
                        <a href="view_ssl_request.php?request_id=<?php echo htmlspecialchars($ssl_request['request_id'], ENT_QUOTES, 'UTF-8'); ?>" class="access-btn">عرض الطلب</a>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>


    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script></body>
</html>
