<?php
// client/verify_email.php
include('../config.php');
session_start();

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '../vendor/autoload.php';

// Function to log email actions
function logEmailAction($pdo, $receiver_email, $ip_address, $action_description) {
    $stmt = $pdo->prepare("INSERT INTO email_history (receiver_email, ip_address, action_description) VALUES (?, ?, ?)");
    $stmt->execute([$receiver_email, $ip_address, $action_description]);
}

if (isset($_GET['code'])) {
    $code = $_GET['code'];

    // Verify the code and update the email
    $stmt = $pdo->prepare("SELECT id, new_email FROM users WHERE verification_token = ?");
    $stmt->execute([$code]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user) {
        $newEmail = $user['new_email'];
        $user_id = $user['id'];

        // Send verification email to the new email address
        $mail = new PHPMailer(true);

        try {
            // Server settings
            $mail->isSMTP();
            $mail->Host       = 'mail.hostgoal.net'; 
            $mail->SMTPAuth   = true;
            $mail->Username   = 'help@hostgoal.net'; 
            $mail->Password   = '2719243214kK'; 
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
            $mail->Port       = 465; 

            // Recipients
            $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
            $mail->addAddress($newEmail);

            // Content
            $mail->isHTML(true);
            $mail->Subject = 'Confirm Your New Email Address';

$mail->Body = "
<!DOCTYPE html>
<html lang='en'>
<head>
    <meta charset='UTF-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1.0'>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            color: #333;
            line-height: 1.6;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 600px;
            margin: 20px auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            color: #15B1B1;
            font-size: 24px;
            margin-bottom: 20px;
        }
        p {
            font-size: 16px;
            margin-bottom: 20px;
        }
        .button {
            display: inline-block;
            background-color: #007bff;
            color: #fff;
            padding: 10px 20px;
            text-decoration: none;
            border-radius: 5px;
            font-size: 16px;
            text-align: center;
            margin-bottom: 20px;
            transition: background-color 0.3s ease;
        }
        .button:hover {
            background-color: #15B1B1;
        }
        .footer {
            text-align: center;
            font-size: 14px;
            color: #777;
            margin-top: 30px;
        }
    </style>
</head>
<body>
    <div class='container'>
        <h1>Confirm Your New Email Address</h1>
        <p>Dear Customer,</p>
        <p>We received a request to update the email address associated with your account. To complete this change, please confirm your new email address by clicking the button below:</p>
        <a href='http://one.hostgoal.net/client/confirm_email.php?code=$code' class='button'>Verify Email</a>
        <p>If you did not request this change or believe this email was sent in error, please contact our support team immediately.</p>
        <p>Thank you for your prompt attention to this matter.</p>
        <div class='footer'>
            Best regards,<br>
            HostGoal Support Team
        </div>
    </div>
</body>
</html>
";

            $mail->send();
            $message = "A confirmation link has been sent to your new email address.";

            // Log email action
            $ip_address = $_SERVER['REMOTE_ADDR'];
            logEmailAction($pdo, $newEmail, $ip_address, 'Sent confirmation email for new email address');
        } catch (Exception $e) {
            $message = "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
        }
    } else {
        $message = "Invalid verification code.";
    }
} else {
    $message = "Missing verification code.";
}
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <title>تحقق من البريد الإلكتروني</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/styles.css?version=1">
    <style>

        .message-box {
            background-color: #fff;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }
        @media (max-width: 768px) {
            .message-box {
                padding: 15px;
            }
        }
        .alert {
            transition: opacity 1s ease-out;
        }
         .container {
            padding: 10px;
        }
         body, html {
            font-family: 'Cairo', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

        .navbar {
            background-color: #2c2c2c;
            padding: 10px 20px;
        }

        .navbar-brand {
            display: flex;
            align-items: center;
            color: white;
        }

        .navbar-brand img {
            height: 40px;
            margin-right: 10px;
        }

        .navbar-nav {
        text-align: center;
        flex-grow: 1;
        justify-content: center;
    }

    .navbar-nav .nav-item {
        margin: 0 15px;
    }
         .navbar-nav .nav-link {
        color: #FFF !important;
        font-size: 18px;
        padding: 10px 20px;
        background-color: #17a2b8;
        text-align: center;
        border-radius: 30px;
        transition: background-color 0.3s ease;
    }

        .navbar-nav .nav-link:hover {
            background-color: #0f8a8a;
        }

        .profile-container {
            margin: 50px auto;
            max-width: 600px;
            background-color: #fff;
            padding: 100px;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        .profile-container h2 {
            font-size: 24px;
            margin-bottom: 20px;
            color: #333;
        }

        .profile-picture {
            width: 120px;
            height: 120px;
            border-radius: 50%;
            object-fit: cover;
            margin-bottom: 20px;
        }

        .form-container .form-group {
            text-align: right;
            margin-bottom: 15px;
        }
 .profile-menu .dropdown-toggle {
        color: #fff;
        background-color: #17a2b8;
        border-radius: 30px;
        padding: 12px 24px;
        min-width: 180px;
    }

    .profile-menu .dropdown-menu {
        background-color: #2c2c2c;
        color: #fff;
        border-radius: 8px;
        width: 300px;
        padding: 20px;
    }

    .profile-menu .dropdown-menu a {
        color: #fff;
        padding: 10px 20px;
        display: block;
    }

    .profile-menu .dropdown-menu a:hover {
        background-color: #17a2b8;
    }

    .profile-name {
        font-size: 1.2rem;
        font-weight: bold;
        text-align: center;
        margin-bottom: 10px;
    }
.navbar-toggler {
        border: none;
    }
button:hover {
    background-color: #0f8a8a;
}
    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
    .profile-balance {
        padding: 10px;
        color: #fff;
        text-align: center;
        font-size: 1.2rem;
        margin-bottom: 15px;
    }
         .cart-nav-item {
        margin-left: auto;
        display: flex;
        align-items: center;
    }

    .cart-nav-item .nav-link {
        padding: 10px 20px;
        background-color: transparent;
        color: #FFF !important;
        font-size: 20px;
        transition: transform 0.3s ease;
    }
/* Tabs */
    .nav-tabs .nav-link {
        font-size: 18px;
        background-color: #f8f9fa;
        border: 1px solid #dee2e6;
        margin-right: 5px;
        transition: background-color 0.3s ease;
    }

    .nav-tabs .nav-link.active {
        background-color: #17a2b8;
        color: white;
        border-color: #17a2b8;
    }

    /* Responsive Adjustments */
    @media (max-width: 768px) 

        .nav-tabs {
            justify-content: center;
        }

        .nav-tabs .nav-item {
            margin-bottom: 10px;
        }
    }
    .cart-nav-item .nav-link:hover {
        transform: scale(1.1);
    }
     .footer {
        background-color: #2c2c2c;
        color: #FFF;
        padding: 40px 0;
        text-align: center;
        margin-top: auto;
    }

    .bottom-footer {
        background-color: #1a1a1a;
        padding: 15px 0;
        color: #bbb;
        text-align: center;
    }
    </style>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            setTimeout(function () {
                const alert = document.querySelector('.alert');
                if (alert) {
                    alert.style.opacity = '0';
                    setTimeout(function () {
                        alert.remove();
                    }, 1000);
                }
            }, 10000);
        });
    </script>
</head>
<body>
    <nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="dashboard.php">
            <img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;">
            <span>لوحة التحكم</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto">
               
            </ul>
           
        </div>
    </div>
</nav>
    <div class="container">
        <div class="message-box">
            <h2>تحقق من البريد الإلكتروني</h2>
            <div class="alert alert-info"><?php echo htmlspecialchars($message, ENT_QUOTES, 'UTF-8'); ?></div>
        </div>
    </div>
        <?php include 'footer.php'; ?>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
