<?php
session_start();
include('config.php');

// Fetch user data if logged in
$user_name = "";
$user_balance = 0.0;

$notification = [
    'type' => '',
    'message' => ''
];

if (!empty($_SESSION['notification'])) {
    // Store the notification in a local variable and clear it from the session
    $notification = $_SESSION['notification'];
    unset($_SESSION['notification']);  // Unset the notification session immediately after retrieving it
}


use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
function logEmailAction($pdo, $receiverEmail, $ipAddress, $actionDescription) {
    $stmt = $pdo->prepare("INSERT INTO email_history (receiver_email, ip_address, action_description) VALUES (?, ?, ?)");
    $stmt->execute([$receiverEmail, $ipAddress, $actionDescription]);
}
function sendVerificationEmail($pdo, $to, $verificationLink) {
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host       = 'mail.hostgoal.net'; 
        $mail->SMTPAuth   = true;
        $mail->Username   = 'help@hostgoal.net'; 
        $mail->Password   = '2719243214kK'; 
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465; 

        // Recipients
        $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
        $mail->addAddress($to);

        // Content
        $mail->isHTML(true);
        $mail->Subject = 'Account Verification';

        $mail->Body = "
        <!DOCTYPE html>
        <html lang='en'>
        <head>
            <meta charset='UTF-8'>
            <meta name='viewport' content='width=device-width, initial-scale=1.0'>
            <style>
                body {
                    font-family: Arial, sans-serif;
                    background-color: #f4f4f4;
                    color: #333;
                    line-height: 1.6;
                    margin: 0;
                    padding: 0;
                }
                .container {
                    max-width: 600px;
                    margin: 20px auto;
                    background: #fff;
                    padding: 20px;
                    border-radius: 8px;
                    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
                }
                h1 {
                    color: #15B1B1;
                    font-size: 24px;
                    margin-bottom: 20px;
                }
                p {
                    font-size: 16px;
                    margin-bottom: 20px;
                }
                .button {
                    display: inline-block;
                    background-color: #15B1B1;
                    color: #fff;
                    padding: 10px 20px;
                    text-decoration: none;
                    border-radius: 5px;
                    font-size: 16px;
                    text-align: center;
                    margin-bottom: 20px;
                    transition: background-color 0.3s ease;
                }
                .button:hover {
                    background-color: #15B1B1;
                }
                .footer {
                    text-align: center;
                    font-size: 14px;
                    color: #777;
                    margin-top: 30px;
                }
            </style>
        </head>
        <body>
            <div class='container'>
                <h1>Account Verification</h1>
                <p>Dear Customer,</p>
                <p>Thank you for creating an account with us. To complete the registration process and activate your account, please verify your email address by clicking the button below:</p>
                <a href='$verificationLink' class='button'>Verify Your Account</a>
                <p>If you did not create this account or believe this email was sent in error, please contact our support team immediately.</p>
                <p>We appreciate your prompt action in confirming your account.</p>
                <div class='footer'>
                    Best regards,<br>
                    HostGoal Support Team
                </div>
            </div>
        </body>
        </html>
        ";

        $mail->send();

        // Log the email action
        $ipAddress = $_SERVER['REMOTE_ADDR'];
        $actionDescription = 'Sent account verification email';
        logEmailAction($pdo, $to, $ipAddress, $actionDescription);
    } catch (Exception $e) {
        echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
    }
}
// Function to send password reset email
function sendPasswordResetEmail($to, $resetLink) {
    $mail = new PHPMailer(true);

    try {
        // Server settings
        $mail->isSMTP();
        $mail->Host       = 'mail.hostgoal.net'; // Set the SMTP server to send through
        $mail->SMTPAuth   = true;
        $mail->Username   = 'help@hostgoal.net'; // SMTP username
        $mail->Password   = '2719243214kK'; // SMTP password
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465; // TCP port to connect to

        // Recipients
        $mail->setFrom('help@hostgoal.net', 'Host Goal Support');
        $mail->addAddress($to); // Add a recipient

        // Content
        $mail->isHTML(true); // Set email format to HTML
        $mail->Subject = 'طلب إعادة تعيين كلمة المرور';

$mail->Body = "
<!DOCTYPE html>
<html lang='ar'>
<head>
    <meta charset='UTF-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1.0'>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            color: #333;
            line-height: 1.6;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 600px;
            margin: 20px auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h1 {
            color: #15B1B1;
            font-size: 24px;
            margin-bottom: 20px;
        }
        p {
            font-size: 16px;
            margin-bottom: 20px;
        }
        .button {
            display: inline-block;
            background-color: #15B1B1;
            color: #fff;
            padding: 10px 20px;
            text-decoration: none;
            border-radius: 5px;
            font-size: 16px;
            text-align: center;
            margin-bottom: 20px;
            transition: background-color 0.3s ease;
        }
        .button:hover {
            background-color: #15B1B1;
        }
        .footer {
            text-align: center;
            font-size: 14px;
            color: #777;
            margin-top: 30px;
        }
    </style>
</head>
<body>
    
    <div class='container'>
    
        <h1>طلب إعادة تعيين كلمة المرور</h1>
        <p>عزيزي المستخدم،</p>
        <p>لقد طلبت إعادة تعيين كلمة المرور الخاصة بك. يرجى النقر على الزر أدناه لإعادة تعيين كلمة المرور:</p>
        <a href='$resetLink' class='button'>إعادة تعيين كلمة المرور</a>
        <p>إذا لم تطلب إعادة تعيين كلمة المرور، يرجى تجاهل هذه الرسالة أو التواصل مع فريق الدعم الفني.</p>
        <p>شكراً لاهتمامك السريع بهذا الأمر.</p>
        <div class='footer'>
            مع تحيات،<br>
            فريق دعم HostGoal
        </div>
    </div>
</body>
</html>
";

        $mail->send();
    } catch (Exception $e) {
        echo "لم يتم إرسال الرسالة. خطأ في البريد: {$mail->ErrorInfo}";
    }
}

if (isset($_SESSION['user_id'])) {
    $user_id = $_SESSION['user_id'];

    // Fetch user data from the database
    $query = "SELECT username, balance FROM users WHERE id = ?";
    $stmt = $pdo->prepare($query);
    $stmt->execute([$user_id]);
    $user = $stmt->fetch();

    if ($user) {
        $user_name = $user['username'];
        $user_balance = $user['balance'];
    }
}
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['login_submit'])) {
    $usernameOrEmail = $_POST['username_or_email'];
    $password = $_POST['password'];

    $stmt = $pdo->prepare("SELECT * FROM users WHERE username = ? OR email = ?");
    $stmt->execute([$usernameOrEmail, $usernameOrEmail]);
    $user = $stmt->fetch();

    if ($user && password_verify($password, $user['password']) && $user['verified'] == 1) {
        // Set session variables
        $_SESSION['user_id'] = $user['id'];
        $_SESSION['role'] = $user['role'];

        // Log the login event
        $ip_address = $_SERVER['REMOTE_ADDR'];
        $stmt = $pdo->prepare("INSERT INTO login_history (user_id, ip_address) VALUES (?, ?)");
        $stmt->execute([$user['id'], $ip_address]);

        // Update last IP address
        $stmt = $pdo->prepare("UPDATE users SET last_ip = ? WHERE id = ?");
        $stmt->execute([$ip_address, $user['id']]);
$notification['type'] = 'success';
            $notification['message'] = "تم تسجيل الدخول بنجاح!";
        header('Location: index.php');
        
        exit();
    } else {
        $notification['type'] = 'error';
            $notification['message'] = "اسم المستخدم/البريد الإلكتروني أو كلمة المرور غير صحيحة، أو لم يتم التحقق من الحساب.";
    }

    } elseif (isset($_POST['register_submit'])) {
        $username = $_POST['username'];
    $email = $_POST['email'];
    $password = password_hash($_POST['password'], PASSWORD_BCRYPT);
    $country = $_POST['country'];
    $gender = $_POST['gender'];
    $phone = $_POST['phone'];
    $firstName = $_POST['first_name'];
    $lastName = $_POST['last_name'];
    $token = bin2hex(random_bytes(50));

    // Check if the email is already used
    $stmt = $pdo->prepare("SELECT COUNT(*) FROM users WHERE email = ?");
    $stmt->execute([$email]);
    if ($stmt->fetchColumn() > 0) {
        $notification['type'] = 'error';
            $notification['message'] = "تم استخدام البريد الإلكتروني بالفعل.";
    } else {
        // Check if phone number is already taken
        $stmt = $pdo->prepare("SELECT COUNT(*) FROM users WHERE phone = ?");
        $stmt->execute([$phone]);
        if ($stmt->fetchColumn() > 0) {
            $notification['type'] = 'error';
            $notification['message'] = "رقم الهاتف تم أخذه بالفعل.";
        } else {
            // Insert user into the database
            $stmt = $pdo->prepare("INSERT INTO users (username, email, password, country, gender, phone, first_name, last_name, verification_token) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
            $stmt->execute([$username, $email, $password, $country, $gender, $phone, $firstName, $lastName, $token]);

            $verificationLink = "http://one.hostgoal.net/client/verify.php?token=$token";
            sendVerificationEmail($pdo, $email, $verificationLink);
$notification['type'] = 'success';
        $notification['message'] = "تم إنشاء الحساب بنجاح!";
            header('Location: index.php');
            exit();
        }
    }
    } elseif (isset($_POST['forgot_submit'])) {
        // Forgot password functionality
        $email = $_POST['email'];
    $stmt = $pdo->prepare("SELECT * FROM users WHERE email = ?");
    $stmt->execute([$email]);
    $user = $stmt->fetch();

    if ($user) {
        if ($user['oauth_provider']) {
            $notification['type'] = 'error';
            $notification['message'] = "هذا البريد الإلكتروني مرتبط بحساب على وسائل التواصل الاجتماعي. لا يمكن إعادة تعيين كلمة المرور.";
        } else {
            $token = bin2hex(random_bytes(50));
        $stmt = $pdo->prepare("INSERT INTO password_resets (email, token) VALUES (?, ?)");
        $stmt->execute([$email, $token]);

        $resetLink = "https://one.hostgoal.net/client/reset_password.php?token=$token";
        sendPasswordResetEmail($email, $resetLink);
        
        $notification['type'] = 'success';
        $notification['message'] = "تم إرسال رابط إعادة تعيين كلمة المرور إلى بريدك الإلكتروني.";
        
        }
        
    } else {
        $error_message = "لم يتم العثور على حساب مرتبط بهذا البريد الإلكتروني.";
    }
    }
}

// Logout functionality
if (isset($_GET['logout'])) {
    session_destroy();
    header("Location: ../index.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HostGoal - خطط الاستضافة</title>
    <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/5.3.0/css/bootstrap.min.css" rel="stylesheet">

        <meta http-equiv="origin-trial" content="ArqsmEQWQdYr+74UdOSYUcMhNxYXOo9roFBG3jxB0BPZi0nW1iddcfbKb8oW9Hlo+i0NRAxoSKhsuYMM3zhdOQwAAABaeyJvcmlnaW4iOiJodHRwczovL3Blcm1pc3Npb24uc2l0ZTo0NDMiLCJmZWF0dXJlIjoiUGVybWlzc2lvbkVsZW1lbnQiLCJleHBpcnkiOjE3Mzk5MjMxOTl9">

    <style>
    .notification {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9999;
    display: none;
}

.navbar {
    background-color: #2c2c2c;
    padding: 10px 20px;
}

.navbar-nav {
    text-align: center;
    flex-grow: 1;
    justify-content: center;
}

.navbar-nav .nav-item {
    margin: 0 15px;
}

.navbar-nav .nav-link {
    color: #FFF !important;
    font-size: 16px;
    padding: 10px 20px;
    background-color: #17a2b8;
    text-align: center;
    border-radius: 30px;
    transition: background-color 0.3s ease;
    min-width: 150px;
}

.navbar-nav .nav-link:hover {
    background-color: #0f8a8a;
}

.navbar-collapse {
    justify-content: center;
    flex-grow: 1;
}

.navbar .btn,
    .google-login-btn {
        padding: 8px 15px; /* Adjusted padding to ensure proper alignment */
        font-size: 14px; /* Adjusted font size */
        border-radius: 30px;
        transition: background-color 0.3s ease;
        white-space: nowrap;
    }

    .navbar .btn:hover,
    .google-login-btn:hover {
        background-color: #138496;
    }
.google-login-btn {
    background-color: #4285F4;
    color: white;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 10px 20px;
    font-size: 16px;
}

.google-login-btn img {
    width: 20px;
}

.google-login-btn:hover {
    background-color: #357ae8;
}

.modal-body .google-login-btn,
.modal-body .btn-block {
    width: 100%;
    margin-top: 10px;
}

.btn-block {
    width: 100%;
    padding: 12px;
}

.modal-content {
    border-radius: 15px;
}

.form-container {
    padding: 30px;
    text-align: center;
}

.form-container input,
.form-container select {
    margin-bottom: 15px;
    border-radius: 10px;
}

.error-message,
.success-message {
    margin-bottom: 15px;
}

.error-message {
    color: red;
}

.success-message {
    color: green;
}

.toggle-link {
    display: block;
    margin-top: 15px;
    cursor: pointer;
    text-decoration: underline;
    color: #007bff;
}

body,
html {
    font-family: 'Cairo', sans-serif;
    background-color: #f9f9f9;
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
.navbar-toggler {
        border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba%28255, 255, 255, 1%29' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
    }
/* Profile Menu */
.profile-menu .dropdown-toggle {
    color: #fff;
    background-color: #17a2b8;
    border-radius: 30px;
    padding: 10px 20px;
    min-width: 150px;
}

.profile-menu .dropdown-menu {
    background-color: #2c2c2c;
    color: #fff;
    border-radius: 8px;
    width: 300px;
    padding: 20px;
}

.profile-menu .dropdown-menu a {
    color: #fff;
    padding: 10px 20px;
    display: block;
}

.profile-menu .dropdown-menu a:hover {
    background-color: #17a2b8;
}

.profile-name {
    font-size: 1.2rem;
    font-weight: bold;
    text-align: center;
    margin-bottom: 10px;
}

.profile-balance {
    padding: 10px;
    color: #fff;
    text-align: center;
    font-size: 1.2rem;
    margin-bottom: 15px;
}

/* Hero Section */
.hero-section {
    background: linear-gradient(to right, rgba(21, 177, 177, 0.9), rgba(15, 138, 138, 0.9)), url('../assets/images/hero-bg.jpg') no-repeat center center/cover;
    color: #FFF;
    padding: 150px 0;
    text-align: center;
    position: relative;
}

.hero-section h1 {
    font-size: 4rem;
    font-weight: bold;
    margin-bottom: 20px;
    animation: fadeInDown 1.5s ease-in-out;
}

.hero-section p {
    font-size: 1.5rem;
    margin-bottom: 40px;
    animation: fadeInUp 1.5s ease-in-out;
}

.hero-btn {
    display: inline-block;
    background-color: #17a2b8;
    color: #fff;
    padding: 15px 40px;
    font-size: 1.2rem;
    border-radius: 30px;
    text-decoration: none;
    transition: background-color 0.3s ease, transform 0.3s ease;
    animation: fadeInUp 2s ease-in-out;
}

.hero-btn:hover {
    background-color: #0f8a8a;
    transform: translateY(-5px);
}

/* Domain Search Section */
#domain-search {
    background-color: #f1f1f1;
    padding: 60px 0;
    text-align: center;
}

#domain-search input {
    height: 90px;
    font-size: 1.5rem;
    border-radius: 10px;
    padding: 10px;
    width: 70%;
}

#domain-search button {
    height: 80px;
    font-size: 1.5rem;
    border-radius: 10px;
    background-color: #17a2b8;
    border: none;
    color: #fff;
    padding: 0 20px;
    margin-left: 10px;
}

.domain-result-box {
    margin-top: 20px;
    border-radius: 10px;
    padding: 15px;
    background-color: #fff;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease-in-out;
    font-size: 0.9rem;
}

.domain-result-box .domain {
    font-weight: bold;
    font-size: 1.2rem;
}

.domain-result-box.available {
    border-left: 5px solid #28a745;
}

.domain-result-box.unavailable {
    border-left: 5px solid #dc3545;
}

.domain-result-box button {
    height: 40px;
    font-size: 0.9rem;
    padding: 0 15px;
}

/* Why Choose Us Section */
.why-choose-us {
    background-color: #f7f7f7;
    padding: 60px 0;
    text-align: center;
}

.section-title {
    font-size: 2.5rem;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}

.section-subtitle {
    font-size: 1.2rem;
    color: #666;
    margin-bottom: 30px;
}
@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.why-box {
    background-color: #fff;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.why-box:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.icon {
    font-size: 4rem;
    color: #17a2b8;
    margin-bottom: 20px;
}

.feature-title {
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}

.feature-description {
    font-size: 1.1rem;
    color: #555;
}

/* Responsive Adjustments */
@media (max-width: 767px) {
    .section-title {
        font-size: 2rem;
    }

    .section-subtitle {
        font-size: 1.1rem;
        margin-bottom: 20px;
    }

    .why-box {
        margin-bottom: 20px;
    }

    .icon {
        font-size: 3rem;
    }

    .feature-title {
        font-size: 1.3rem;
    }

    .feature-description {
        font-size: 1rem;
    }
}

.plan-card {
    border-radius: 15px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
    background: linear-gradient(145deg, #ffffff, #f1f1f1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    padding: 20px;
}

.plan-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.15);
}

.plan-card .card-header {
    font-size: 1.2rem;
    padding: 15px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.plan-card .card-body {
    padding: 20px;
    text-align: center;
}

.plan-card .card-title {
    font-size: 1.6rem;
    margin-bottom: 15px;
    font-weight: bold;
    color: #333;
}

.plan-card .card-text {
    font-size: 1.1rem;
    color: #555;
    margin-bottom: 10px;
}

.plan-card .price {
    font-size: 2rem;
    color: #E74C3C;
    margin-bottom: 20px;
}

.plan-card .btn-block {
    padding: 10px 0;
    font-size: 1.2rem;
    border-radius: 25px;
    transition: background-color 0.3s ease;
    text-transform: uppercase;
}

.recommended .card-header {
    background-color: #28a745;
}

.recommended .btn-block {
    background-color: #28a745;
    color: white;
}

.recommended .btn-block:hover {
    background-color: #218838;
}

.plan-card .btn-block:hover {
    background-color: #2c3e50;
}

/* Responsive Adjustments */
@media (max-width: 767px) {
    .plan-card {
        margin-bottom: 20px;
        border-radius: 15px;
    }

    .plan-card .card-header {
        font-size: 1.4rem;
        padding: 12px;
    }

    .plan-card .card-body {
        padding: 20px;
    }

    .plan-card .card-title {
        font-size: 1.4rem;
    }

    .plan-card .price {
        font-size: 1.8rem;
    }
}
/* Plans Comparison Section */
.plans-comparison {
    background-color: #fff;
    padding: 60px 0;
    text-align: center;
    overflow-x: hidden;
}

    .comparison-table {
        width: 100%;
        max-width: 1200px;
        margin: 0 auto;
        border-collapse: collapse;
        border-spacing: 0;
        border-radius: 12px;
        background-color: #f7f9fc;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    }

    .comparison-table th,
    .comparison-table td {
        padding: 20px;
        border-bottom: 1px solid #e5e5e5;
        font-weight: bold;
        font-size: 1rem;
    }

    /* Plan Column Backgrounds */
    /* Plan Column Backgrounds */
.comparison-table .plan-business {
    background-color: #e0f7fa; /* Light Cyan */
    color: #00796b; /* Dark Cyan */
}

.comparison-table .plan-corporate {
    background-color: #b2dfdb; /* Muted Teal */
    color: #004d40; /* Darker Cyan */
}

.comparison-table .plan-enterprise {
    background-color: #b2ebf2; /* Soft Cyan */
    color: #006064; /* Deep Cyan */
}

/* Recommended Plan Highlight */
.comparison-table .recommended {
    background-color: #26a69a; /* Rich Teal */
    color: #fff;
    border: 2px solid #00796b; /* Darker Cyan */
}

.comparison-table .recommended .btn-primary {
    background-color: #00796b;
    color: white;
}

    /* Hover Effect */
    .comparison-table tr:hover {
        background-color: #f1f1f1;
    }

    /* Price Styling */
    .comparison-table .price {
        font-size: 2rem;
        color: #e74c3c;
        font-weight: bold;
    }

  

/* Partners and FAQ Sections */
.partners-section,
.faq-section {
    background-color: #f9f9f9;
    padding: 60px 0;
}

.partners-container,
.faq-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
}

.faq-item,
.partners-container img {
    flex: 1 1 45%;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #fff;
    text-align: center;
    transition: transform 0.3s ease;
}

.faq-item:hover,
.partners-container img:hover {
    transform: scale(1.05);
}

.faq-question {
    font-size: 1.1rem;
    color: #333;
    margin-bottom: 10px;
}

.faq-answer {
    font-size: 0.95rem;
    color: #555;
}

/* Responsive Adjustments */
@media screen and (max-width: 767px) {
    .navbar {
        padding: 15px;
    }

    .navbar-toggler {
        padding: 5px 10px;
    }

    .navbar-nav .nav-link {
        width: 100%;
        padding: 10px;
        font-size: 16px;
    }

    .d-lg-none .btn {
        width: 90%;
        margin: 5px auto;
    }

    .profile-menu {
        text-align: center;
        margin: 0 auto;
        width: 100%;n
    }

    .hero-section h1 {
        font-size: 2.5rem;
    }

    #domain-search input,
    #domain-search button {
        width: 100%;
        height: 50px;
        font-size: 1rem;
    }

    .comparison-table th,
    .comparison-table td {
        padding: 15px;
        font-size: 0.85rem;
    }

    .comparison-table .price {
        font-size: 1.8rem;
    }
}

/* Footer */
.footer {
    background-color: #2c2c2c;
    color: #FFF;
    padding: 40px 0;
    text-align: center;
}

.bottom-footer {
    background-color: #1a1a1a;
    padding: 15px 0;
    color: #bbb;
    text-align: center;
}

.partners-section img {
    max-width: 150px;
    margin: 15px;
    transition: transform 0.3s ease;
}

.card {
    border-radius: 20px;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
    padding: 20px;
    background: linear-gradient(145deg, #e6e6e6, #ffffff);
}

.card:hover {
    transform: translateY(-10px);
}

.card .price {
    font-size: 2.5rem;
    color: #ff4c4c;
    font-weight: bold;
    margin-bottom: 20px;
}

.card .card-header {
    font-size: 1.5rem;
    font-weight: bold;
    color: #fff;
    background-color: #17a2b8;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    padding: 15px;
}

.recommended {
    background-color: #007bff !important;
    color: #fff !important;
}

.card-body p {
    font-size: 1rem;
    color: #333;
}
.loading-overlay {
            display: none;
            position: fixed;
            z-index: 9999;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.8);
            pointer-events: none;
        }
        .loading-overlay .spinner-wrapper {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .custom-spinner {
            border: 8px solid rgba(0, 0, 0, 0.1);
            border-top: 8px solid #15B1B1;
            border-radius: 50%;
            width: 60px;
            height: 60px;
            animation: spin 1s linear infinite;
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
    </style>
</head>
<body lang="ar">
<div id="notification" class="alert notification" role="alert"></div>

 <div class="loading-overlay">
        <div class="spinner-wrapper">
            <div class="custom-spinner"></div>
        </div>
    </div>
<!-- Navbar -->
<nav class="navbar navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="#"><img src="../assets/images/logo.png" alt="HostGoal Logo" style="height: 40px;"></a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-between" id="navbarNav">
            <ul class="navbar-nav mx-auto">
                <li class="nav-item">
                    <a class="nav-link" href="#why-choose-us">لماذا نحن</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#features">الميزات</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#faq">الأسئلة الشائعة</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#plans">خطط الاستضافة</a>
                </li>
            </ul>
            <?php if (isset($_SESSION['user_id'])): ?>
                <div class="dropdown profile-menu">
                    <a class="btn btn-primary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                        <i class="fas fa-user"></i> <?php echo $user_name; ?>
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                        <div class="profile-name"><?php echo $user_name; ?></div>
                        <div class="profile-balance">الرصيد: $<?php echo number_format($user_balance, 2); ?></div>
                        <li><a class="dropdown-item" href="client/dashboard.php">لوحة التحكم</a></li>
                        <li><a class="dropdown-item" href="client/services.php">منتجاتي</a></li>
                        <li><a class="dropdown-item" href="client/profile.php">الإعدادات</a></li>
                        <li><a class="dropdown-item" href="?logout=true">تسجيل الخروج</a></li>
                    </ul>
                </div>
            <?php else: ?>
                <div class="d-flex align-items-center">
                    <button class="btn btn-primary me-3" data-bs-toggle="modal" data-bs-target="#authModal">تسجيل الدخول / إنشاء حساب</button>
                    
                </div>
            <?php endif; ?>
        </div>
    </div>
</nav>

    <script src="https://accounts.google.com/gsi/client" async></script>

<div class="modal fade" id="authModal" tabindex="-1" aria-labelledby="authModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body">
                <!-- Login Form -->
                <div id="loginForm" class="form-container">
                    <h2>تسجيل الدخول</h2>
                    <form method="POST" action="">
                        <input type="text" class="form-control" name="username_or_email" placeholder="اسم المستخدم أو البريد الإلكتروني" required>
                        <input type="password" class="form-control" name="password" placeholder="كلمة المرور" required>
                        <button type="submit" name="login_submit" class="btn btn-primary btn-block">تسجيل الدخول</button>
                    </form>
                    <div class="mt-3 text-center">
                        <span>أو:</span>
                    </div>
                    <div class="mt-3">
                         <div id="g_id_onload"
                    data-client_id="352207058673-2tpub3pss0a6515gjhdo5tmiqttp05nc.apps.googleusercontent.com"
                    data-context="signin"
                    data-ux_mode="popup"
                    data-callback="handleCredentialResponse"
                    data-auto_prompt="false">
                </div>
                <div class="g_id_signin"
                    data-type="standard"
                    data-shape="rectangular"
                    data-theme="filled_blue"
                    data-text="signin_with"
                    data-size="large"
                    data-logo_alignment="left">
                </div>
                    </div>
                    <span class="toggle-link" onclick="showRegister()">ليس لديك حساب؟ أنشئ حساب الآن</span>
                    <span class="toggle-link" onclick="showForgot()">نسيت كلمة المرور؟</span>
                </div>

                <!-- Registration Form -->
                <!-- Registration Form -->
<div id="registerForm" class="form-container" style="display: none;">
    <h2>إنشاء حساب</h2>
    <?php if (isset($error_message)): ?>
        <p class="error-message"><?php echo htmlspecialchars($error_message, ENT_QUOTES, 'UTF-8'); ?></p>
    <?php endif; ?>
    <form method="POST" id="registrationForm">
        <div class="form-group">
            <label for="first_name">الاسم الأول</label>
            <input type="text" class="form-control" name="first_name" placeholder="الاسم الأول" required>
        </div>
        <div class="form-group">
            <label for="last_name">الاسم الأخير</label>
            <input type="text" class="form-control" name="last_name" placeholder="الاسم الأخير" required>
        </div>
        <div class="form-group">
            <label for="username">اسم المستخدم</label>
            <input type="text" class="form-control" name="username" placeholder="اسم المستخدم" required>
        </div>
        <div class="form-group">
            <label for="email">البريد الإلكتروني</label>
            <input type="email" class="form-control" name="email" placeholder="البريد الإلكتروني" required>
        </div>
        <div class="form-group">
            <label for="password">كلمة المرور</label>
            <input type="password" class="form-control" name="password" placeholder="كلمة المرور" required>
        </div>
        <div class="form-group">
            <label for="country">الدولة</label>
            <select class="form-control" name="country" id="country" required>
                <option value="">اختر دولتك</option>
            </select>
        </div>
        <div class="form-group">
            <label for="gender">الجنس</label>
            <select class="form-control" name="gender" required>
                <option value="">اختر جنسك</option>
                <option value="male">ذكر</option>
                <option value="female">أنثى</option>
                <option value="other">آخر</option>
            </select>
        </div>
        <div class="form-group">
            <label for="phone">رقم الهاتف</label>
            <input type="text" class="form-control" name="phone" placeholder="رقم الهاتف" required>
        </div>
        <button type="submit" class="btn btn-primary btn-block">تسجيل</button>
        <span class="toggle-link" onclick="showLogin()">لديك حساب؟ تسجيل الدخول هنا</span>
    </form>
</div>


                <!-- Forgot Password Form -->
                <div id="forgotForm" class="form-container" style="display: none;">
                    <h2>نسيت كلمة المرور</h2>
                    <form method="POST">
                        <input type="email" class="form-control" name="email" placeholder="البريد الإلكتروني" required>
                        <button type="submit" name="forgot_submit" class="btn btn-primary btn-block">إرسال رابط إعادة التعيين</button>
                    </form>
                    <span class="toggle-link" onclick="showLogin()">تذكر حسابك؟ تسجيل الدخول هنا</span>
                </div>
            </div>
        </div>
    </div>
</div>


<script>

document.addEventListener('DOMContentLoaded', function() {
    googleOneTapLogin();  // Show Google One Tap Login on page load
});

function googleOneTapLogin() {
    google.accounts.id.initialize({
        client_id: '352207058673-2tpub3pss0a6515gjhdo5tmiqttp05nc.apps.googleusercontent.com',
        callback: handleCredentialResponse
    });
    google.accounts.id.prompt();  // Automatically shows One Tap UI on page load
}

document.addEventListener('DOMContentLoaded', function() {
    const countrySelect = document.getElementById('country');

    // Fetch the list of countries from the API and load them into the select input
    fetch('https://restcountries.com/v3.1/all?fields=translations')
        .then(response => response.json())
        .then(data => {
            data.sort((a, b) => a.translations.ara.common.localeCompare(b.translations.ara.common)); // Sort countries alphabetically in Arabic
            data.forEach(country => {
                const option = document.createElement('option');
                option.value = country.translations.ara.common;
                option.textContent = country.translations.ara.common;
                countrySelect.appendChild(option);
            });
        })
        .catch(error => {
            console.error('Error fetching countries:', error);
            countrySelect.innerHTML = '<option value="">فشل في تحميل الدول</option>';
        });
});

function showRegister() {
    document.getElementById('loginForm').style.display = 'none';
    document.getElementById('registerForm').style.display = 'block';
    document.getElementById('forgotForm').style.display = 'none';
}

function showNotification(message, type) {
    const notification = document.getElementById('notification');
    notification.textContent = message;

    if (type === 'success') {
        notification.className = 'alert alert-success notification';
    } else if (type === 'error') {
        notification.className = 'alert alert-danger notification';
    }

    notification.style.display = 'block';

    // Hide notification after 4 seconds
    setTimeout(() => {
        notification.style.display = 'none';
        // Clear notification data after displaying it once
        <?php unset($_SESSION['notification']); ?>
    }, 4000);
}

<?php if ($notification['type']): ?>
document.addEventListener('DOMContentLoaded', function() {
    showNotification("<?php echo $notification['message']; ?>", "<?php echo $notification['type']; ?>");
});
<?php endif; ?>

function redirectToGoogleAuth() {
    const clientId = '352207058673-2tpub3pss0a6515gjhdo5tmiqttp05nc.apps.googleusercontent.com';
    const redirectUri = 'https://one.hostgoal.net/client/callback.php'; // Replace with your redirect URI
    const googleAuthUrl = `https://accounts.google.com/o/oauth2/auth?client_id=${clientId}&redirect_uri=${redirectUri}&response_type=code&scope=openid%20email%20profile`;

    window.location.href = googleAuthUrl;
}
        function handleCredentialResponse(response) {
    fetch('/client/auth_init.php', {
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        body: JSON.stringify({ 
            request_type: 'user_auth',  // تأكد من أن نوع الطلب صحيح
            credential: response.credential 
        })
    })
    .then(res => res.json())
    .then(data => {
        console.log('Server Response:', data);
        if (data.status === 1) {
            window.location.href = data.redirect_url;
        } else {
            showNotification(data.error || 'فشل تسجيل الدخول باستخدام Google', 'error');
        }
    })
    .catch(error => {
        console.error('Google login error:', error);
        showNotification('خطأ أثناء تسجيل الدخول', 'error');
    });
}


function showLogin() {
    document.getElementById('loginForm').style.display = 'block';
    document.getElementById('registerForm').style.display = 'none';
    document.getElementById('forgotForm').style.display = 'none';
}

function showRegister() {
    document.getElementById('loginForm').style.display = 'none';
    document.getElementById('registerForm').style.display = 'block';
    document.getElementById('forgotForm').style.display = 'none';
}

function showForgot() {
    document.getElementById('loginForm').style.display = 'none';
    document.getElementById('registerForm').style.display = 'none';
    document.getElementById('forgotForm').style.display = 'block';
}


</script>
<!-- Hero Section -->
<section class="hero-section">
    <div class="container">
        <h1>مرحبا بكم في HostGoal</h1>
        <p>اختر أفضل خطة استضافة تناسب احتياجاتك</p>
    </div>
</section>

<!-- Domain Search Section -->
<section id="domain-search">
    <div class="container">
        <h2 class="text-center">ابحث عن نطاقك مع هوست جول</h2>
        <div class="input-group justify-content-center">
            <input type="text" class="form-control" id="domain" placeholder="أدخل النطاق">
            <button class="btn btn-primary" id="search-button" onclick="checkDomain()">ابحث</button>
        </div>
        <div id="result" class="mt-4"></div>
    </div>
</section>

<!-- Why Choose Us Section -->
<!-- Why Choose Us Section -->
<section id="why-choose-us" class="why-choose-us">
    <div class="container">
        <div class="text-center mb-5">
            <h2 class="section-title">لماذا تختارنا؟</h2>
            <p class="section-subtitle">نقدم لك خدمات ذات جودة عالية وأمان متميز ودعم فني متواصل.</p>
        </div>
        <div class="row text-center">
            <div class="col-md-4 mb-4">
                <div class="why-box">
                    <i class="fas fa-server icon"></i>
                    <h4 class="feature-title">خدمات موثوقة</h4>
                    <p class="feature-description">تقديم أعلى مستوى من الموثوقية والأداء.</p>
                </div>
            </div>
            <div class="col-md-4 mb-4">
                <div class="why-box">
                    <i class="fas fa-shield-alt icon"></i>
                    <h4 class="feature-title">أمان عالي</h4>
                    <p class="feature-description">نستخدم أحدث التقنيات لضمان أمان بياناتك.</p>
                </div>
            </div>
            <div class="col-md-4 mb-4">
                <div class="why-box">
                    <i class="fas fa-headset icon"></i>
                    <h4 class="feature-title">دعم فني متوفر</h4>
                    <p class="feature-description">دعم فني على مدار الساعة لحل جميع مشاكلك.</p>
                </div>
            </div>
        </div>
    </div>
</section>


<!-- Plans Comparison Section -->
<section id="plans" class="plans-comparison">
    <div class="container">
        <h2 class="text-center mb-5">مقارنة خطط الأستضافة المشتركة</h2>
        
        <!-- Desktop Table Layout -->
        <div class="d-none d-md-block">
            <table class="comparison-table">
                <thead>
                    <tr>
                        <th>الميزات</th>
                        <th class="plan-business">خطة الأعمال</th>
            <th class="plan-corporate recommended">خطة الشركات</th>
            <th class="plan-enterprise">خطة المؤسسات</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>SSL مجاني</td>
                          <td class="plan-business">نعم</td>
            <td class="plan-corporate">نعم</td>
            <td class="plan-enterprise">نعم</td>
                    </tr>
                    <tr>
                        <td>حماية DDoS</td>
                         <td class="plan-business">متوفرة</td>
            <td class="plan-corporate">متوفرة</td>
            <td class="plan-enterprise">متوفرة</td>
                    </tr>
                    <tr>
                        <td>دعم Cpanel</td>
                       <td class="plan-business">نعم</td>
            <td class="plan-corporate">نعم</td>
            <td class="plan-enterprise">نعم</td>
                    </tr>
                    <tr>
                        <td>مساحة تخزين SSD</td>
                        <td class="plan-business">غير محدود</td>
                        <td class="plan-corporate">غير محدود</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>حركة مرور شهرية</td>
                        <td class="plan-business">غير محدود</td>
                        <td class="plan-corporate">غير محدود</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>عدد المواقع المستضافة</td>
                        <td class="plan-business">1 موقع</td>
                        <td class="plan-corporate">5 مواقع</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>حسابات البريد الإلكتروني</td>
                        <td class="plan-business">100 حساب</td>
                        <td class="plan-corporate">500 حساب</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>قواعد بيانات MySQL</td>
                        <td class="plan-business">5</td>
                        <td class="plan-corporate">غير محدود</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>عدد النطاقات الفرعية</td>
                        <td class="plan-business">50</td>
                        <td class="plan-corporate">غير محدود</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>حماية خصوصية WHOIS</td>
                        <td class="plan-business">نعم</td>
            <td class="plan-corporate">نعم</td>
            <td class="plan-enterprise">نعم</td>
                    </tr>
                    <tr>
                        <td>حسابات FTP</td>
                        <td class="plan-business">غير محدود</td>
                        <td class="plan-corporate">غير محدود</td>
                        <td class="plan-enterprise">غير محدود</td>
                    </tr>
                    <tr>
                        <td>أولوية الدعم الفني</td>
                        <td class="plan-business">مستوى أساسي</td>
                        <td class="plan-corporate">مستوى متقدم</td>
                        <td class="plan-enterprise">VIP</td>
                    </tr>
                    <tr>
                        <td>تثبيت ووردبريس بنقرة واحدة</td>
                        <td class="plan-business">نعم</td>
            <td class="plan-corporate">نعم</td>
            <td class="plan-enterprise">نعم</td>
                    </tr>
                    <tr>
                        <td>تسريع أداء المواقع (Caching)</td>
                        <td class="plan-business">نعم</td>
            <td class="plan-corporate">نعم</td>
            <td class="plan-enterprise">نعم</td>
                    </tr>
                    <tr>
                        <td>دعم Cloudflare مجاني</td>
                        <td class="plan-business">نعم</td>
            <td class="plan-corporate">نعم</td>
            <td class="plan-enterprise">نعم</td>
                    </tr>
                    <!-- Pricing Section -->
                    <tr>
                        <td class="price">السعر الشهري</td>
            <td class="price plan-business">$2.75 / شهريا</td>
            <td class="price plan-corporate">$3.75 / شهريا</td>
            <td class="price plan-enterprise">$8.33 / شهريا</td>
                    </tr>
                    <tr>
                        <td></td>
                       <td class="plan-business"><button class="btn btn-primary">اشترك الآن</button></td>
            <td class="plan-corporate"><button class="btn btn-primary">اشترك الآن</button></td>
            <td class="plan-enterprise"><button class="btn btn-primary">اشترك الآن</button></td>
                    </tr>
                </tbody>
            </table>
        </div>

        <!-- Mobile Card Layout -->
        <div class="d-md-none">
            <div class="row">
                <!-- Plan 1 -->
                <div class="col-12 mb-4">
                    <div class="card plan-card">
                        <div class="card-header text-white bg-primary">
                            خطة الأعمال
                        </div>
                        <div class="card-body">
                            <h5 class="card-title">غير محدود</h5>
                            <p class="card-text">SSL مجاني</p>
                            <p class="card-text">حماية DDoS: متوفرة</p>
                            <p class="card-text">دعم Cpanel</p>
                            <p class="card-text">مساحة تخزين SSD غير محدودة</p>
                            <p class="card-text">حركة مرور شهرية غير محدودة</p>
                            <p class="card-text">1 موقع مستضاف</p>
                            <p class="card-text">100 حساب بريد إلكتروني</p>
                            <p class="card-text">5 قواعد بيانات MySQL</p>
                            <p class="card-text">50 نطاق فرعي</p>
                            <p class="card-text">حماية خصوصية WHOIS</p>
                            <p class="card-text">حسابات FTP غير محدودة</p>
                            <p class="card-text">أولوية الدعم: مستوى أساسي</p>
                            <p class="card-text">تثبيت ووردبريس بنقرة واحدة</p>
                            <p class="card-text">تسريع أداء المواقع (Caching)</p>
                            <p class="card-text">دعم Cloudflare مجاني</p>
                            <h4 class="price text-danger">$2.75 / شهريا</h4>
                            <a href="#" class="btn btn-primary btn-block">اشترك الآن</a>
                        </div>
                    </div>
                </div>
                
                <!-- Plan 2 -->
                <div class="col-12 mb-4">
                    <div class="card plan-card recommended">
                        <div class="card-header text-white bg-success">
                            خطة الشركات
                        </div>
                        <div class="card-body">
                            <h5 class="card-title">غير محدود</h5>
                            <p class="card-text">SSL مجاني</p>
                            <p class="card-text">حماية DDoS: متوفرة</p>
                            <p class="card-text">دعم Cpanel</p>
                            <p class="card-text">مساحة تخزين SSD غير محدودة</p>
                            <p class="card-text">حركة مرور شهرية غير محدودة</p>
                            <p class="card-text">5 مواقع مستضافة</p>
                            <p class="card-text">500 حساب بريد إلكتروني</p>
                            <p class="card-text">قواعد بيانات MySQL غير محدودة</p>
                            <p class="card-text">نطاقات فرعية غير محدودة</p>
                            <p class="card-text">حماية خصوصية WHOIS</p>
                            <p class="card-text">حسابات FTP غير محدودة</p>
                            <p class="card-text">أولوية الدعم: مستوى متقدم</p>
                            <p class="card-text">تثبيت ووردبريس بنقرة واحدة</p>
                            <p class="card-text">تسريع أداء المواقع (Caching)</p>
                            <p class="card-text">دعم Cloudflare مجاني</p>
                            <h4 class="price text-danger">$3.75 / شهريا</h4>
                            <a href="#" class="btn btn-success btn-block">اشترك الآن</a>
                        </div>
                    </div>
                </div>

                <!-- Plan 3 -->
                <div class="col-12 mb-4">
                    <div class="card plan-card">
                        <div class="card-header text-white bg-dark">
                            خطة المؤسسات
                        </div>
                        <div class="card-body">
                            <h5 class="card-title">غير محدود</h5>
                            <p class="card-text">SSL مجاني</p>
                            <p class="card-text">حماية DDoS: متوفرة</p>
                            <p class="card-text">دعم Cpanel</p>
                            <p class="card-text">مساحة تخزين SSD غير محدودة</p>
                            <p class="card-text">حركة مرور شهرية غير محدودة</p>
                            <p class="card-text">غير محدود مواقع مستضافة</p>
                            <p class="card-text">غير محدود حساب بريد إلكتروني</p>
                            <p class="card-text">قواعد بيانات MySQL غير محدودة</p>
                            <p class="card-text">نطاقات فرعية غير محدودة</p>
                           
                            <p class="card-text">حماية خصوصية WHOIS</p>
                            <p class="card-text">حسابات FTP غير محدودة</p>
                            <p class="card-text">أولوية الدعم: VIP</p>
                            <p class="card-text">تثبيت ووردبريس بنقرة واحدة</p>
                            <p class="card-text">تسريع أداء المواقع (Caching)</p>
                            <p class="card-text">دعم Cloudflare مجاني</p>
                            <h4 class="price text-danger">$8.33 / شهريا</h4>
                            <a href="#" class="btn btn-dark btn-block">اشترك الآن</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>


<!-- API Integrations Section -->
<section id="api-integrations" class="partners-section">
    <div class="container text-center">
        <h2>تكاملات API</h2>
        <div class="partners-container">
            <img src="assets/images/paypal.png" alt="PayPal">
            <img src="assets/images/whm.png" alt="WHM">
        </div>
    </div>
</section>

<!-- FAQ Section -->
<section id="faq" class="faq-section">
    <div class="container">
        <div class="text-center mb-5">
            <h2>الأسئلة الشائعة</h2>
        </div>
        <div class="faq-container">
            <div class="faq-item">
                <h4 class="faq-question">ما هي الميزات المتوفرة في خطة الأعمال؟</h4>
                <p class="faq-answer">خطة الأعمال توفر مساحة تخزين غير محدودة، حركة مرور شهرية غير محدودة، ودعم 1 دومين مستضاف.</p>
            </div>
            <div class="faq-item">
                <h4 class="faq-question">هل يمكنني ترقية خطتي لاحقًا؟</h4>
                <p class="faq-answer">نعم، يمكنك ترقية خطتك في أي وقت من خلال لوحة التحكم الخاصة بك.</p>
            </div>
            <div class="faq-item">
                <h4 class="faq-question">هل توفرون خدمة الدعم الفني؟</h4>
                <p class="faq-answer">نعم، نقدم دعم فني على مدار الساعة لحل جميع مشاكلك.</p>
            </div>
            <div class="faq-item">
                <h4 class="faq-question">كيف يمكنني ربط حسابي بخدمات API الخارجية؟</h4>
                <p class="faq-answer">تدعم منصتنا تكاملات API بسهولة. يمكنك إضافة وتهيئة التكاملات من لوحة التحكم الخاصة بك.</p>
            </div>
        </div>
    </div>
</section>

<!-- Footer -->
<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <h5>عن الشركة</h5>
                <p>هوست جول - تقديم خطط استضافة موثوقة</p>
            </div>
            <div class="col-md-4">
                <h5>روابط سريعة</h5>
                <a href="#" data-toggle="modal" data-target="#privacyModal">سياسة الخصوصية</a><br>
                <!-- Trigger for Terms and Conditions Modal -->
                <a href="#" data-toggle="modal" data-target="#termsModal">الشروط والأحكام</a>
            </div>
            <div class="col-md-4">
                <h5>تواصل معنا</h5>
                <p>info@hostgoal.net</p>
<p>الهاتف: <strong>+972 599 393 481</strong></p>
            </div>
        </div>
    </div>
</footer>
<div class="modal fade" id="privacyModal" tabindex="-1" role="dialog" aria-labelledby="privacyModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="privacyModalLabel">سياسة الخصوصية</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>نحن في <strong>هوست جول</strong> نلتزم بحماية خصوصية بياناتك الشخصية ونحرص على تقديم تجربة آمنة لعملائنا. هذه السياسة توضح كيفية جمع واستخدام وحماية بياناتك عند استخدام خدمات الاستضافة والنطاقات التي نقدمها.</p>

                <h5>1. جمع المعلومات:</h5>
                <p>نقوم بجمع بعض المعلومات الشخصية عند تسجيل حساب، أو طلب إحدى خدماتنا، وتشمل هذه المعلومات على سبيل المثال: الاسم، عنوان البريد الإلكتروني، رقم الهاتف، وعنوان الدفع.</p>
                
                <h5>2. استخدام المعلومات:</h5>
                <p>نستخدم المعلومات الشخصية فقط لغرض تقديم وتحسين خدماتنا. قد نستخدم هذه المعلومات في:</p>
                <ul>
                    <li>إنشاء حسابك ومعالجة طلباتك.</li>
                    <li>التواصل معك بشأن دعم العملاء أو التحديثات المتعلقة بخدماتنا.</li>
                    <li>تحليل البيانات لتحسين خدماتنا وضمان الجودة.</li>
                </ul>

                <h5>3. حماية المعلومات:</h5>
                <p>نحن ملتزمون بحماية بياناتك الشخصية باستخدام أحدث وسائل الأمان والتشفير. نتخذ كافة الإجراءات اللازمة لحماية بياناتك من الوصول غير المصرح به أو التعديل أو الكشف غير القانوني.</p>

                <h5>4. مشاركة المعلومات:</h5>
                <p>نحن لا نشارك بياناتك الشخصية مع أي طرف ثالث، إلا في الحالات التالية:</p>
                <ul>
                    <li>بموافقتك الصريحة على المشاركة.</li>
                    <li>عندما يكون ذلك ضرورياً لتقديم الخدمة (مثل مشاركة بيانات الدومين مع سجلات النطاقات).</li>
                    <li>امتثالًا للقانون أو استجابة لطلبات قانونية صادرة عن الجهات المختصة.</li>
                </ul>

                <h5>5. ملفات تعريف الارتباط (Cookies):</h5>
                <p>نستخدم ملفات تعريف الارتباط لتحسين تجربة المستخدم وتخصيص المحتوى. يمكنك ضبط إعدادات المتصفح لتعطيل ملفات تعريف الارتباط، ولكن قد يؤثر ذلك على بعض وظائف الموقع.</p>

                <h5>6. حقوق المستخدم:</h5>
<p>لديك الحق في الوصول إلى بياناتك الشخصية، وطلب تصحيحها أو حذفها. إذا كنت ترغب في تعديل أو حذف بياناتك، يمكنك التواصل معنا عبر البريد الإلكتروني على <a href="mailto:info@hostgoal.net">info@hostgoal.net</a> أو عبر فتح تذكرة.</p>

                <h5>7. التحديثات على سياسة الخصوصية:</h5>
                <p>قد نقوم بتحديث سياسة الخصوصية من وقت لآخر لتعكس التغييرات في خدماتنا أو القوانين. سيتم إعلامك بأي تغييرات جوهرية عبر البريد الإلكتروني أو من خلال موقعنا.</p>

<p>للمزيد من المعلومات حول سياسة الخصوصية، لا تتردد في الاتصال بنا عبر البريد الإلكتروني على <a href="mailto:info@hostgoal.net">info@hostgoal.net</a> أو عبر فتح تذكرة.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">إغلاق</button>
            </div>
        </div>
    </div>
</div>

<!-- Terms and Conditions Modal -->
<div class="modal fade" id="termsModal" tabindex="-1" role="dialog" aria-labelledby="termsModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="termsModalLabel">الشروط والأحكام</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <h4>الشروط والأحكام</h4>
                <p>نحن نقدر اختيارك لمنصتنا ونهدف إلى تقديم أفضل تجربة استضافة لك. هذه الشروط تساعد في تنظيم العلاقة بيننا لضمان حصولك على أفضل خدمة، مع الحفاظ على حقوق الطرفين.</p>

                <h5>1- خدمات الاستضافة:</h5>
                <ul>
                    <li>نحن ملتزمون بتقديم خدمة استضافة تتماشى مع أعلى المعايير العالمية.</li>
                    <li>الدعم الفني مجاني طوال فترة الاستضافة، ولا يشمل البرمجة أو التصميم.</li>
                    <li>يجب تسديد المستحقات قبل انتهاء فترة الاستضافة لتجنب الغرامات أو تعليق الحساب.</li>
                    <li>النسخ الاحتياطي مجاني خلال فترة الاستضافة. بعد انتهائها، يمكنك طلب النسخة الاحتياطية مقابل (50 دولار).</li>
                    <li>نوصيك دائمًا بحفظ نسخة احتياطية من بياناتك لضمان الأمان.</li>
                </ul>

                <h5>2- النطاق (الدومين):</h5>
                <ul>
                    <li>عند شراء نطاق من خلالنا، لديك التحكم الكامل في استخدامه أو نقله.</li>
                    <li>يجب شحن وتجديد النطاق قبل انتهاء مدته لتجنب تعليق الدومين).</li>
                </ul>

                <h5>3- البرمجيات:</h5>
                <ul>
                    <li>نضمن صيانة البرمجيات وإصلاح المشاكل خلال فترة الاستخدام المتفق عليها.</li>
                    <li>نقدم خدمات تطوير إضافية بناءً على طلب العميل.</li>
                </ul>

                <h5>4- الاستخدام الصحيح:</h5>
                <ul>
                    <li>أي إساءة استخدام قد تؤدي إلى تعليق الخدمة دون استرداد الأموال.</li>
                    <li>مثال على الإساءة: خرق القوانين أو نشر محتوى غير قانوني.</li>
                </ul>

                <h5>5- سياسة استرداد الأموال:</h5>
                <ul>
                    <li>نحن نؤمن بجودة خدماتنا. يمكنك استرداد المبلغ كاملاً إذا تم الطلب خلال 7 أيام من تاريخ الشراء.</li>
                    <li>بعد الأسبوع الأول، لا يمكن استرداد الأموال.</li>
                </ul>

                <h5>6- التزاماتنا:</h5>
                <p>نحن ملتزمون بتقديم خدمة عالية الجودة وبناء علاقة طويلة الأمد معك. هدفنا هو رضاك الكامل، ونسعى دائمًا لتحسين خدماتنا بناءً على ملاحظاتك.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">إغلاق</button>
            </div>
        </div>
    </div>
</div>

<div class="bottom-footer">
    <p>&copy; 2024 هوست جول. جميع الحقوق محفوظة.</p>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
<script>
    function showLoadingOverlay() {
        document.querySelector('.loading-overlay').style.display = 'block';
    }

    function hideLoadingOverlay() {
        document.querySelector('.loading-overlay').style.display = 'none';
    }

    function checkDomain() {
        const fullDomain = $('#domain').val().trim();
        if (!fullDomain) {
            alert('يرجى إدخال اسم النطاق');
            return;
        }

        // Show the loading overlay when the domain check starts
        showLoadingOverlay();

        $.post('check_domain.php', { domain: fullDomain }, function(response) {
            const result = JSON.parse(response);
            $('#result').empty();
            $.each(result.results, function(tld, status) {
                const domainName = fullDomain.includes('.') ? fullDomain : `${fullDomain}.${tld}`;
                $('#result').append(`
                    <div class="domain-result-box ${status}">
                        <p class="domain">${domainName}</p>
                        <p class="status">${status === 'available' ? 'متاح' : 'غير متاح'}</p>
                        ${status === 'available' ? '<button class="btn btn-success">اشتري الآن</button>' : ''}
                    </div>
                `);
            });

            // Hide the loading overlay after the domain check completes
            hideLoadingOverlay();
        }).fail(function(xhr, status, error) {
            console.error('Failed to check domain:', error);

            // Hide the loading overlay in case of an error
            hideLoadingOverlay();
        });
    }
</script>

</body>
</html>
