<!DOCTYPE html>
<html lang="ar">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سياسة الخصوصية</title>
        <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="/assets/css/dashboardstyles.css?version=1">
</head>
<body class="rtl">
    <!-- Navbar -->
    <nav>
        <div class="nav-container">
            <img src="/assets/images/logo.png" alt="HostGoal Logo" class="logo">
            <ul class="nav-links">
                <li><a href="index.php" data-i18n="home">الرئيسية</a></li>
                <li class="dropdown">
                    <a href="about-us.php" data-i18n="about-us">عن الشركة</a>
                    <ul class="dropdown-menu">
                        <li><a href="terms_conditions.php" data-i18n="terms-conditions">الشروط والأحكام</a></li>
                    </ul>
                </li>
                <li><a href="" data-i18n="privacy-policy">سياسة الخصوصية</a></li>
                <li><a href="mailto:info.hostgoal.net" data-i18n="contact-us">تواصل معنا</a></li>
            </ul>
            <select id="language-selector">
                <option value="ar" selected>العربية</option>
                <option value="en">English</option>
            </select>
            <div class="menu-toggle">
                <div class="hamburger"></div>
                <div class="hamburger"></div>
                <div class="hamburger"></div>
            </div>
        </div>
    </nav>

    <!-- Main Content -->
    <main>
        <header>
            <h1 data-i18n="privacy-policy">سياسة الخصوصية</h1>
            <p data-i18n="header-subtitle">خصوصيتك مهمة لنا.</p>
        </header>
        <section id="policy-content">
            <p data-i18n="policy-content">
                <!-- Privacy policy content goes here. -->
                هذه هي سياسة الخصوصية. استبدل هذا النص بسياسة الخصوصية الفعلية الخاصة بك.
            </p>
        </section>
    </main>

    <footer>
        <ul>
            <li><a href="#" data-i18n="footer-domains">النطاقات</a></li>
            <li><a href="about_us.php" data-i18n="footer-about-us">عن الشركة</a></li>
            <li><a href="privacy.php" data-i18n="footer-privacy-policy">سياسة الخصوصية</a></li>
            <li><a href="#" data-i18n="footer-terms-conditions">الشروط والأحكام</a></li>
            <li><a href="#" data-i18n="footer-contact-us">تواصل معنا</a></li>
        </ul>
    </footer>

    <footer class="bottom-footer">
        <p>&copy; 2024 HostGoal. جميع الحقوق محفوظة.</p>
        <p data-i18n="partners">شركاؤنا:</p>
        <img src="/assets/images/footer_cards.jpg" alt="Partners">
        <p data-i18n="phone">الهاتف: 123-456-7890</p>
        <p data-i18n="email">البريد الإلكتروني: info@hostgoal.com</p>
    </footer>

    <script src="/assets/js/privacy-policy.js"></script>
</body>
</html>
